2005-01-13 16:15  specu

	* source/debugger.pas: fix for TDebugger.IsBroken (debugger - 153)

2005-01-13 16:05  specu

	* source/Vcl/Parser/ClassBrowser.pas: fix for
	  TClassBrowser.OnNodeChange (ClassBrowser - 386), simplify
	  OnNodeChange a little

2005-01-13 11:46  specu

	* source/LangFrm.dfm: fix for bug 1082239. corrected message

2005-01-12 23:38  specu

	* source/Vcl/Parser/ClassBrowser.pas: classbrowser.custompaintme:
	  slight optimization by keeping the pointer instead of making the
	  tree constantly finding it

2005-01-12 23:26  specu

	* source/Vcl/Parser/ClassBrowser.pas: fix for bug
	  TClassBrowser.CustomPaintMe (ClassBrowser - 1023) and 945758

2005-01-12 19:54  claplace

	* source/: EditorOptfrm.dfm, EditorOptfrm.pas: * small editor
	  options UI changes

2005-01-12 19:51  claplace

	* Lang/: Chinese_TC.lng, Dutch.lng, Dutch.tips, German.lng: *
	  updated Dutch, Tradiontal Chinese and German language files

2005-01-08 12:08  specu

	* source/Vcl/synedit/: Packages/SynEdit_D6_PE.dpk,
	  Packages/SynEdit_D7_PE.dpk, Packages/synedit_kylix.dpk,
	  Packages/synedit_kylix.res, Packages/synedit_kylix_OE.dpk,
	  Source/QSynAutoCorrect.pas, Source/QSynAutoCorrectEditor.dfm,
	  Source/QSynAutoCorrectEditor.pas,
	  Source/QSynCompletionProposal.pas, Source/QSynDBEdit.pas,
	  Source/QSynEdit.pas, Source/QSynEditAutoComplete.pas,
	  Source/QSynEditExport.pas, Source/QSynEditHighlighter.pas,
	  Source/QSynEditKbdHandler.pas, Source/QSynEditKeyCmdEditor.dfm,
	  Source/QSynEditKeyCmdEditor.pas, Source/QSynEditKeyCmds.pas,
	  Source/QSynEditKeyCmdsEditor.dfm,
	  Source/QSynEditKeyCmdsEditor.pas, Source/QSynEditKeyConst.pas,
	  Source/QSynEditMiscClasses.pas, Source/QSynEditMiscProcs.pas,
	  Source/QSynEditOptionsDialog.dfm,
	  Source/QSynEditOptionsDialog.pas, Source/QSynEditPlugins.pas,
	  Source/QSynEditPrint.pas, Source/QSynEditPrintHeaderFooter.pas,
	  Source/QSynEditPrintMargins.pas,
	  Source/QSynEditPrintMarginsDialog.dfm,
	  Source/QSynEditPrintMarginsDialog.pas,
	  Source/QSynEditPrintPreview.pas, Source/QSynEditPrintTypes.pas,
	  Source/QSynEditPrinterInfo.pas, Source/QSynEditPropertyReg.pas,
	  Source/QSynEditPythonBehaviour.pas, Source/QSynEditReg.pas,
	  Source/QSynEditSearch.pas, Source/QSynEditStrConst.pas,
	  Source/QSynEditTextBuffer.pas, Source/QSynEditTypes.pas,
	  Source/QSynEditWordWrap.pas, Source/QSynExportHTML.pas,
	  Source/QSynExportRTF.pas, Source/QSynHighlighterCpp.pas,
	  Source/QSynHighlighterManager.pas,
	  Source/QSynHighlighterMulti.pas, Source/QSynHighlighterRC.pas,
	  Source/QSynMacroRecorder.pas, Source/QSynMemo.pas,
	  Source/QSynRegExpr.pas, Source/SynAutoCorrectEditor.dfm,
	  Source/SynEdit.res, Source/SynEditPrintMarginsDialog.dfm,
	  Source/SynEditReg.dcr, Source/SynEditReg.res,
	  Source/SynRegExpr.pas: import of the latest synedit from cvs

2005-01-08 12:04  specu

	* source/Vcl/synedit/: Packages/SynEdit_D6.dpk,
	  Packages/SynEdit_D7.dpk, Packages/SynEdit_R6.dpk,
	  Packages/SynEdit_R6_PE.dpk, Packages/SynEdit_R7.dpk,
	  Source/Contributors.txt, Source/SynAutoCorrect.pas,
	  Source/SynAutoCorrectEditor.pas,
	  Source/SynCompletionProposal.pas, Source/SynDBEdit.pas,
	  Source/SynEdit.inc, Source/SynEdit.pas,
	  Source/SynEditAutoComplete.pas, Source/SynEditExport.pas,
	  Source/SynEditHighlighter.pas, Source/SynEditKbdHandler.pas,
	  Source/SynEditKeyCmdEditor.dfm, Source/SynEditKeyCmdEditor.pas,
	  Source/SynEditKeyCmds.pas, Source/SynEditKeyCmdsEditor.dfm,
	  Source/SynEditKeyCmdsEditor.pas, Source/SynEditKeyConst.pas,
	  Source/SynEditMiscClasses.pas, Source/SynEditMiscProcs.pas,
	  Source/SynEditOptionsDialog.dfm, Source/SynEditOptionsDialog.pas,
	  Source/SynEditPlugins.pas, Source/SynEditPrint.pas,
	  Source/SynEditPrintHeaderFooter.pas,
	  Source/SynEditPrintMargins.pas,
	  Source/SynEditPrintMarginsDialog.pas,
	  Source/SynEditPrintPreview.pas, Source/SynEditPrintTypes.pas,
	  Source/SynEditPrinterInfo.pas, Source/SynEditPropertyReg.pas,
	  Source/SynEditPythonBehaviour.pas, Source/SynEditReg.pas,
	  Source/SynEditSearch.pas, Source/SynEditStrConst.pas,
	  Source/SynEditTextBuffer.pas, Source/SynEditTypes.pas,
	  Source/SynEditWordWrap.pas, Source/SynExportHTML.pas,
	  Source/SynExportRTF.pas, Source/SynHighlighterCpp.pas,
	  Source/SynHighlighterManager.pas, Source/SynHighlighterMulti.pas,
	  Source/SynHighlighterRC.pas, Source/SynMacroRecorder.pas,
	  Source/SynMemo.pas, Source/SynTextDrawer.pas,
	  Source/kTextDrawer.pas, IMPORTING_SYNEDIT.txt: import of the
	  latest synedit from cvs

2004-12-10 19:27  specu

	* source/devtools/PackMaker/: main.dfm, main.pas, menufrm.dfm:
	  packmaker: fix tab order

2004-12-09 22:00  specu

	* source/compiler.pas: properly escape private resource
	  dependencies in Makefile.win

2004-12-09 21:55  specu

	* source/compiler.pas: pulling rm variable on top of makefile.
	  mingw-make defines ${RM} as rm -f anyway.

2004-12-09 21:46  specu

	* source/compiler.pas: roll back to 1.161. del is not good in
	  Makefiles at this point

2004-12-09 21:08  specu

	* source/compiler.pas: fix errors when files and paths in Makefile
	  contain spaces

2004-12-09 19:50  specu

	* source/project.pas: when including in private.rc, no need
	  included file is always in quotes, no need to add another pair

2004-12-09 19:38  specu

	* source/compiler.pas: going back to rm in Makefile.win. del
	  requires a lot changes to makefile creation

2004-12-08 22:25  specu

	* source/: EditorOptfrm.pas, devcfg.pas, EditorOptfrm.dfm: new
	  feature - current line highlightning - RFE 809523

2004-12-08 13:23  specu

	* ChangeLog: updated Changelog

2004-12-08 12:26  specu

	* source/Vcl/Parser/CppParser.pas: improve destroying cppparser,
	  fix for memory leaks

2004-12-08 11:59  specu

	* source/main.pas: fix for bug TMainForm.actBrowserGotoImplUpdate
	  (main - 4951), where Pstatement was deleted from cppparser list
	  but was still refered to from node.data

2004-12-08 11:06  specu

	* source/Vcl/Parser/CppParser.pas: roll back to version 1.91 - it
	  crashes the ide for some strange reason

2004-12-08 09:58  specu

	* source/Vcl/Parser/CppParser.pas: delphi will not clean
	  automatically unallocated records

2004-12-07 12:21  specu

	* source/main.pas: put units[].save in separate try..except than
	  reparse. this way user doesn't get save error message when in
	  fact save was successful but reparsing was not.

2004-12-07 11:16  specu

	* source/Vcl/codetooltip/CodeToolTip.pas: don't show tooltip when
	  within comment or string

2004-12-07 10:40  specu

	* source/Vcl/codetooltip/CodeToolTip.pas: fix crash
	  (DrawParamLetterEx (CodeToolTip - 751)), HLAttr can be nil and
	  needs to be checked

2004-12-06 21:23  specu

	* source/FunctionSearchFm.pas: fix crash where entries are not
	  populated if parser is not enabled
	  (TFunctionSearchForm.txtSearchKeyDown (FunctionSearchFm  - 152))

2004-12-06 21:15  specu

	* source/CompilerOptionsFrame.pas: fix for bug where user tries to
	  enter a custom value in Yes/No option
	  (TCompOptionsFrame.vleSetEditText  (CompilerOptionsFrame - 183)).
	  made options readonly as custom values are not accepted anyway

2004-12-06 11:48  specu

	* source/devcfg.pas: treat files with no extension as c++ header
	  files

2004-12-06 11:45  specu

	* source/datamod.pas: stop parsing configuration when match for
	  extension is found

2004-12-06 10:26  specu

	* source/compiler.pas: fix typo and description

2004-12-06 10:17  specu

	* source/compiler.pas: in Makefile use del instead rm on windows.
	  fix for bug 1077831

2004-12-06 09:36  specu

	* source/webupdate/WebUpdate.pas: fix for bug 1006424

2004-12-05 14:42  specu

	* source/: AddToDoFm.pas, FilePropertiesFm.pas, Incrementalfrm.pas,
	  Search_Center.pas, devcfg.pas, devcpp.cfg, devcpp.dof,
	  editor.pas, main.pas, Vcl/codetooltip/CodeToolTip.pas: removed
	  all NEW_SYNEDIT ifdefs, removed _DEBUG from project defines

2004-12-03 12:48  specu

	* source/: CVSThread.pas, utils.pas: give error descriptions
	  instead of just numbers

2004-12-03 12:41  specu

	* source/webupdate/WebThread.pas: webupdate: give error description
	  instead of just number

2004-12-03 12:29  specu

	* source/utils.pas: remove GetLastErrorStr - use SysUtils'
	  SysErrorMessage instead

2004-12-03 12:28  specu

	* source/webupdate/WebUpdate.pas: use sysutils SysErrorMessage
	  instead of own utils.pas' equivalent

2004-12-03 12:22  claplace

	* devcpp.map: * 4.9.9.1 release files

2004-12-03 12:14  claplace

	* Dev-C++_Map.DevPak, NEWS.txt, devcpp.exe: * 4.9.9.1 release files

2004-12-03 11:25  specu

	* source/webupdate/WebUpdate.pas: webupdate window is now not
	  always on top of main window (it can be switched to with tab).
	  error mentioned in bug 1065474 now shows over webupdate's child
	  window so it's visible. fix for bug 1065474

2004-12-03 10:19  specu

	* source/webupdate/WebUpdate.pas: replace platform specific
	  function

2004-12-03 10:17  specu

	* .cvsignore: added *.ddp to .cvsignore

2004-12-03 10:14  specu

	* source/webupdate/WebUpdate.pas: webupdate: fix getting error
	  message when it can't move file

2004-12-03 10:13  specu

	* source/utils.pas: added GetLastMessageStr function that returns
	  description of last system error

2004-12-02 16:21  specu

	* ChangeLog: updated changelog

2004-12-02 15:39  specu

	* Lang/Polish.lng: Polish translation - all strings translated now

2004-12-02 14:09  specu

	* source/EditorOptfrm.pas: fix for bug 1032770

2004-12-02 12:32  specu

	* source/main.pas: fix for bug 1069401

2004-12-02 12:00  specu

	* source/editor.pas: fix for bug 1075874

2004-11-30 22:17  specu

	* source/editor.pas: enclose fix for bug 1069401 within NEW_SYNEDIT
	  ifdefs (just in case)

2004-11-30 22:15  specu

	* source/editor.pas: fix for bug 1069401

2004-11-30 16:03  specu

	* source/utils.pas: fixed small problem in utils.pas function
	  (thanks to Michal Molhanec)

2004-11-29 22:27  specu

	* Lang/Polish.lng: Polish.lng update

2004-11-29 14:54  specu

	* source/webupdate/WebUpdate.pas: webupdate now check for local
	  versions of devcpp.exe and packman.exe and updates devcpp.cfg
	  after installation

2004-11-29 14:09  specu

	* source/webupdate/WebUpdate.dfm: in webupdate changed "select
	  mirror" to "select devpak server" as suggested by Michal Molhanec

2004-11-29 12:57  specu

	* source/compiler.pas: in case makefile cannot be created give a
	  description of the error

2004-11-29 12:56  specu

	* source/main.pas: create a new resource with ext .rc so it's
	  included in compilation.

2004-11-29 12:27  specu

	* source/compiler.pas: BIN and "all" sections of Makefile don't
	  need to be escaped with backslashes. Removing.

2004-11-29 12:23  specu

	* source/install/devcpp.nsi: descriptions to installer compontents
	  according to RFE 1068419

2004-11-29 11:27  specu

	* source/: compiler.pas, utils.pas: fixed for bugs 1068471 and
	  993109 (escaping targets containing spaces and & character),
	  simplify GenMakePath functions

2004-11-29 08:43  claplace

	* Help/devcpp.HLP, Help/devcpp.RTF, Lang/Hungarian.lng,
	  Lang/Spanish.lng: * help and language file update

2004-11-28 16:54  specu

	* source/version.pas: kylix updates - adjust Linux paths

2004-11-28 14:41  specu

	* source/Vcl/Parser/CppParser.pas: kylix updates

2004-11-28 14:36  specu

	* source/utils.pas: kylix updates

2004-11-28 13:35  specu

	* source/: AboutFrm.pas, AddToDoFm.pas, CFGData.pas, CFGINI.pas,
	  CFGReg.pas, CPUFrm.pas, CVSFm.pas, CheckForUpdate.pas,
	  CheckFrm.pas, CodeIns.pas, CompOptionsFrm.pas,
	  CompilerOptionsFrame.pas, DevThemes.pas, EditorOptfrm.pas,
	  Envirofrm.pas, Findfrm.pas, FunctionSearchFm.pas,
	  GotoLineFrm.pas, IconFrm.pas, ImageTheme.pas, Incrementalfrm.pas,
	  LangFrm.pas, NewProjectFrm.pas, NewTemplateFm.pas, PrintFrm.pas,
	  ProfileAnalysisFm.pas, ProjectOptionsFrm.pas, RemoveUnitFrm.pas,
	  Replacefrm.pas, Search_Center.pas, Splash.pas, ToolEditFrm.pas,
	  ToolFrm.pas, ViewToDoFm.pas, WindowListFrm.pas, devcfg.pas,
	  devcpp.dpr, editor.pas, helpfrm.pas, main.pas, prjtypes.pas,
	  project.pas, utils.pas, Vcl/ColorPickerButton.pas,
	  Vcl/XPMenu.pas, Vcl/devShortcuts.pas, Vcl/devTabs.pas,
	  Vcl/Parser/CodeCompletion.pas, Vcl/Parser/CodeCompletionForm.pas,
	  Vcl/codetooltip/CodeToolTip.pas, Vcl/codetooltip/XPToolTip.pas,
	  Vcl/synedit/Source/QSynAutoIndent.pas, webupdate/WebThread.pas,
	  webupdate/WebUpdate.pas: kylix updates

2004-11-25 22:18  specu

	* source/webupdate/WebUpdate.pas: when webupdate fails to move the
	  fail make the error message more informative

2004-11-25 21:33  specu

	* source/ViewToDoFm.pas: fix for bug 1071827

2004-11-25 21:21  specu

	* source/webupdate/WebUpdate.pas: changing mirror in webupdate
	  resets the form. fix for bug 1006267 and part of 1069760

2004-11-25 18:46  specu

	* source/Vcl/synedit/Source/SynAutoIndent.pas: another fix for
	  autoindentation

2004-11-25 12:23  specu

	* source/Vcl/synedit/Source/SynAutoIndent.pas: autoindent - type
	  the requested character, rather than hardcoded }

2004-11-25 11:57  specu

	* source/Vcl/synedit/Source/SynAutoIndent.pas: fix for second part
	  of bug 929592, possibly others

2004-11-20 14:05  specu

	* source/Vcl/synedit/: IMPORTING_SYNEDIT.txt,
	  Packages/synedit_kylix.dpk, Packages/synedit_kylix_OE.dpk,
	  Source/SynEdit.pas, Source/SynEditMiscProcs.pas: kylix updates

2004-11-17 09:06  claplace

	* devcpp.map, source/EditorOptfrm.dfm, source/EditorOptfrm.pas,
	  source/ProjectOptionsFrm.pas, source/Search_Center.pas,
	  source/compiler.pas, source/devcfg.pas, source/main.dfm,
	  source/main.pas, source/project.pas,
	  source/Vcl/Parser/CppParser.pas: * "Remove Folder" will now
	  remove from the project the files the folder contains * Added
	  syntax highlight for cc, cxx, cp, hp, rh extensions * changed
	  shortcuts for comment and uncomment (they don't use Ctrl+alt
	  anymore) * fixed in editor options a parameter changes in new
	  synedit.  * fixed ANSI C problem in file _private.h generated for
	  resources * private.res file will now be generated to the
	  project's object directory if given * fixed a bug with
	  incremental search and new synedit

2004-11-17 08:59  claplace

	* devcpp.exe: * "Remove Folder" will now remove from the project
	  the files the folder contains * Added syntax highlight for cc,
	  cxx, cp, hp, rh extensions * changed shortcuts for comment and
	  uncomment (they don't use Ctrl+alt anymore) * fixed in editor
	  options a parameter changes in new synedit.  * fixed ANSI C
	  problem in file _private.h generated for resources * private.res
	  file will now be generated to the project's object directory if
	  given * fixed a bug with incremental search and new synedit

2004-11-15 14:08  specu

	* source/_Delphi7_readme.txt: update delphi 7 compiling/building
	  instructions

2004-11-15 11:22  specu

	* source/Vcl/ColorPickerButton.pas: fix "deprecated" warning
	  messages

2004-11-15 11:21  specu

	* source/: compiler.pas, debugger.pas, editor.pas, main.pas: remove
	  unused variables, fix some warning messages

2004-11-13 15:26  specu

	* source/Vcl/synedit/Packages/SynEdit_R6_PE.dpk: imported the
	  latest synedit cvs version

2004-11-13 15:18  specu

	* source/: Vcl/Parser/ClassBrowser.pas,
	  Vcl/Parser/ClassBrowsingReg.pas, Vcl/Parser/CodeCompletion.pas,
	  Vcl/Parser/CodeCompletionForm.pas, Vcl/Parser/CppParser.pas,
	  Vcl/Parser/CppTokenizer.pas, Vcl/Parser/U_IntList.pas,
	  Vcl/ColorPickerButton.pas, Vcl/XPMenu.pas,
	  Vcl/devFileMonitor.pas, Vcl/devMonitorThread.pas,
	  Vcl/devMonitorTypes.pas, Vcl/devReg.pas, Vcl/devShortcuts.pas,
	  Vcl/devShortcutsEditorForm.pas, Vcl/devTabs.pas, AboutFrm.pas,
	  AddToDoFm.pas, CFGData.pas, CFGINI.pas, CFGReg.pas, CPUFrm.pas,
	  CVSFm.pas, CVSPasswdFm.pas, CVSThread.pas, CheckForUpdate.pas,
	  CheckFrm.pas, CodeIns.pas, CompOptionsFrm.pas,
	  CompileProgressFm.pas, CompilerOptionsFrame.pas, DevThemes.pas,
	  EditorOptfrm.pas, Envirofrm.pas, ExceptionsAnalyzer.pas,
	  FileAssocs.pas, FilePropertiesFm.pas, Findfrm.pas,
	  FunctionSearchFm.pas, GotoLineFrm.pas, IconFrm.pas,
	  ImageTheme.pas, ImportMSVCFm.pas, Incrementalfrm.pas,
	  LangFrm.pas, Macros.pas, ModifyVarFrm.pas, MultiLangSupport.pas,
	  NewClassFm.pas, NewMemberFm.pas, NewProjectFrm.pas,
	  NewTemplateFm.pas, NewVarFm.pas, ParamsFrm.pas, PrintFrm.pas,
	  ProcessListFrm.pas, ProfileAnalysisFm.pas, ProjectOptionsFrm.pas,
	  RemoveUnitFrm.pas, Replacefrm.pas, ResourceSelector.pas,
	  Search_Center.pas, Splash.pas, Templates.pas, TipOfTheDayFm.pas,
	  ToolEditFrm.pas, ToolFrm.pas, ViewToDoFm.pas, WindowListFrm.pas,
	  cfgTypes.pas, compiler.pas, datamod.pas, debugfrm.pas,
	  debugger.pas, debugreader.pas, debugwait.pas, devExec.pas,
	  devcfg.pas, devconnect.pas, devcpp.dpr, devrun.pas, editor.pas,
	  helpfrm.pas, main.pas, oysUtils.pas, prjtypes.pas, project.pas,
	  utils.pas, Vcl/codetooltip/CodeToolTip.pas,
	  Vcl/codetooltip/XPToolTip.pas: added unit names for kylix
	  compatibility

2004-11-13 15:15  specu

	* source/Vcl/synedit/Source/: QSynAutoCorrect.pas,
	  QSynAutoCorrectEditor.dfm, QSynAutoCorrectEditor.pas,
	  QSynAutoIndent.pas, QSynCompletionProposal.pas, QSynDBEdit.pas,
	  QSynEdit.pas, QSynEditAutoComplete.pas, QSynEditExport.pas,
	  QSynEditHighlighter.pas, QSynEditKbdHandler.pas,
	  QSynEditKeyCmdEditor.dfm, QSynEditKeyCmdEditor.pas,
	  QSynEditKeyCmds.pas, QSynEditKeyCmdsEditor.dfm,
	  QSynEditKeyCmdsEditor.pas, QSynEditKeyConst.pas,
	  QSynEditMiscClasses.pas, QSynEditMiscProcs.pas,
	  QSynEditOptionsDialog.dfm, QSynEditOptionsDialog.pas,
	  QSynEditPlugins.pas, QSynEditPrint.pas,
	  QSynEditPrintHeaderFooter.pas, QSynEditPrintMargins.pas,
	  QSynEditPrintMarginsDialog.dfm, QSynEditPrintMarginsDialog.pas,
	  QSynEditPrintPreview.pas, QSynEditPrintTypes.pas,
	  QSynEditPrinterInfo.pas, QSynEditPropertyReg.pas,
	  QSynEditPythonBehaviour.pas, QSynEditReg.pas, QSynEditSearch.pas,
	  QSynEditStrConst.pas, QSynEditTextBuffer.pas, QSynEditTypes.pas,
	  QSynEditWordWrap.pas, QSynExportHTML.pas, QSynExportRTF.pas,
	  QSynHighlighterCpp.pas, QSynHighlighterManager.pas,
	  QSynHighlighterMulti.pas, QSynHighlighterRC.pas,
	  QSynMacroRecorder.pas, QSynMemo.pas, QSynRegExpr.pas: imported
	  synedit for clx, latest cvs version

2004-11-13 15:12  specu

	* source/Vcl/synedit/: IMPORTING_SYNEDIT.txt,
	  Packages/SynEdit_D6.dpk, Packages/SynEdit_D6_PE.dpk,
	  Packages/SynEdit_D7.dpk, Packages/SynEdit_R6.dpk,
	  Packages/SynEdit_R7.dpk, Packages/synedit_kylix.dpk,
	  Packages/synedit_kylix_OE.dpk, Source/Contributors.txt,
	  Source/SynAutoCorrect.pas, Source/SynAutoCorrectEditor.pas,
	  Source/SynAutoIndent.pas, Source/SynCompletionProposal.pas,
	  Source/SynDBEdit.pas, Source/SynEdit.inc, Source/SynEdit.pas,
	  Source/SynEdit.res, Source/SynEditAutoComplete.pas,
	  Source/SynEditExport.pas, Source/SynEditHighlighter.pas,
	  Source/SynEditKbdHandler.pas, Source/SynEditKeyCmdEditor.pas,
	  Source/SynEditKeyCmds.pas, Source/SynEditKeyCmdsEditor.dfm,
	  Source/SynEditKeyCmdsEditor.pas, Source/SynEditKeyConst.pas,
	  Source/SynEditMiscClasses.pas, Source/SynEditMiscProcs.pas,
	  Source/SynEditOptionsDialog.dfm, Source/SynEditOptionsDialog.pas,
	  Source/SynEditPlugins.pas, Source/SynEditPrint.pas,
	  Source/SynEditPrintHeaderFooter.pas,
	  Source/SynEditPrintMargins.pas,
	  Source/SynEditPrintMarginsDialog.pas,
	  Source/SynEditPrintPreview.pas, Source/SynEditPrintTypes.pas,
	  Source/SynEditPrinterInfo.pas, Source/SynEditPropertyReg.pas,
	  Source/SynEditPythonBehaviour.pas, Source/SynEditReg.pas,
	  Source/SynEditSearch.pas, Source/SynEditStrConst.pas,
	  Source/SynEditTextBuffer.pas, Source/SynEditTypes.pas,
	  Source/SynEditWordWrap.pas, Source/SynExportHTML.pas,
	  Source/SynExportRTF.pas, Source/SynHighlighterCpp.pas,
	  Source/SynHighlighterManager.pas, Source/SynHighlighterMulti.pas,
	  Source/SynHighlighterRC.pas, Source/SynMacroRecorder.pas,
	  Source/SynMemo.pas, Source/SynTextDrawer.pas,
	  Source/kTextDrawer.pas: imported the latest synedit cvs version

2004-11-13 11:31  specu

	* source/: CFGINI.pas, CVSThread.pas, CompOptionsFrm.pas,
	  EditorOptfrm.pas, Envirofrm.pas, Findfrm.pas,
	  FunctionSearchFm.pas, GotoLineFrm.pas, Incrementalfrm.pas,
	  WindowListFrm.pas, devcpp.dpr, editor.pas, main.pas,
	  oysUtils.pas, Vcl/Parser/CodeCompletion.pas,
	  Vcl/Parser/CodeCompletionForm.pas,
	  Vcl/codetooltip/CodeToolTip.pas: kylix compatibility changes

2004-11-13 10:49  specu

	* source/install/installed_files.nsh: added Turkish.tips

2004-11-13 06:21  claplace

	* Lang/: Chinese_TC.lng, Turkish.lng, Turkish.tips: * language
	  update

2004-11-12 18:54  specu

	* source/Vcl/synedit/Packages/: synedit_kylix.dpk,
	  synedit_kylix.res, synedit_kylix_OE.dpk: added kylix packages for
	  SynEdit

2004-11-12 11:35  specu

	* source/main.pas: fix for bug 1009269 and 1062037

2004-11-12 09:48  specu

	* Templates/ConsoleApp_cpp.txt: cleanup (thanks to Michal Molhanec)

2004-11-11 17:22  specu

	* ChangeLog: added auto generated ChangeLog

2004-11-11 16:59  specu

	* source/install/: devcpp.nsi, installed_files.nsh: updated
	  installer files for dev-c++ 4.9.9.1

2004-11-11 16:49  specu

	* Examples/OpenGL/OpenGL.dev: in OpenGL Example change the name of
	  the project

2004-11-11 16:19  specu

	* source/install/devcpp.nsi: add OpenGL example to installer

2004-11-11 15:43  specu

	* source/: devcpp.dof, devcpp.res,
	  devtools/PackMaker/PackMaker.res, packman/Packman.res: update
	  versions in res files

2004-11-11 14:39  specu

	* source/devtools/PackMaker/main.dfm: fix packmaker version in
	  window title

2004-11-11 14:35  specu

	* source/packman/Main.dfm: fix packman version in window title

2004-11-11 11:18  specu

	* source/: devcpp.dof, version.pas, install/devcpp.nsi: increased
	  version to 4.9.9.1

2004-11-11 10:27  specu

	* Examples/OpenGL/: Main.cpp, OpenGL.dev, mainicon.ico: moved from
	  source/Examples/OpenGL

2004-11-11 10:18  specu

	* source/Examples/OpenGL/: Main.cpp, OpenGL.dev, Rsrc.rc: moved to
	  ../../Examples/OpenGL

2004-10-25 11:30  specu

	* source/: Vcl/synedit-old/Packages/SynEdit_D6.dpk,
	  Vcl/synedit-old/Packages/SynEdit_D6_PE.cfg,
	  Vcl/synedit-old/Packages/SynEdit_D6_PE.dof,
	  Vcl/synedit-old/Packages/SynEdit_D6_PE.dpk,
	  Vcl/synedit-old/Packages/SynEdit_D6_PE.res,
	  Vcl/synedit-old/Source/Contributors.txt,
	  Vcl/synedit-old/Source/Copy of SynEditStrConst.pas,
	  Vcl/synedit-old/Source/SynAutoCorrect.pas,
	  Vcl/synedit-old/Source/SynAutoCorrectEditor.dfm,
	  Vcl/synedit-old/Source/SynAutoCorrectEditor.pas,
	  Vcl/synedit-old/Source/SynAutoIndent.pas,
	  Vcl/synedit-old/Source/SynAutoIndent.res,
	  Vcl/synedit-old/Source/SynCompletionProposal.pas,
	  Vcl/synedit-old/Source/SynDBEdit.pas,
	  Vcl/synedit-old/Source/SynEdit.inc,
	  Vcl/synedit-old/Source/SynEdit.pas,
	  Vcl/synedit-old/Source/SynEdit.res,
	  Vcl/synedit-old/Source/SynEditAutoComplete.pas,
	  Vcl/synedit-old/Source/SynEditExport.pas,
	  Vcl/synedit-old/Source/SynEditHighlighter.pas,
	  Vcl/synedit-old/Source/SynEditKbdHandler.pas,
	  Vcl/synedit-old/Source/SynEditKeyCmdEditor.dfm,
	  Vcl/synedit-old/Source/SynEditKeyCmdEditor.pas,
	  Vcl/synedit-old/Source/SynEditKeyCmds.pas,
	  Vcl/synedit-old/Source/SynEditKeyCmdsEditor.dfm,
	  Vcl/synedit-old/Source/SynEditKeyCmdsEditor.pas,
	  Vcl/synedit-old/Source/SynEditKeyConst.pas,
	  Vcl/synedit-old/Source/SynEditMiscClasses.pas,
	  Vcl/synedit-old/Source/SynEditMiscProcs.pas,
	  Vcl/synedit-old/Source/SynEditOptionsDialog.dcr,
	  Vcl/synedit-old/Source/SynEditOptionsDialog.dfm,
	  Vcl/synedit-old/Source/SynEditOptionsDialog.pas,
	  Vcl/synedit-old/Source/SynEditPlugins.pas,
	  Vcl/synedit-old/Source/SynEditPrint.pas,
	  Vcl/synedit-old/Source/SynEditPrintHeaderFooter.pas,
	  Vcl/synedit-old/Source/SynEditPrintMargins.pas,
	  Vcl/synedit-old/Source/SynEditPrintMarginsDialog.dfm,
	  Vcl/synedit-old/Source/SynEditPrintMarginsDialog.pas,
	  Vcl/synedit-old/Source/SynEditPrintPreview.pas,
	  Vcl/synedit-old/Source/SynEditPrintTypes.pas,
	  Vcl/synedit-old/Source/SynEditPrint_Old.pas,
	  Vcl/synedit-old/Source/SynEditPrinterInfo.pas,
	  Vcl/synedit-old/Source/SynEditPropertyReg.pas,
	  Vcl/synedit-old/Source/SynEditPythonBehaviour.pas,
	  Vcl/synedit-old/Source/SynEditReg.dcr,
	  Vcl/synedit-old/Source/SynEditReg.pas,
	  Vcl/synedit-old/Source/SynEditSearch.pas,
	  Vcl/synedit-old/Source/SynEditStrConst.pas,
	  Vcl/synedit-old/Source/SynEditTextBuffer.pas,
	  Vcl/synedit-old/Source/SynEditTypes.pas,
	  Vcl/synedit-old/Source/SynExportHTML.pas,
	  Vcl/synedit-old/Source/SynExportRTF.pas,
	  Vcl/synedit-old/Source/SynHighlighterCpp.pas,
	  Vcl/synedit-old/Source/SynHighlighterManager.pas,
	  Vcl/synedit-old/Source/SynHighlighterRC.pas,
	  Vcl/synedit-old/Source/SynMacroRecorder.pas,
	  Vcl/synedit-old/Source/SynMemo.pas,
	  Vcl/synedit-old/Source/SynRegExpr.pas,
	  Vcl/synedit-old/Source/SynTextDrawer.pas,
	  Vcl/synedit-old/Source/kTextDrawer.pas,
	  Vertigo/vRoach/bin/compress.bat,
	  Vertigo/vRoach/doc/UserManual.html, Vertigo/vRoach/doc/logo.png,
	  Vertigo/vRoach/doc/vRoach.png,
	  Vertigo/vRoach/doc/vRoachOptions.png,
	  Vertigo/vRoach/src/DialogProc.c, Vertigo/vRoach/src/Makefile.win,
	  Vertigo/vRoach/src/SocketThread.c,
	  Vertigo/vRoach/src/compress.bat, Vertigo/vRoach/src/delshit.bat,
	  Vertigo/vRoach/src/ini_io.c, Vertigo/vRoach/src/main.c,
	  Vertigo/vRoach/src/misc.c, Vertigo/vRoach/src/prototypes.h,
	  Vertigo/vRoach/src/vRoach.dev, Vertigo/vRoach/src/vRoach.ini,
	  Vertigo/vRoach/src/vRoach.rc,
	  Vertigo/vRoach/src/resources/devcpp.bmp,
	  Vertigo/vRoach/src/resources/devcpp.psp,
	  Vertigo/vRoach/src/resources/devcpp.wav,
	  Vertigo/vRoach/src/resources/icon.ico,
	  Vertigo/vRoach/src/resources/resources.h,
	  Vertigo/vRoach/src/resources/resources.rc, Vertigo/vUpdate/Demo
	  Server/devfiles/1.bmp, Vertigo/vUpdate/Demo
	  Server/devfiles/2.bmp, Vertigo/vUpdate/Demo
	  Server/devfiles/3.bmp, Vertigo/vUpdate/Demo
	  Server/devfiles/SDL-dev-1.2.4.DevPak, Vertigo/vUpdate/Demo
	  Server/devfiles/help.bmp, Vertigo/vUpdate/Demo
	  Server/devfiles/index.html, Vertigo/vUpdate/Demo
	  Server/devfiles/update.ini, Vertigo/vUpdate/bin/compress.bat,
	  Vertigo/vUpdate/bin/devcpp.cfg,
	  Vertigo/vUpdate/devupdate/update.ini,
	  Vertigo/vUpdate/doc/Thumbs.db,
	  Vertigo/vUpdate/doc/UserManual.html,
	  Vertigo/vUpdate/doc/checked.png, Vertigo/vUpdate/doc/done.png,
	  Vertigo/vUpdate/doc/download.png,
	  Vertigo/vUpdate/doc/install.png, Vertigo/vUpdate/doc/list.png,
	  Vertigo/vUpdate/doc/logo.png, Vertigo/vUpdate/doc/main.png,
	  Vertigo/vUpdate/doc/new.gif, Vertigo/vUpdate/doc/parent.png,
	  Vertigo/vUpdate/doc/preview.png, Vertigo/vUpdate/doc/ready.png,
	  Vertigo/vUpdate/doc/upgrade.png,
	  Vertigo/vUpdate/doc/upgrade2.png,
	  Vertigo/vUpdate/doc/upgrade3.png, Vertigo/vUpdate/src/DebugOut.c,
	  Vertigo/vUpdate/src/DialogProc.c,
	  Vertigo/vUpdate/src/DisplayUpdates.c,
	  Vertigo/vUpdate/src/DownloadFile.c,
	  Vertigo/vUpdate/src/DownloadUpdatesThread.c,
	  Vertigo/vUpdate/src/FlushBuffer.c,
	  Vertigo/vUpdate/src/GetOptions.c,
	  Vertigo/vUpdate/src/ImplementOptions.c,
	  Vertigo/vUpdate/src/InsertMacros.c,
	  Vertigo/vUpdate/src/Makefile.win,
	  Vertigo/vUpdate/src/ResetState.c,
	  Vertigo/vUpdate/src/SaveOptions.c, Vertigo/vUpdate/src/WndProc.c,
	  Vertigo/vUpdate/src/delshit.bat,
	  Vertigo/vUpdate/src/fillHeader.c, Vertigo/vUpdate/src/ini_io.c,
	  Vertigo/vUpdate/src/install.c, Vertigo/vUpdate/src/main.c,
	  Vertigo/vUpdate/src/misc.c, Vertigo/vUpdate/src/prototypes.h,
	  Vertigo/vUpdate/src/start.c, Vertigo/vUpdate/src/vUpdate.dev,
	  Vertigo/vUpdate/src/vUpdate.rc,
	  Vertigo/vUpdate/src/vUpdate_private.rc,
	  Vertigo/vUpdate/src/resources/icon.ico,
	  Vertigo/vUpdate/src/resources/logo.bmp,
	  Vertigo/vUpdate/src/resources/resources.h,
	  Vertigo/vUpdate/src/resources/resources.rc,
	  Vertigo/vUpdate/src/resources/swap.exe, conio/Makefile,
	  conio/conio.c, conio/conio.h: cvs cleanup

2004-10-25 05:54  claplace

	* source/: CompOptionsFrm.pas, debugger.pas, debugwait.pas,
	  editor.pas, main.pas, project.pas: * bug fixes

2004-10-23 00:18  specu

	* .cvsignore: added cvsignore

2004-10-22 22:49  specu

	* source/editor.pas: fix for bug #1052046. Thanks to M. Schodermayr
	  for solution.

2004-09-22 07:05  claplace

	* source/: CompOptionsFrm.pas, Templates.pas, compiler.pas,
	  devcfg.pas: * patches 1010209 and 1010207 applied

2004-09-21 07:25  claplace

	* Lang/: Slovenian.lng, Slovenian.tips, Turkish.lng: * turkish
	  update and new slovenian translation

2004-09-21 07:22  claplace

	* source/: ImportMSVCFm.pas, debugger.pas, debugwait.pas,
	  editor.pas, main.pas, Vcl/synedit/Source/SynEditReg.pas: *
	  patches 1000963 (debugging) and 942977 (import msvc) applied

2004-08-13 12:30  specu

	* source/editor.pas: fix a problem where during completion one
	  letter was prepended to completed word

2004-08-13 10:47  specu

	* source/compiler.pas: fix for bug 1001291

2004-08-13 10:15  specu

	* source/: debugwait.pas, editor.pas, main.pas: comment out unused
	  variables

2004-08-13 10:13  specu

	* source/webupdate/WebUpdate.pas: fix for bug 1006424

2004-08-13 09:48  specu

	* source/: Search_Center.pas, datamod.pas, editor.pas, datamod.dfm:
	  fix for a problem with search with new synedit - enabling old
	  NEWEST_SYNEDIT code

2004-08-10 12:01  specu

	* source/_Delphi7_readme.txt: Delphi 7 building instructions

2004-08-10 11:14  specu

	* source/Vcl/synedit/Packages/SynEdit_R7.dpk: SynEdit Delphi 7
	  Enterprise dpk update

2004-08-10 10:42  specu

	* source/Vcl/synedit/Packages/SynEdit_R6.dpk: SynEdit dpk update
	  for Delphi 6 Enterprise

2004-08-10 09:58  specu

	* source/Vcl/synedit/Packages/: SynEdit_D7.dpk, SynEdit_D7_PE.dpk,
	  SynEdit_R6.dpk, SynEdit_R7.dpk: SynEdit dpk's for 6 Enterprise
	  version and Delphi 7

2004-08-09 23:19  specu

	* source/editor.pas: fix for bug 958289

2004-08-08 12:58  specu

	* source/: editor.pas, main.pas, project.pas: don't destroy Teditor
	  object within itself. Use FreeAndNil instead of Close

2004-08-08 11:46  specu

	* source/main.dfm: change Close accelerator to Ctrl-F4 - Alt-F4 now
	  closes the Dev-C++ (similar to Delphi)

2004-08-07 16:39  specu

	* source/: datamod.dfm, datamod.pas, editor.pas: assigned search
	  component to editor (otherwise it doesn't work)

2004-08-07 14:56  specu

	* source/devcpp.res: reimported devcpp.res - due to some problems
	  (like icons). Increased version to 4.9.9.0

2004-08-07 14:40  specu

	* source/devcpp.res: remove devcpp.res - it's going to be
	  recreated, avoiding some old infos being used.

2004-08-07 14:38  specu

	* source/devcpp.dof: importing the new synedit: add conditional
	  define

2004-08-07 14:19  specu

	* source/Vcl/synedit/Source/: SynEditWordWrap.pas,
	  SynHighlighterMulti.pas: importing the new synedit: added missing
	  files

2004-08-07 14:10  specu

	* source/: datamod.dfm, devcpp.cfg: importing the new synedit: in
	  datamod removed deprecated properties: SynHint.BiggestWord,
	  SynHint.Position, SynExporterHTML.HTMLFontSize. Added contidional
	  define NEW_SYNEDIT

2004-08-07 14:03  specu

	* source/Vcl/synedit/: Source/SynEditReg.pas,
	  IMPORTING_SYNEDIT.txt: importing the new synedit

2004-08-07 13:40  specu

	* source/Vcl/synedit/Source/: Contributors.txt, Copy of
	  SynEditStrConst.pas, SynAutoCorrect.pas,
	  SynAutoCorrectEditor.dfm, SynAutoCorrectEditor.pas,
	  SynCompletionProposal.pas, SynDBEdit.pas, SynEdit.inc,
	  SynEdit.pas, kTextDrawer.pas, SynEdit.res,
	  SynEditAutoComplete.pas, SynEditExport.pas,
	  SynEditHighlighter.pas, SynEditKbdHandler.pas,
	  SynEditKeyCmdEditor.dfm, SynEditKeyCmdEditor.pas,
	  SynEditKeyCmds.pas, SynEditKeyCmdsEditor.dfm,
	  SynEditKeyCmdsEditor.pas, SynEditKeyConst.pas,
	  SynEditMiscClasses.pas, SynEditMiscProcs.pas,
	  SynEditOptionsDialog.dcr, SynEditOptionsDialog.dfm,
	  SynEditOptionsDialog.pas, SynEditPlugins.pas, SynEditPrint.pas,
	  SynEditPrintHeaderFooter.pas, SynEditPrintMargins.pas,
	  SynEditPrintMarginsDialog.dfm, SynEditPrintMarginsDialog.pas,
	  SynEditPrintPreview.pas, SynEditPrintTypes.pas,
	  SynEditPrint_Old.pas, SynEditPrinterInfo.pas,
	  SynEditPropertyReg.pas, SynEditPythonBehaviour.pas,
	  SynEditReg.dcr, SynEditReg.pas, SynEditReg.res,
	  SynEditSearch.pas, SynEditStrConst.pas, SynEditTextBuffer.pas,
	  SynEditTypes.pas, SynExportHTML.pas, SynExportRTF.pas,
	  SynHighlighterCpp.pas, SynHighlighterManager.pas,
	  SynHighlighterRC.pas, SynMacroRecorder.pas, SynMemo.pas,
	  SynRegExpr.pas, SynTextDrawer.pas: importing the new synedit

2004-08-07 13:23  specu

	* source/Vcl/synedit/Packages/: SynEdit_D6.dpk, SynEdit_D6_PE.cfg,
	  SynEdit_D6_PE.dof, SynEdit_D6_PE.dpk, SynEdit_D6_PE.res:
	  importing the new synedit

2004-08-07 13:00  specu

	* source/Vcl/synedit-old/: Packages/SynEdit_D6.dpk,
	  Packages/SynEdit_D6_PE.cfg, Packages/SynEdit_D6_PE.dof,
	  Packages/SynEdit_D6_PE.dpk, Packages/SynEdit_D6_PE.res,
	  Source/Contributors.txt, Source/Copy of SynEditStrConst.pas,
	  Source/SynAutoCorrect.pas, Source/SynAutoCorrectEditor.dfm,
	  Source/SynAutoCorrectEditor.pas, Source/SynAutoIndent.pas,
	  Source/SynAutoIndent.res, Source/SynCompletionProposal.pas,
	  Source/SynDBEdit.pas, Source/SynEdit.inc, Source/SynEdit.pas,
	  Source/SynEdit.res, Source/SynEditAutoComplete.pas,
	  Source/SynEditExport.pas, Source/SynEditHighlighter.pas,
	  Source/SynEditKbdHandler.pas, Source/SynEditKeyCmdEditor.dfm,
	  Source/SynEditKeyCmdEditor.pas, Source/SynEditKeyCmds.pas,
	  Source/SynEditKeyCmdsEditor.dfm, Source/SynEditKeyCmdsEditor.pas,
	  Source/SynEditKeyConst.pas, Source/SynEditMiscClasses.pas,
	  Source/SynEditMiscProcs.pas, Source/SynEditOptionsDialog.dcr,
	  Source/SynEditOptionsDialog.dfm, Source/SynEditOptionsDialog.pas,
	  Source/SynEditPlugins.pas, Source/SynEditPrint.pas,
	  Source/SynEditPrintHeaderFooter.pas,
	  Source/SynEditPrintMargins.pas,
	  Source/SynEditPrintMarginsDialog.dfm,
	  Source/SynEditPrintMarginsDialog.pas,
	  Source/SynEditPrintPreview.pas, Source/SynEditPrintTypes.pas,
	  Source/SynEditPrint_Old.pas, Source/SynEditPrinterInfo.pas,
	  Source/SynEditPropertyReg.pas, Source/SynEditPythonBehaviour.pas,
	  Source/SynEditReg.dcr, Source/SynEditReg.pas,
	  Source/SynEditSearch.pas, Source/SynEditStrConst.pas,
	  Source/SynEditTextBuffer.pas, Source/SynEditTypes.pas,
	  Source/SynExportHTML.pas, Source/SynExportRTF.pas,
	  Source/SynHighlighterCpp.pas, Source/SynHighlighterManager.pas,
	  Source/SynHighlighterRC.pas, Source/SynMacroRecorder.pas,
	  Source/SynMemo.pas, Source/SynRegExpr.pas,
	  Source/SynTextDrawer.pas, Source/kTextDrawer.pas: backup the old
	  synedit

2004-08-07 12:40  specu

	* source/editor.pas: support for current synedit

2004-08-07 11:00  specu

	* source/editor.pas: support for current synedit

2004-08-07 10:57  specu

	* source/devcfg.pas: support for current synedit

2004-08-07 01:00  specu

	* source/Incrementalfrm.pas: support for current synedit

2004-08-07 00:55  specu

	* source/editor.pas: support for current synedit

2004-08-07 00:42  specu

	* source/: AddToDoFm.pas, FilePropertiesFm.pas, devcfg.pas,
	  main.pas: support for current synedit

2004-08-01 10:47  claplace

	* Dev-C++_Map.DevPak, NEWS.txt, devcpp.exe, devcpp.map,
	  source/compiler.pas, source/install/devcpp.nsi,
	  source/webupdate/WebUpdate.pas: * version 4.9.9.0 release

2004-07-31 10:56  specu

	* source/webupdate/WebUpdate.pas: fixed misspelled word (thanks
	  Michal Molhanec)

2004-07-30 21:39  specu

	* source/webupdate/: WebUpdate.dfm, WebUpdate.pas: fix a problem
	  where webupdate form was coming up clear. Added clearing
	  Webupdate form on close

2004-07-30 17:13  specu

	* source/webupdate/WebUpdate.pas: bug fix: devcpp.cfg existance is
	  not necessary to display packages from webupdate.conf

2004-07-30 15:29  specu

	* source/install/: devcpp.nsi, installed_files.nsh: updated
	  installation scripts. the updated mingw packages are from:
	  http://www.devpaks.org/list.php?category=Dev-C%2B%2B%20MinGW%20system

2004-07-30 15:22  specu

	* source/devtools/PackMaker/PackMaker.dof: increate packmaker
	  version to 0.5

2004-07-30 15:20  specu

	* source/packman/Packman.dof: increate packman version to 2.2.5

2004-07-30 15:17  specu

	* source/webupdate/WebUpdate.pas: remove the mirror "Andreas
	  Aberg''s server"

2004-07-30 15:14  specu

	* source/: devcpp.cfg, devcpp.dof, version.pas: Increase devcpp
	  version to 4.9.9.0 and mingw version to 3.3.1

2004-07-29 22:01  specu

	* source/webupdate/webupdate_conf_file_format.txt: Update to
	  webupdate.conf reference

2004-07-29 21:30  specu

	* source/: webupdate/WebUpdate.pas, devcpp.dpr: WebUpdate is now
	  aware of devpaks installed in Packman and displays them in the
	  list.

2004-07-29 18:51  specu

	* source/devcpp.dpr: use PackmanUtils

2004-07-29 18:41  specu

	* source/packman/: InstallFiles.pas, Installers.pas, Main.pas,
	  RemoveForms.pas, VerifyForms.pas, Packman.dpr, PackmanUtils.pas,
	  Utils.pas: rename Utils.pas to PackmanUtils.pas

2004-07-20 20:45  specu

	* source/webupdate/: WebUpdate.pas, webupdate_conf_file_format.txt:
	  implemented name key Name - now two or more devpaks may have the
	  same name. updated documentation. (thanks to Michal Molhanec)

2004-07-19 21:47  specu

	* source/webupdate/WebUpdate.pas: webupdate: read local version
	  from devcpp.cfg. not based on package name

2004-07-19 21:27  specu

	* source/webupdate/WebUpdate.pas: delete old date sorting code,
	  allowing sorting by iso date

2004-07-18 12:34  specu

	* source/: NewClassFm.pas, project.pas: fix for bug 992829 - insert
	  default code only if checkbox is checked and only to new files

2004-07-18 11:16  specu

	* source/NewProjectFrm.dfm: leave the selected project template
	  highlighted ("glowing") after changing focus to other controls

2004-07-17 23:53  specu

	* source/compiler.pas: handle compiler messages beginning with
	  "Info: " - those are not warnings nor errors

2004-07-17 23:08  specu

	* source/compiler.pas: .rc fatal errors are now displayed in the
	  main window so the problemous code can be automatically opened
	  and highlighted

2004-07-17 22:34  specu

	* source/compiler.pas: if the compiler outputs "Makefile.win:
	  warning: ..." - don't prepend "[Build error]" to output msg

2004-07-17 11:20  specu

	* source/compiler.pas: add spaces between INCS/CXXINCS and compile
	  params

2004-07-17 10:59  specu

	* source/compiler.pas: delete a space

2004-07-17 10:51  specu

	* source/compiler.pas: it doesn't have to be a warning - delete
	  misleading code

2004-07-17 10:18  specu

	* source/main.pas: when copying a message from compiler tab,
	  replace all <newline>s with spaces

2004-07-15 20:35  specu

	* source/webupdate/WebUpdate.pas: fix a bug where movefile failed
	  and the packman installed the file previously existing in the
	  packages directory instead of the new one. changed packman
	  message to less misleading.

2004-07-13 22:12  specu

	* source/webupdate/webupdate_conf_file_format.txt: added a short
	  description of webupdate.conf format by Michal Molhanec

2004-07-12 23:28  specu

	* source/webupdate/WebUpdate.pas: small fix for multiple "Group="
	  handling

2004-07-12 23:17  specu

	* source/webupdate/WebUpdate.pas: allow Group= to be list of groups
	  separated with commas (same package may appear in two or more
	  groups)

2004-07-12 22:22  specu

	* source/webupdate/WebUpdate.pas: misspelled "package" (thanks
	  Michal Molhanec)

2004-07-10 13:05  specu

	* source/devtools/PackMaker/main.pas: add option - when
	  packmaker.exe is run with a parameter - open parameter as
	  DevPackage file

2004-07-05 07:38  claplace

	* Lang/: Galego.lng, Galego.tips: * language update

2004-07-05 05:40  claplace

	* source/images/associations/h.ico: * icon update

2004-07-05 05:38  claplace

	* Lang/: Chinese.lng, Czech.lng, Czech.tips, French.lng: * language
	  file update

2004-06-13 14:19  specu

	* source/CVSFm.pas: cvs: make string breakup procedure recognize
	  ports

2004-06-13 13:59  specu

	* source/CVSFm.dfm: cvs: add support for branches, dates and most
	  recent (RFE: 962847)

2004-06-13 13:46  specu

	* source/CVSFm.pas: cvs: add support for branches, dates and most
	  recent (RFE: 962847)

2004-06-13 12:06  specu

	* source/CVSFm.dfm: add support for cvs port number (RFE: 968582)

2004-06-13 11:55  specu

	* source/CVSFm.dfm: add support for cvs port number (RFE: 968582)

2004-06-13 11:10  specu

	* source/CVSFm.pas: add support for cvs port number (RFE: 968582)

2004-06-13 10:15  specu

	* source/CVSFm.dfm: add support for cvs sspi protocol (RFE: 967433)

2004-06-13 00:41  specu

	* source/editor.pas: some optimization and hopefully fix for bug
	  005733DC (001723DC): TEditor.EditorMouseMove (editor - 1154)

2004-06-13 00:25  specu

	* source/main.pas: fix a crash during attempt to set the theme to
	  not yet initialized webupdate form

2004-06-12 23:46  specu

	* source/editor.pas: hopefully fix for bug 970160

2004-06-12 00:33  specu

	* source/main.pas: fix for bug #964339

2004-05-26 10:48  peter_

	* source/Vcl/synedit/Source/SynHighlighterCpp.pas: Fixed a tiny bug
	  in C++ Highlighter.  It highlighted the entire line, when after
	  the directive no space or tab was.

	  For example: #if((__APP_SOFTWARE__==SMSP1)

	  Now it only highlights the word right after the "#" !

	  More info at:
	  https://sourceforge.net/tracker/?func=detail&atid=110639&aid=951909&group_id=10639

2004-05-24 04:37  claplace

	* devcpp.exe, devcpp.map, source/CVSFm.pas, source/editor.pas,
	  source/main.dfm, source/main.pas: * bug fixes

2004-05-23 17:05  peter_

	* source/: editor.pas, main.dfm, main.pas: Fixed this problem:
	  https://sourceforge.net/tracker/?func=detail&atid=110639&aid=957025&group_id=10639

	  Changed marked with "added on 23rd may 2004 by peter_"

2004-05-23 16:27  claplace

	* devcpp.exe, devcpp.map, Lang/Chinese_TC.lng: * bug fixes

2004-05-23 14:39  claplace

	* source/: FileAssocs.pas, ProjectOptionsFrm.dfm,
	  ProjectOptionsFrm.pas, debugger.pas, debugwait.pas, devcpp.dof,
	  devcpp.res, editor.pas, main.pas, project.pas, version.pas,
	  webupdate/WebUpdate.pas: * bug fixes

2004-05-23 12:43  peter_

	* source/Vcl/Parser/: CodeCompletion.pas, CodeCompletionForm.dfm,
	  CodeCompletionForm.pas: Fixed the resizing problem, where the
	  codecompletion form could not get wider than 640 px.

	  Detailed info here:
	  https://sourceforge.net/tracker/index.php?func=detail&aid=935068&group_id=10639&atid=110639

2004-05-23 12:16  peter_

	* source/Vcl/codetooltip/CodeToolTip.pas: Test Commit ;)

2004-05-23 09:40  specu

	* source/webupdate/WebUpdate.pas: changed the way wThread is
	  terminated and destroyed, which seems to fix bug 951663

2004-05-22 21:37  specu

	* source/webupdate/WebUpdate.pas: partial fix for bug 951663 - ugly
	  webupdate crash (threads are destroyed slightly differently now)

2004-05-19 06:14  claplace

	* devcpp.map, source/devcpp.dof, source/devcpp.dpr,
	  source/editor.pas, source/helpfrm.pas, source/main.pas: * bug
	  fixes

2004-05-19 06:07  claplace

	* devcpp.exe: * bug fixes

2004-05-10 22:59  specu

	* source/webupdate/WebUpdate.pas: fix for bug 951440

2004-05-10 21:07  specu

	* source/editor.pas: hopefully fix for 'Access violation at address
	  00404C8F'

2004-05-10 20:47  specu

	* source/install/devcpp.nsi: Delete old devcpp.map to avoid
	  confusion in bug reports

2004-05-09 22:06  specu

	* source/Vcl/Parser/ClassBrowser.pas: fix for bug 948965

2004-05-09 18:55  specu

	* source/webupdate/: WebUpdate.dfm, WebUpdate.pas: add XPMenu to
	  webupdate form

2004-05-09 18:50  specu

	* source/main.pas: add XPMenu to webupdate form

2004-05-09 18:22  specu

	* source/Vcl/: TXPMENU.bmp, XPMenu.dcr, XPMenu_ReadMe.html:
	  upgraded to XPMenu 3.1

2004-05-09 18:19  specu

	* source/webupdate/WebUpdate.pas: previous patch didn't fix
	  anything - reverting back (except new mirror)

2004-05-09 18:17  specu

	* source/main.pas: reverted to 1.318

2004-05-09 18:13  specu

	* source/Vcl/XPMenu.pas: upgraded to XPMenu 3.1

2004-05-09 15:26  claplace

	* Dev-C++_Map.DevPak, NEWS.txt, devcpp.exe, devcpp.map,
	  source/devcpp.dof, source/devcpp.res, source/version.pas,
	  source/images/ThemeBlue.bmp, source/images/ThemeGnome.bmp,
	  source/images/ThemeNewLook.bmp, source/install/devcpp.nsi,
	  source/webupdate/WebUpdate.pas: * 4.9.8.9 release

2004-05-09 14:51  specu

	* source/main.pas: fix: cannot set visible if control is not active

2004-05-08 13:26  specu

	* source/install/devcpp.nsi: fix file assoc. backup

2004-05-08 12:26  specu

	* source/install/devcpp.nsi: try to read from registry if last
	  installation installed for All Users/Current User, and use it fix
	  file assoc. backup

2004-05-08 12:11  specu

	* source/install/devcpp.nsi: don't overwrite if backup exists in
	  registry, don't backup file associations to dev-cpp

2004-05-08 11:44  specu

	* source/: FileAssocs.pas, icons.rc, install/devcpp.nsi: fixed
	  icons

2004-05-08 00:55  specu

	* source/: version.pas, devcfg.pas: fix for bug 910098

2004-05-08 00:43  specu

	* source/icons.rc: fix icons associations with files

2004-05-08 00:29  specu

	* source/Envirofrm.pas: doesn't need to be sorted here anymore

2004-05-08 00:28  specu

	* source/MultiLangSupport.pas: sort language descriptions on
	  creation time

2004-05-08 00:25  specu

	* source/LangFrm.dfm: don't need to sort here anymore

2004-05-08 00:08  specu

	* source/main.pas: fixed: if classbrowser is disabled ctrl+F3
	  raises an exception

2004-05-07 23:58  specu

	* source/: LangFrm.dfm, LangFrm.pas: sort languages and select
	  'english' in first time config form

2004-05-07 23:42  specu

	* source/images/: ThemeBlue.bmp, ThemeGnome.bmp, ThemeNewLook.bmp:
	  updated images

2004-05-07 23:30  specu

	* source/images/first.bmp: updated image is in ThemeNewLook.bmp

2004-05-07 23:28  specu

	* source/: devcpp.dpr, LangFrm.pas: added resource file containing
	  theme previews for first time dialog

2004-05-07 23:17  specu

	* source/LangFrm.rc: theme preview bitmaps are available on the
	  left in first time dialog

2004-05-07 23:13  specu

	* source/: LangFrm.pas, LangFrm.dfm: theme preview bitmaps are
	  available on the left in first time dialog

2004-05-07 23:10  specu

	* source/images/: ThemeBlue.bmp, ThemeGnome.bmp, ThemeNewLook.bmp:
	  theme preview bitmaps for first time dialog

2004-05-07 21:02  specu

	* source/LangFrm.pas: fix for a bug where on first time dialog user
	  chooses a theme and xp look, this isn't remember if user decides
	  not to cache the headers

2004-05-07 20:32  specu

	* source/install/devcpp.nsi: remember if shortcuts were installed
	  in all users or current user, remember previous file
	  associations, examples, help file and icons are in typical
	  section now, different configurable setup name, XP Style on XP,
	  unified new and old interface in one file - '!define
	  NEW_INTERFACE', delete installed files on uninstall
	  (file-by-file), add uninstaller icon to start menu, examples are
	  now installed folder by folder (not /r), SetOverwrite is now 'on'
	  (instead of 'ifnewer')

2004-05-07 20:29  specu

	* source/install/devcpp-no_mingw.nsi: for no_mingw just comment out
	  '!define HAVE_MINGW' in devcpp.nsi

2004-05-07 20:28  specu

	* source/install/devcpp_mui-no_mingw.nsi: now default - for old
	  interface comment out '!define NEW_INTERFACE' in devcpp.nsi

2004-05-07 20:24  specu

	* source/install/installed_files.nsh: list of files installed after
	  full clean automatically generated for uninstall purposes

2004-05-06 22:25  specu

	* source/LangFrm.pas: scroll down to first item containing word
	  'english' in first time configuration

2004-05-06 22:05  specu

	* source/install/: devcpp-no_mingw.nsi, devcpp.nsi: unified
	  installers, ask if to run devcpp after install, added detailed
	  file associations and fix for 756691, dev-cpp now shows in
	  add/remove programs, added debug files section

2004-05-06 22:02  specu

	* source/install/devcpp_mui-no_mingw.nsi: initial "modern UI"
	  installer

2004-05-06 20:13  specu

	* source/packman/Packman.dof: change some project directories

2004-05-06 19:46  specu

	* source/install/devcpp.nsi: change version, add program to
	  'add/remove programs', add pages

2004-05-06 19:16  specu

	* source/install/: devcpp-no_mingw.nsi, devcpp.nsi: disable DirShow
	  until fixed in NSIS, make 'Dev-C++ program files' required

2004-05-06 19:14  specu

	* source/install/: devcpp-no_mingw.nsi, devcpp.nsi: use lzma
	  compression - much better than bzip2 in this case

2004-05-06 00:33  specu

	* source/install/devcpp-no_mingw.nsi: fix for installing for all
	  users regardles user's choice, removed vRoach/vUpdate

2004-05-06 00:31  specu

	* source/install/devcpp.nsi: fix for installing for all users
	  regardles user's choice

2004-05-05 21:04  specu

	* source/: FileAssocs.pas, devcfg.pas: read file associations and
	  set as defaults if devcpp.ini not found (bug 756691)

2004-05-05 20:06  specu

	* source/install/devcpp.nsi: removed vUpdate and vRoach from
	  installation list

2004-05-03 23:07  specu

	* source/ExceptionsAnalyzer.pas: bug report memo box now shows the
	  complete bug report not just a stack trace

2004-05-03 22:56  specu

	* source/ExceptionsAnalyzer.pas: wrap the stacktrace if it's one
	  long line

2004-05-03 22:25  specu

	* source/webupdate/WebThread.pas: allow remote file to be on server
	  other than mirror base url

2004-05-03 20:27  specu

	* source/Vcl/synedit/Packages/SynEdit_D6_PE.dof: added a search
	  path

2004-05-03 20:20  specu

	* source/main.pas: hopefully this will fix 'Access violation at
	  address 005487FF: TMainForm.actBrowserGotoImplUpdate (main -
	  4625)' in 4.9.8.7

2004-05-03 19:53  specu

	* source/Vcl/Parser/ClassBrowser.pas: fix for bug 844657

2004-05-02 23:33  specu

	* source/Vcl/XPMenu.pas: bug fix for 946310 (patch from XPMenu
	  V3.1)

2004-05-01 12:18  specu

	* source/ExceptionsAnalyzer.pas: remove double "0x" in bug report

2004-05-01 12:00  specu

	* Lang/Swedish.lng: update from bug 929259

2004-05-01 11:14  specu

	* source/editor.pas: fix for "Access violation at address 00404C8F"
	  in 4.9.8.7

2004-04-28 08:51  claplace

	* source/: ImportMSVCFm.pas, Vcl/Parser/CodeCompletion.pas: * bug
	  fixes

2004-04-28 08:48  claplace

	* devcpp.exe, devcpp.map: * bug fixes

2004-04-23 03:19  specu

	* source/webupdate/WebUpdate.pas: add acceleration keys, finished
	  sorting columns, enabled selection with space key

2004-04-23 03:10  specu

	* source/webupdate/WebUpdate.dfm: add acceleration keys and focus
	  controls, enabled selection with space key

2004-04-22 04:49  specu

	* source/webupdate/: WebUpdate.pas, WebUpdate.dfm: sorting columns

2004-04-21 08:37  claplace

	* Lang/: Norwegian.lng, Norwegian.tips, Ukrainian.lng,
	  Ukrainian.tips: * language update

2004-04-20 16:57  specu

	* source/debugger.pas: fix for bug 937254

2004-04-20 15:07  specu

	* source/editor.pas: fix for bug 938477

2004-04-20 07:26  claplace

	* devcpp.exe, devcpp.map, source/CFGData.pas, source/CFGINI.pas,
	  source/EditorOptfrm.pas, source/LangFrm.pas,
	  source/ProjectOptionsFrm.pas, source/debugger.pas,
	  source/devcpp.dof, source/devcpp.dpr, source/editor.pas,
	  source/main.pas, source/project.pas,
	  source/Vcl/devMonitorThread.pas: * Bug fixes

2004-04-19 05:28  specu

	* source/project.pas: fix for bug 933861

2004-04-19 05:24  specu

	* source/debugger.pas: fix for bug 778404

2004-04-19 05:22  specu

	* source/Envirofrm.pas: fix for bug 933259

2004-04-16 08:33  claplace

	* source/: AboutFrm.pas, Envirofrm.pas, ImageTheme.pas, icons.rc,
	  main.pas: * theme support

2004-04-15 05:41  claplace

	* source/packman/PackmanExitCodesU.pas: no message

2004-04-11 10:15  claplace

	* source/: devcpp.dpr, packman/InstallWizards.pas,
	  packman/Main.dfm, packman/Main.pas, packman/Packman.dof,
	  packman/Packman.dpr, packman/Packman.res,
	  webupdate/WebUpdate.pas: * WebUpdate is now aware of packman
	  errors

2004-04-10 11:02  claplace

	* source/: devcpp.cfg, devcpp.dof,
	  Vcl/synedit/Source/SynAutoIndent.pas,
	  Vcl/synedit/Source/SynAutoIndent.res: no message

2004-04-10 07:34  claplace

	* source/Vcl/codetooltip/: CodeToolTip.pas, CodeToolTip.res,
	  DevCodeToolTip.pas, XPToolTip.pas: Initial revision

2004-04-10 07:34  claplace

	* source/Vcl/codetooltip/: CodeToolTip.pas, CodeToolTip.res,
	  DevCodeToolTip.pas, XPToolTip.pas: no message

2004-04-10 07:32  claplace

	* source/images/associations/: IDE2.ico, ide.ico, o.ico, obj.ico: *
	  new association icons

2004-04-09 08:47  claplace

	* devcpp.exe: * Added support for the "interface" keyword *
	  WebUpdate should now report installation problems from PackMan *
	  New splash screen and association icons * Bug fixes

2004-04-09 08:44  claplace

	* source/: AboutFrm.dfm, AboutFrm.pas, Splash.dfm, devcpp.dof,
	  devcpp.res, icons.rc, main.dfm, main.pas, project.pas,
	  Vcl/synedit/Source/SynHighlighterCpp.pas, images/splash.bmp,
	  images/associations/c.ico, images/associations/cpp.ico,
	  images/associations/dev.ico, images/associations/h.ico,
	  images/associations/hpp.ico, images/associations/rc.ico,
	  images/associations/template.ico, webupdate/WebUpdate.pas: *
	  Added support for the "interface" keyword * WebUpdate should now
	  report installation problems from PackMan * New splash screen and
	  association icons * Bug fixes

2004-04-09 08:40  claplace

	* NEWS.txt, devcpp.exe, devcpp.map: * Added support for the
	  "interface" keyword * WebUpdate should now report installation
	  problems from PackMan * New splash screen and association icons *
	  Bug fixes

2004-04-04 06:51  claplace

	* source/: devcpp.cfg, devcpp.dof, webupdate/WebUpdate.pas: * bug
	  fixes

2004-04-02 04:33  claplace

	* devcpp.exe, devcpp.map, source/CompOptionsFrm.pas,
	  source/ProjectOptionsFrm.pas, source/debugger.pas,
	  source/main.pas, source/utils.pas: * New code tooltip display *
	  Improved Indent/Unindent and Remove Comment * Improved automatic
	  indent * Bug fixes

2004-04-02 03:30  claplace

	* NEWS.txt, devcpp.exe, devcpp.map, source/AboutFrm.pas,
	  source/AddToDoFm.pas, source/CFGData.pas, source/CFGINI.pas,
	  source/CFGReg.pas, source/CPUFrm.pas, source/CVSFm.pas,
	  source/CVSPasswdFm.pas, source/CVSThread.pas,
	  source/CheckForUpdate.pas, source/CodeIns.pas,
	  source/CompOptionsFrm.pas, source/CompileProgressFm.pas,
	  source/CompilerOptionsFrame.pas, source/DevThemes.pas,
	  source/EditorOptfrm.pas, source/Envirofrm.pas,
	  source/ExceptionsAnalyzer.pas, source/FileAssocs.pas,
	  source/FilePropertiesFm.pas, source/Findfrm.pas,
	  source/FunctionSearchFm.pas, source/GotoLineFrm.dfm,
	  source/GotoLineFrm.pas, source/IconFrm.pas,
	  source/ImportMSVCFm.pas, source/Incrementalfrm.pas,
	  source/LangFrm.pas, source/LangIDs.inc, source/Macros.pas,
	  source/ModifyVarFrm.pas, source/MultiLangSupport.pas,
	  source/NewClassFm.pas, source/NewMemberFm.pas,
	  source/NewProjectFrm.pas, source/NewTemplateFm.pas,
	  source/NewVarFm.pas, source/ParamsFrm.pas, source/PrintFrm.pas,
	  source/ProcessListFrm.pas, source/ProfileAnalysisFm.pas,
	  source/ProjectOptionsFrm.pas, source/RemoveUnitFrm.pas,
	  source/Replacefrm.pas, source/ResourceSelector.pas,
	  source/Search_Center.pas, source/Splash.pas,
	  source/Templates.pas, source/TipOfTheDayFm.pas,
	  source/ToolEditFrm.pas, source/ToolFrm.pas,
	  source/ViewToDoFm.pas, source/WindowListFrm.pas,
	  source/compiler.pas, source/datamod.pas, source/debugfrm.pas,
	  source/debugger.pas, source/debugreader.pas,
	  source/debugwait.pas, source/devExec.pas, source/devcfg.pas,
	  source/devcpp.dpr, source/devrun.pas, source/editor.pas,
	  source/helpfrm.pas, source/main.pas, source/prjtypes.pas,
	  source/project.pas, source/utils.pas, source/version.pas,
	  source/Vcl/devFileMonitor.pas, source/Vcl/devMonitorThread.pas,
	  source/Vcl/devMonitorTypes.pas, source/Vcl/devReg.pas,
	  source/Vcl/devShortcuts.pas,
	  source/Vcl/devShortcutsEditorForm.pas, source/Vcl/devTabs.pas,
	  source/Vcl/Parser/ClassBrowser.pas,
	  source/Vcl/Parser/ClassBrowsingReg.pas,
	  source/Vcl/Parser/CodeCompletion.pas,
	  source/Vcl/Parser/CodeCompletionForm.dfm,
	  source/Vcl/Parser/CodeCompletionForm.pas,
	  source/Vcl/Parser/CppParser.pas,
	  source/Vcl/Parser/CppTokenizer.pas,
	  source/Vcl/synedit/Source/SynHighlighterCpp.pas,
	  source/devtools/PackMaker/actionfrm.pas,
	  source/devtools/PackMaker/buildfrm.pas,
	  source/devtools/PackMaker/filefrm.pas,
	  source/devtools/PackMaker/main.pas,
	  source/devtools/PackMaker/menufrm.pas,
	  source/webupdate/WebThread.pas, source/webupdate/WebUpdate.pas: *
	  New code tooltip display * Improved Indent/Unindent and Remove
	  Comment * Improved automatic indent * Bug fixes

2004-02-23 06:10  claplace

	* devcpp.map, NEWS.txt, devcpp.exe: * many bug fixes

2004-02-23 05:58  claplace

	* Lang/: Czech.lng, Hungarian.lng, Italian.lng: * lang update

2004-02-23 05:57  claplace

	* source/: ProfileAnalysisFm.pas, ProjectOptionsFrm.pas,
	  compiler.pas, devcpp.dof, devcpp.res, main.pas, project.pas,
	  version.pas, Vcl/Parser/ClassBrowser.pas,
	  webupdate/WebThread.pas, webupdate/WebUpdate.pas: * many bug
	  fixes

2004-02-22 07:55  claplace

	* source/Source_Tree.txt: * source tree description

2004-02-03 07:37  claplace

	* Dev-C++_Map.DevPak, NEWS.txt, devcpp.exe, devcpp.map,
	  Lang/English.lng, Lang/French.lng, Lang/Norwegian.lng,
	  Lang/Romanian.lng, source/CVSThread.pas, source/LangIDs.inc,
	  source/debugger.pas, source/debugwait.pas, source/devcpp.dof,
	  source/devcpp.res, source/main.dfm, source/main.pas,
	  source/version.pas, source/Vcl/Parser/CodeCompletionForm.pas: *
	  Added lang id 259 * Added support for GCC > 3.2 * Error messages
	  parsing improved * Debug variables are now resent during next
	  debug session * Watched Variables not in correct context are now
	  kept and updated when it is needed * Bug fixes

2004-01-27 08:38  claplace

	* source/: compiler.pas, debugger.pas, debugwait.pas, editor.pas,
	  main.pas, utils.pas: * Added support for GCC > 3.2 * Error
	  messages parsing improved * Debug variables are now resent during
	  next debug session * Watched Variables not in correct context are
	  now kept and updated when it is needed * Bug fixes

2004-01-20 15:54  claplace

	* source/: LangIDs.inc, ProjectOptionsFrm.dfm,
	  ProjectOptionsFrm.pas, compiler.pas, debugwait.pas, version.pas,
	  devtools/PackMaker/main.dfm: * Added ids 3224, 3225, 3226 * Bug
	  fixes

2004-01-20 15:52  claplace

	* Lang/: English.lng, French.lng, Galego.lng, Galego.tips,
	  German.tips, Russian.lng: * Added ids 3224, 3225, 3226

2003-12-12 12:22  claplace

	* devcpp.map, Dev-C++_Map.DevPak, NEWS.txt, devcpp.exe: * Added ids
	  3401, 3402 * Added new compiler/linker options:    - Generate
	  instructions for a specific machine (i386, i486, i586, i686,
	  pentium, pentium-mmx, pentiumpro, pentium2, pentium3, pentium4,
	  k6, k6-2, k6-3, athlon, athlon-tbird, athlon-4, athlon-xp,
	  athlon-mp, winchip-c6, winchip2, k8, c3 and c3-2)    - Enable use
	  of processor specific built-in functions (mmmx, sse, sse2, pni,
	  3dnow)

2003-12-12 12:10  claplace

	* Lang/Catalan.lng, Lang/Catalan.tips, Lang/Czech.lng,
	  Lang/Czech.tips, Lang/English.lng, Lang/French.lng,
	  Lang/German.lng, source/CompilerOptionsFrame.pas,
	  source/LangIDs.inc, source/compiler.pas, source/debugger.pas,
	  source/devcfg.pas, source/main.pas: * Added ids 3401, 3402 *
	  Added new compiler/linker options:	- Generate instructions for
	  a specific machine (i386, i486, i586, i686, pentium, pentium-mmx,
	  pentiumpro, pentium2, pentium3, pentium4, k6, k6-2, k6-3, athlon,
	  athlon-tbird, athlon-4, athlon-xp, athlon-mp, winchip-c6,
	  winchip2, k8, c3 and c3-2)	- Enable use of processor specific
	  built-in functions (mmmx, sse, sse2, pni, 3dnow)

2003-12-07 22:52  claplace

	* source/: CompOptionsFrm.dfm, CompOptionsFrm.pas,
	  EditorOptfrm.pas, LangIDs.inc, compiler.pas, devcfg.pas,
	  main.dfm, main.pas, project.pas: * Added new compiler/linker
	  options: strip executable * Added ids 3400 * "Default" button in
	  Compiler Options is back * Bugs fixes

2003-12-07 22:40  claplace

	* Lang/: English.lng, French.lng: * update

2003-12-01 17:02  claplace

	* Lang/: Galego.lng, Galego.tips: * new galego language

2003-11-26 20:33  claplace

	* source/: LangFrm.dfm, LangFrm.pas, ProjectOptionsFrm.pas,
	  datamod.dfm, devcpp.dof, devcpp.res, main.dfm, main.pas,
	  version.pas, Vcl/Parser/ClassBrowser.pas,
	  Vcl/Parser/CppParser.pas, Vcl/Parser/CppTokenizer.pas,
	  webupdate/SelfUpdater.exe, webupdate/WebThread.pas,
	  webupdate/WebUpdate.dfm, webupdate/WebUpdate.pas,
	  webupdate/selfupdater.rc: * bug fixes

2003-11-26 19:42  claplace

	* Lang/Italian.lng: * lang update

2003-11-10 08:27  claplace

	* Dev-C++_Map.DevPak, devcpp.exe, devcpp.map, Lang/German.lng,
	  source/Splash.pas, source/editor.pas, source/main.pas,
	  source/project.pas, source/Vcl/Parser/ClassBrowser.pas,
	  source/Vcl/Parser/CppParser.pas,
	  source/Vcl/synedit/Source/SynEdit.pas,
	  source/webupdate/SelfUpdater.exe: * many bug fixes

2003-11-06 13:32  claplace

	* Dev-C++_Map.DevPak, devcpp.exe, devcpp.map, Lang/English.lng,
	  Lang/French.lng, source/CVSThread.pas, source/EditorOptfrm.pas,
	  source/LangFrm.dfm, source/LangFrm.pas, source/LangIDs.inc,
	  source/compiler.pas, source/main.pas, source/project.pas,
	  source/utils.pas, source/version.pas,
	  source/Vcl/Parser/ClassBrowser.pas,
	  source/Vcl/Parser/CppParser.pas,
	  source/webupdate/SelfUpdater.exe, source/webupdate/WebUpdate.pas:
	  * new lang ID 2521 * Bugs fixes

2003-11-01 10:55  claplace

	* Lang/: Chinese.lng, Hungarian.lng: * language update

2003-10-27 11:26  claplace

	* Dev-C++_Map.DevPak, NEWS.txt, devcpp.exe, devcpp.map,
	  Lang/German.lng, source/LangFrm.dfm, source/LangFrm.pas,
	  source/main.dfm, source/Vcl/Parser/CppTokenizer.pas,
	  source/webupdate/SelfUpdater.exe, source/webupdate/WebUpdate.pas,
	  source/webupdate/selfupdater/SelfUpdater.dpr: * During Dev-C++
	  First Time COnfiguration window, users can now choose between
	  using or not class browser and code completion features.  * Bugs
	  fixes

2003-10-26 09:01  claplace

	* source/: ModifyVarFrm.dfm, ModifyVarFrm.pas: * Modify variable
	  watch window

2003-10-20 19:30  claplace

	* source/: CompOptionsFrm.pas, LangIDs.inc, debugwait.pas,
	  devcpp.dof, devcpp.dpr, devcpp.res, main.dfm, main.pas,
	  version.pas: * Added the possibility to modify the value of a
	  variable during debugging (right click on a watch variable and
	  select "Modify value") * Added lang ID 258, 361, 362, 363 * Bugs
	  fixes

2003-10-20 19:29  claplace

	* Lang/: English.lng, French.lng: * Added lang ID 258, 361, 362,
	  363

2003-10-19 21:00  claplace

	* Dev-C++_Map.DevPak, NEWS.txt, devcpp.exe, devcpp.map,
	  Lang/Catalan.lng, Lang/Czech.lng, Lang/German.lng,
	  Lang/Russian.lng, Lang/Russian.tips, source/CodeIns.dfm,
	  source/CodeIns.pas, source/CompOptionsFrm.dfm,
	  source/CompOptionsFrm.pas, source/Envirofrm.dfm,
	  source/Envirofrm.pas, source/LangFrm.dfm, source/LangFrm.pas,
	  source/ProjectOptionsFrm.dfm, source/ProjectOptionsFrm.pas,
	  source/ToolEditFrm.dfm, source/ToolEditFrm.pas,
	  source/editor.pas, source/main.pas,
	  source/Vcl/Parser/CppParser.pas: * Code completion cache fixes *
	  Big speed up in function parameters listing while editing * Bugs
	  fixes

2003-10-08 04:59  mandrav

	* source/Vcl/Parser/CppTokenizer.pas: Bug-fix for C-style comments
	  in SkipToEOL

2003-10-08 04:37  mandrav

	* source/Vcl/Parser/CppParser.pas: Bug-fix for code-completion
	  cache creation crash

2003-10-07 14:37  claplace

	* Dev-C++_Map.DevPak: * Improved code completion cache progress
	  window * WebUpdate will now backup downloaded DevPaks in
	  Dev-C++\Packages directory, and Dev-C++ executable in
	  devcpp.exe.BACKUP * Bug fixes

2003-10-07 12:36  claplace

	* NEWS.txt, devcpp.exe, devcpp.map, Lang/German.lng,
	  source/LangFrm.dfm, source/LangFrm.pas, source/main.pas,
	  source/project.pas, source/version.pas,
	  source/webupdate/WebUpdate.pas: * Improved code completion cache
	  progress window * WebUpdate will now backup downloaded DevPaks in
	  Dev-C++\Packages directory, and Dev-C++ executable in
	  devcpp.exe.BACKUP * Bug fixes

2003-10-05 19:39  claplace

	* devcpp.map, NEWS.txt, devcpp.exe: * bug fixes

2003-10-05 19:27  claplace

	* source/: EditorOptfrm.dfm, EditorOptfrm.pas, LangFrm.pas,
	  editor.pas, main.pas: * bug fixes

2003-10-04 16:34  claplace

	* devcpp.exe: * Added the possibility to specify an include
	  directory for the code completion cache to be created at Dev-C++
	  first startup * Bug fixes

2003-10-04 16:24  claplace

	* Lang/: English.lng, Italian.lng, SpanishCastellano.lng,
	  SpanishCastellano.tips: * update

2003-10-04 16:24  claplace

	* source/: CVSThread.pas, EditorOptfrm.pas, LangFrm.dfm,
	  LangFrm.pas, debugwait.pas, devcpp.dof, devcpp.res, main.pas,
	  project.pas, version.pas, webupdate/WebUpdate.dfm,
	  webupdate/WebUpdate.pas: * Added the possibility to specify an
	  include directory for the code completion cache to be created at
	  Dev-C++ first startup * Bug fixes

2003-10-03 12:54  claplace

	* source/: ExceptionsAnalyzer.pas, compiler.pas: * bug fixes

2003-09-29 05:25  claplace

	* Dev-C++_Map.DevPak, NEWS.txt, devcpp.exe, devcpp.map,
	  Help/devcpp.RTF, Lang/English.tips, Lang/French.tips,
	  source/LangFrm.pas, source/compiler.pas, source/devcpp.dof,
	  source/devcpp.res: * 4.9.8.3 update

2003-09-24 19:52  claplace

	* source/: CVSFm.dfm, CompOptionsFrm.pas, EditorOptfrm.dfm,
	  EditorOptfrm.pas, Envirofrm.dfm, Envirofrm.pas,
	  NewProjectFrm.dfm, NewProjectFrm.pas, NewTemplateFm.dfm,
	  PrintFrm.dfm, PrintFrm.pas, WindowListFrm.dfm, main.dfm: * small
	  fixes

2003-09-23 21:04  claplace

	* source/: ExceptionsAnalyzer.pas, Findfrm.dfm, Replacefrm.dfm,
	  compiler.pas, helpfrm.pas, main.pas, project.pas,
	  devtools/PackMaker/PackMaker.dof,
	  devtools/PackMaker/PackMaker.res, devtools/PackMaker/main.dfm,
	  devtools/PackMaker/main.pas, webupdate/WebUpdate.pas: * bug fixes
	  * improved webupdater

2003-09-17 19:17  claplace

	* source/: ProcessListFrm.dfm, ProcessListFrm.pas: no message

2003-09-16 12:47  claplace

	* source/: ProcessListFrm.dfm, ProcessListFrm.pas, devcpp.dpr,
	  helpfrm.pas, main.pas: * added process list window files

2003-09-09 19:47  claplace

	* source/: LangFrm.pas, main.pas, version.pas,
	  webupdate/WebThread.pas, webupdate/WebUpdate.pas: * implemented
	  in the webupdater the possibility to execute devpaks and to
	  remember which files were installed.	* few bugs fixes

2003-09-05 15:44  claplace

	* Lang/German.lng: * update

2003-09-05 14:13  claplace

	* source/: LangFrm.dfm, LangFrm.pas, devcpp.cfg, devcpp.dof,
	  main.pas, version.pas: * added the possibility to create a code
	  completion cache of all standard include files during dev-c++
	  first time setup

2003-08-28 20:10  claplace

	* source/: Templates.pas, compiler.pas, devcpp.cfg, devcpp.dof,
	  devcpp.dpr, main.pas, prjtypes.pas, project.pas,
	  Vcl/synedit/Packages/SynEdit_D6_PE.cfg,
	  Vcl/synedit/Source/SynHighlighterCpp.pas,
	  packman/InstallWizards.pas: * many bug fixes

2003-08-28 20:09  claplace

	* Lang/: Catalan.lng, Estonian.lng, Estonian.tips, Romanian.lng: *
	  update

2003-07-30 17:44  claplace

	* NEWS.txt, devcpp.exe, devcpp.map, Lang/Chinese.lng,
	  Lang/English.lng, Lang/French.lng, Lang/German.lng,
	  Lang/Korean.lng, Lang/Portuguese.lng, Lang/SpanishCastellano.lng,
	  Templates/4-DLL.template, source/LangIDs.inc,
	  source/compiler.pas, source/debugger.pas, source/devExec.pas,
	  source/devcpp.cfg, source/devcpp.dof, source/devcpp.dpr,
	  source/devcpp.res, source/editor.pas, source/main.dfm,
	  source/main.pas, source/project.pas, source/utils.pas,
	  source/version.pas,
	  source/Vertigo/vUpdate/src/resources/swap.exe,
	  source/webupdate/SelfUpdater.exe: * Added lang id 257, 1023 * New
	  debug feature for DLLs: attach to a running process * Bug fixes

2003-07-07 09:40  mandrav

	* NEWS.txt: no message

2003-07-07 09:39  mandrav

	* source/: compiler.pas, ProjectOptionsFrm.dfm,
	  ProjectOptionsFrm.pas, project.pas: Added new project option: Use
	  custom Makefile (does not create Makefile.win)

2003-07-06 09:48  mandrav

	* source/editor.pas: Fixed bug that would show parser hints in
	  editor, regardless of the relevant editor setting

2003-07-06 09:44  mandrav

	* source/compiler.pas: Fixed bug #761727 (dependency checking not
	  working)

2003-07-04 05:34  mandrav

	* source/compiler.pas: Undo last commit

2003-07-04 05:27  mandrav

	* source/compiler.pas: Updates regarding the compiler progress form

2003-07-04 04:23  mandrav

	* NEWS.txt: no message

2003-07-04 04:01  mandrav

	* source/: DefaultFiles.rc, editor.pas: Fixed bug with
	  brace-matching highlighting in some color schemes

2003-07-03 09:07  mandrav

	* source/Vcl/: devShortcuts.pas, devShortcutsEditorForm.pas: Fixed
	  bugs with shortcut editing not working for some menu commands

2003-07-03 05:50  mandrav

	* Lang/English.lng: Added LangIDs: 2817-2819

2003-07-03 05:50  mandrav

	* Lang/Greek.lng: Added LangIDs: 2814-2819

2003-07-03 05:44  mandrav

	* source/: Envirofrm.dfm, Envirofrm.pas, LangIDs.inc, devcfg.pas,
	  devcpp.dpr: Added new environment option "Use alternate
	  configuration file" so that the user can select which
	  configuration file will be used. See bug #724590. It's still
	  overriden by "-c" command line parameter.

2003-07-03 05:40  mandrav

	* source/MultiLangSupport.pas: Added support for <CR> macro in .lng
	  files (is replaced by carriage return and line feed)

2003-07-03 03:15  mandrav

	* source/project.pas: Fixed bug that wouldn't link user resources
	  some times...

2003-07-03 02:54  mandrav

	* Lang/Greek.lng: LangID #735

2003-07-03 02:46  mandrav

	* source/webupdate/mirrors.cfg.sample: Added sample mirrors.cfg
	  file

2003-07-02 11:06  claplace

	* source/: FileAssocs.pas, LangIDs.inc, compiler.pas, devcfg.pas,
	  editor.pas, main.dfm, webupdate/WebUpdate.dfm,
	  webupdate/WebUpdate.pas: * bug fix & update

2003-07-02 11:03  claplace

	* Lang/: English.lng, French.lng: * added lang id 735

2003-06-30 05:55  mandrav

	* source/webupdate/selfupdater/SelfUpdater.dpr: Added SelfUpdater
	  in WebUpdater sources

2003-06-30 05:43  mandrav

	* source/: devcpp.dpr, main.pas, webupdate/SelfUpdater.exe,
	  webupdate/WebThread.pas, webupdate/WebUpdate.dfm,
	  webupdate/WebUpdate.pas, webupdate/selfupdater.rc,
	  webupdate/webupdate.conf.sample: Added WebUpdater in sources

2003-06-11 13:44  claplace

	* source/: CPUFrm.pas, compiler.pas, debugger.pas, debugwait.pas,
	  devcpp.dof, devcpp.res, main.pas, project.pas, version.pas,
	  Vcl/devShortcuts.pas: * many bug fixes (again)

2003-06-11 11:14  claplace

	* source/: CompilerOptionsFrame.dfm, DefaultFiles.rc, Macros.pas,
	  ProjectOptionsFrm.dfm, ProjectOptionsFrm.pas, compiler.pas,
	  datamod.dfm, main.dfm, project.pas,
	  Vcl/synedit/Source/SynHighlighterRC.pas,
	  packman/InstallWizards.pas, packman/Main.dfm: * many bug fixes

2003-06-03 04:57  mandrav

	* source/compiler.pas: Check command's return value for FindDeps(),
	  and if not 0, fail... (the old way was using string comparison
	  with error strings - not good)

2003-06-02 05:42  mandrav

	* source/compiler.pas, NEWS.txt: Bug-fix: when creating DLL, the
	  created static lib did *not* respect the output directory
	  defined...

2003-05-29 07:02  claplace

	* Lang/: Danish.lng, German.lng: * update

2003-05-20 02:23  mandrav

	* Lang/: English.lng, Greek.lng: Added LangID 856

2003-05-20 02:22  mandrav

	* source/: ImportMSVCFm.pas, LangIDs.inc: Bug fix for "Import MSVC"
	  case where some targets could not be found in the .dsp file (and
	  appropriate error message #856)

2003-05-06 04:26  mandrav

	* source/compiler.pas: Bug-fix in resource compilation (invalid
	  resource include directories)

2003-04-29 18:56  claplace

	* Lang/: Czech.lng, Korean.lng, Norwegian.lng, Norwegian.tips,
	  Ukrainian.lng: * update

2003-04-10 07:45  mandrav

	* source/Vcl/Parser/: CppParser.pas, CppTokenizer.pas: Bug-fix

2003-03-25 11:02  claplace

	* Examples/Hello/Hello.cpp, Lang/Hungarian.lng,
	  source/conio/conio.h, source/install/devcpp-no_mingw.nsi,
	  source/install/devcpp.nsi: * Changed position of compiler/linker
	  params in Project Options.  * Improved help file * Prepared for
	  4.9.8.0 release * bug fixes

2003-03-25 10:57  claplace

	* NEWS.txt, devcpp.exe, devcpp.map: * Changed position of
	  compiler/linker params in Project Options.  * Improved help file
	  * Prepared for 4.9.8.0 release * bug fixes

2003-03-23 21:54  claplace

	* source/: ProjectOptionsFrm.dfm, ProjectOptionsFrm.pas,
	  ToolEditFrm.dfm, compiler.pas, devcfg.pas, devcpp.cfg,
	  devcpp.dof, devcpp.res, main.pas, version.pas: * Changed position
	  of compiler/linker params in Project Options.  * Improved help
	  file * Prepared for 4.9.8.0 release * bug fixes

2003-03-23 21:16  claplace

	* Examples/FileEditor/FileEditor.dev, Examples/Hello/Hello.cpp,
	  Examples/Jackpot/main.cpp, Examples/MDIApp/MdiApp.dev,
	  Examples/Simpwin/Simple.dev, Examples/WinAnim/Anim.dev,
	  Examples/WinMenu/WinMenu.dev, Lang/Portuguese.lng,
	  Lang/Turkish.lng: * update

2003-03-23 21:11  claplace

	* Help/: devcpp.HLP, devcpp.RTF, devcpp.hpj, bmp/projopt_build.bmp,
	  bmp/projopt_comp.bmp, bmp/projopt_dirs.bmp,
	  bmp/projopt_files.bmp, bmp/projopt_general.bmp,
	  bmp/projopt_info.bmp, bmp/projopt_lib.bmp, bmp/projopt_make.bmp:
	  * improved help file

2003-03-22 13:50  mandrav

	* source/project.pas: Private resource file creation bug-fix

2003-03-19 02:27  mandrav

	* source/project.pas: Fixed the "private resources scattered all
	  over" bug (probably)

2003-03-16 21:26  claplace

	* Dev-C++_Map.DevPak, NEWS.txt, devcpp.exe, devcpp.map,
	  Lang/Chinese.lng, source/compiler.pas, source/devcpp.dof,
	  source/devcpp.res, source/main.dfm, source/main.pas,
	  source/project.pas, source/version.pas, source/Vcl/devTabs.pas,
	  source/install/devcpp.nsi: * Resource errors are now reported in
	  the Resource sheet * many bug fixes

2003-03-13 02:45  mandrav

	* source/: CompileProgressFm.dfm, CompileProgressFm.pas,
	  compiler.pas: Fixed bug with compiler progress window crashing on
	  close

2003-03-11 02:22  mandrav

	* Lang/Greek.lng: no message

2003-03-10 17:37  claplace

	* Lang/: German.lng, SpanishCastellano.lng: * update

2003-03-10 17:35  claplace

	* Help/: devcpp.HLP, devcpp.RTF, bmp/debug_backtrace.bmp,
	  bmp/debug_browser.bmp, bmp/debug_cpu.bmp, bmp/icon_addwatch.bmp:
	  * improved help file

2003-03-08 22:07  claplace

	* Dev-C++_Map.DevPak, NEWS.txt, devcpp.exe, devcpp.map,
	  Lang/English.lng, Lang/French.lng, Lang/Italian.lng,
	  source/Envirofrm.pas, source/LangIDs.inc,
	  source/MultiLangSupport.pas, source/NewClassFm.pas,
	  source/ProfileAnalysisFm.pas, source/devcpp.dof,
	  source/devcpp.res, source/main.dfm, source/main.pas,
	  source/version.pas: * Made whole bottom report control floating
	  instead of only debug output.  * Added lang IDs 198 and 346 *
	  many bug fixes

2003-03-06 04:48  claplace

	* Lang/: German.lng, Spanish.lng, Ukrainian.lng, Ukrainian.tips: *
	  update

2003-03-02 12:22  claplace

	* devcpp.map, Lang/Bulgarian.lng, Lang/English.lng,
	  Lang/French.lng, Lang/Hungarian.lng, Lang/Portuguese.lng,
	  Lang/Spanish.lng, Lang/SpanishCastellano.lng,
	  Lang/SpanishCastellano.tips, Lang/Turkish.lng,
	  source/Envirofrm.dfm, source/Envirofrm.pas, source/LangIDs.inc,
	  source/PrintFrm.dfm, source/PrintFrm.pas, source/compiler.pas,
	  source/debugwait.pas, source/devcfg.pas, source/devcpp.dof,
	  source/devcpp.res, source/editor.pas, source/main.dfm,
	  source/main.pas, source/version.pas: * Printing settings are now
	  saved * New environment options : "watch variable under mouse"
	  and "Report watch errors" * Added lang IDs 2814, 2815 and 2816 *
	  bug fixes

2003-03-02 12:19  claplace

	* Dev-C++_Map.DevPak, NEWS.txt, devcpp.exe: * Printing settings are
	  now saved * New environment options : "watch variable under
	  mouse" and "Report watch errors" * Added lang IDs 2814, 2815 and
	  2816 * bug fixes

2003-02-26 02:54  mandrav

	* source/: LangIDs.inc, ProjectOptionsFrm.dfm,
	  ProjectOptionsFrm.pas, main.pas, prjtypes.pas, project.pas: Added
	  project option: auto-increment build number on compile

2003-02-26 02:53  mandrav

	* Lang/: English.lng, Greek.lng: Added LangID 3223

2003-02-26 02:19  mandrav

	* source/compiler.pas: Fixed bug #690019

2003-02-26 02:07  mandrav

	* source/Vcl/Parser/CppParser.pas: Fixed bug #690007

2003-02-26 02:03  mandrav

	* source/editor.pas: Bug-fix

2003-02-18 07:29  claplace

	* source/: datamod.dfm, datamod.pas, main.dfm, main.pas: * fixed
	  bitmap transparency problems

2003-02-17 13:43  claplace

	* source/: compiler.pas, debugwait.pas, main.dfm, utils.pas: *
	  fixes problems with directories with spaces. We should not use
	  CommaText property of stringlists anymore, it only causes
	  problems to arise when dealing with spaces.  * other bug fixes

2003-02-17 09:22  claplace

	* source/: ImportMSVCFm.pas, debugwait.pas, devcfg.pas, main.pas,
	  utils.pas, version.pas: * bug fixes

2003-02-16 22:46  claplace

	* Help/: devcpp.CNT, devcpp.HLP, devcpp.RTF, bmp/comp_errors.bmp,
	  bmp/comp_log.bmp, bmp/debug_breakpoint.bmp,
	  bmp/debug_current.bmp, bmp/debug_log.bmp, bmp/icon_addlib.bmp,
	  bmp/icon_compile.bmp, bmp/icon_compilerun.bmp,
	  bmp/icon_continue.bmp, bmp/icon_debug.bmp, bmp/icon_nextstep.bmp,
	  bmp/icon_run.bmp, bmp/project_add.bmp, bmp/project_remove.bmp,
	  bmp/projopt_lib.bmp: * help file continued

2003-02-16 17:40  claplace

	* NEWS.txt: * finished debug variable browser :)

2003-02-16 17:27  claplace

	* Dev-C++_Map.DevPak, devcpp.exe, devcpp.map,
	  Lang/SpanishCastellano.lng, source/debugwait.pas: * finished
	  debug variable browser :)

2003-02-15 01:47  claplace

	* source/: debugger.pas, debugwait.pas, main.dfm, main.pas: *
	  debugger improvements

2003-02-12 19:30  claplace

	* Lang/German.lng: * update

2003-02-12 19:29  claplace

	* Templates/: ConsoleApp_cpp.txt, Dll_c.txt, Dll_cpp.txt,
	  Hello_c.txt, Hello_cpp.txt, OpenGL.txt, WinApp_c.txt: * some
	  updates

2003-02-12 03:24  mandrav

	* source/debugwait.pas: Bug-fix for a deadlock

2003-02-11 19:26  claplace

	* source/: debugger.pas, debugwait.pas, main.dfm, main.pas,
	  version.pas, images/newlook/search.bmp: * new "debug variable
	  browser" :)

2003-02-11 02:33  mandrav

	* Lang/Greek.lng: LangID 139

2003-02-10 19:45  claplace

	* NEWS.txt: * Changed tint of Class browser pictures colors to
	  match the New Look style * added lang id 139 * bug fixes

2003-02-10 19:30  claplace

	* source/units/README.txt: Initial revision

2003-02-10 19:30  claplace

	* source/units/README.txt: dummy directory where object files will
	  be placed

2003-02-10 19:22  claplace

	* source/: LangIDs.inc, ToolFrm.pas, datamod.dfm, datamod.pas,
	  devcpp.dof, devcpp.res, main.dfm, main.pas, version.pas,
	  images/classparser/class.bmp,
	  images/classparser/method_inherited.bmp,
	  images/classparser/method_inherited_protected.bmp,
	  images/classparser/method_private.bmp,
	  images/classparser/method_protected.bmp,
	  images/classparser/method_public.bmp,
	  images/classparser/var_inherited.bmp,
	  images/classparser/var_inherited_protected.bmp,
	  images/classparser/var_private.bmp,
	  images/classparser/var_protected.bmp,
	  images/classparser/var_public.bmp: * Changed tint of Class
	  browser pictures colors to match the New Look style * added lang
	  id 139 * bug fixes

2003-02-10 19:19  claplace

	* Lang/: English.lng, French.lng, Portuguese.lng,
	  SpanishCastellano.lng: * added ID 139

2003-02-10 06:41  mandrav

	* source/main.pas: Updated "Add watch" action to behave a little
	  differently:	   1. if there is selected text, it adds this, else
	  2. it asks what to add but provides, as default, the word
	  under the cursor

2003-02-10 06:11  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: * Bug-fix for inheritance
	  display

2003-02-10 06:10  mandrav

	* source/: main.dfm, main.pas: * Bug-fixes

2003-02-10 02:16  mandrav

	* source/images/classparser/: class.bmp, class_folder.bmp,
	  method_inherited.bmp, method_inherited_protected.bmp,
	  method_private.bmp, method_protected.bmp, method_public.bmp,
	  var_inherited.bmp, var_inherited_protected.bmp, var_private.bmp,
	  var_protected.bmp, var_public.bmp: Added classbrowser's icons in
	  CVS

2003-02-10 01:59  mandrav

	* Lang/: English.lng, Greek.lng: no message

2003-02-09 21:10  claplace

	* NEWS.txt: * added possibility to include in a Template the
	  Project's directories (include, libs and ressources) * added lang
	  id 945, 946, 947 * bug fixes

2003-02-09 21:07  claplace

	* source/LangIDs.inc, source/NewTemplateFm.dfm,
	  source/NewTemplateFm.pas, source/Templates.pas, source/main.dfm,
	  source/main.pas, Lang/English.lng, Lang/French.lng: * added
	  possibility to include in a Template the Project's directories
	  (include, libs and ressources) * added lang id 945, 946, 947 *
	  bug fixes

2003-02-06 07:16  claplace

	* Dev-C++_Map.DevPak: * map file

2003-02-04 17:55  claplace

	* NEWS.txt: * update

2003-02-04 17:02  claplace

	* devcpp.map, source/ProjectOptionsFrm.dfm, source/devcpp.dof,
	  source/devcpp.res, source/main.dfm, source/main.pas,
	  source/project.pas, source/version.pas: * bug fixes

2003-02-04 16:52  claplace

	* Dev-C++ Map.DevPak, devcpp.exe: * bug fixes

2003-02-04 09:12  claplace

	* Lang/: German.lng, Swedish.lng, Swedish.tips, Turkish.lng: * lang
	  update

2003-02-04 04:06  mandrav

	* source/: compiler.pas, utils.pas: Bug-fix for the "Abort compile"
	  action

2003-02-04 04:05  mandrav

	* source/main.pas: Bug-fix

2003-02-04 03:36  mandrav

	* source/project.pas: * Bug-fix for "resources" error * Bug-fix to
	  activate editor on new project

2003-01-31 04:50  mandrav

	* source/main.pas: Bug-fix for #676294

2003-01-31 04:35  mandrav

	* source/main.pas: Make sure the active editor gets the keyboard
	  focus, on new project creation

2003-01-31 04:31  mandrav

	* source/compiler.pas: Auto-close compiler progress form if
	  errors/warnings during compilation

2003-01-30 10:10  claplace

	* Lang/: Hungarian.lng, SpanishCastellano.lng: * update

2003-01-28 15:31  claplace

	* source/: main.pas, utils.pas: * fixed writing of vUpdate
	  configuration (vUpdate *needs* quotes around the value)

2003-01-28 08:47  mandrav

	* source/project.pas: Bug-fix

2003-01-28 05:34  mandrav

	* source/project.pas: * Renamed the #defines in private header file
	  because some of them clashed with the versioninfo resource...  *
	  Building of the private resource and header files does *not*
	  happen anymore, if nothing has changed...

2003-01-28 02:21  mandrav

	* source/Vcl/devMonitorThread.pas: Patch for freeze under Win95 by
	  Frederic Marchal

2003-01-27 22:00  claplace

	* Help/: devcpp.CNT, devcpp.HLP, devcpp.RTF, devcpp.hpj,
	  bmp/firsttime.bmp, bmp/newproj.bmp, bmp/splash.bmp: * update

2003-01-27 04:55  mandrav

	* source/Vcl/Parser/CppTokenizer.pas: Bug-fix

2003-01-27 04:45  mandrav

	* source/editor.pas: Bug-fix in arguments hinting

2003-01-27 03:57  mandrav

	* source/editor.pas: Code-completion update

2003-01-27 03:38  mandrav

	* source/main.pas: Bug-fix

2003-01-27 03:24  mandrav

	* source/project.pas: Bug-fix for "removed files" bug #671271

2003-01-27 03:17  mandrav

	* source/main.pas: Bug-fix: when opening project, disable all
	  actions until fully loaded...

2003-01-27 02:13  mandrav

	* source/main.pas: When removing project files, if multi-selection,
	  remove all selected

2003-01-27 02:12  mandrav

	* source/Envirofrm.pas: Removed an unused var

2003-01-27 02:10  mandrav

	* source/compiler.pas: Bug-fix

2003-01-26 15:20  claplace

	* Dev-C++_Map.DevPak: * update

2003-01-26 15:15  claplace

	* Dev-C++ Map.DevPak: * update

2003-01-26 10:17  claplace

	* NEWS.txt, devcpp.exe, devcpp.map, Lang/French.lng,
	  Lang/Russian.lng, source/CompOptionsFrm.pas,
	  source/Envirofrm.dfm, source/Envirofrm.pas, source/compiler.pas,
	  source/devcpp.cfg, source/devcpp.dof, source/devcpp.res,
	  source/main.dfm, source/project.pas, source/version.pas,
	  source/Vcl/devMonitorThread.pas: * several bug fixes

2003-01-26 06:36  mandrav

	* source/compiler.pas: When compiling the current file only, no
	  dependency checks are performed

2003-01-26 06:16  mandrav

	* NEWS.txt: no message

2003-01-26 06:15  mandrav

	* source/: project.pas, compiler.pas: * When compiling with
	  debugging symbols, an extra definition is passed to the compiler:
	  -D__DEBUG__ * Each project creates a <project_name>_private.h
	  file containing version information definitions

2003-01-26 05:09  mandrav

	* NEWS.txt: no message

2003-01-26 05:05  mandrav

	* Lang/: English.lng, Greek.lng: Added LangIDs 295 and 2810-2813

2003-01-26 05:04  mandrav

	* source/: Envirofrm.dfm, Envirofrm.pas, LangIDs.inc, compiler.pas,
	  devcfg.pas, main.dfm, main.pas, project.pas, utils.pas: * When
	  compiling the current file only, no dependency checks are
	  performed * Added "External programs" in Tools/Environment
	  Options (for units "Open with") * Added "Open with" in project
	  units context menu * Added "Classes" toolbar

2003-01-26 04:46  mandrav

	* source/Vcl/Parser/: CppParser.pas, CppTokenizer.pas: ~300%
	  Speed-up in class parser

2003-01-21 09:10  mandrav

	* source/Vcl/Parser/: ClassBrowser.pas, CppParser.pas: * Bug-fix
	  for a class browser lockup in "show inheritance" mode * Speed-up
	  when the class browser is in "show inheritance" mode * General
	  class browser speed-up (simple patch - why didn't I think of it
	  earlier?) * General parser speed-up (batch inheritance
	  processing)

2003-01-21 02:33  hongli

	* NEWS.txt: [no log message]

2003-01-20 03:10  claplace

	* Lang/Russian.tips: * lang update

2003-01-20 02:58  claplace

	* Lang/: Hungarian.tips, Italian.lng, Russian.lng,
	  SpanishCastellano.lng: * lang update

2003-01-19 04:21  hongli

	* Lang/: Russian.lng, Russian.tips: Updated Russian translations by
	  Vlad Aka Freeman

2003-01-17 07:09  mandrav

	* NEWS.txt: no message

2003-01-17 07:07  mandrav

	* source/compiler.pas: Fixed dependency checking to work correctly

2003-01-16 09:49  mandrav

	* source/: NewTemplateFm.dfm, NewTemplateFm.pas, Templates.pas:
	  Bug-fixes in "New template"

2003-01-16 04:59  mandrav

	* source/main.pas: If user selected not to show the new compile
	  progress window, open the compiler output when start compiling

2003-01-16 04:54  mandrav

	* source/main.pas: Clear debug-vars values before start of new
	  debugging session

2003-01-16 04:33  mandrav

	* source/main.pas: Do not add watch if var is an empty string...

2003-01-16 04:07  mandrav

	* source/ProjectOptionsFrm.dfm: Exec/Object output dir edits set
	  read-only to close bug #668600

2003-01-16 04:06  mandrav

	* source/: main.dfm, main.pas: Bug-fix (add watch crash if no files
	  open but project open)

2003-01-16 04:01  mandrav

	* source/Vcl/Parser/CppParser.pas: Bug-fix (keyword "using" was not
	  recognized)

2003-01-15 05:33  claplace

	* Lang/: Czech.tips, German.lng, Hungarian.lng, Polish.lng,
	  Portuguese.lng: * lang update

2003-01-14 02:16  mandrav

	* NEWS.txt: no message

2003-01-14 02:14  mandrav

	* source/: main.dfm, main.pas, project.pas: Added new file menu
	  entry: Save Project As

2003-01-14 01:45  mandrav

	* source/main.pas: Bug-fix for double quotes in devcpp.cfg file
	  read by vUpdate

2003-01-13 02:13  mandrav

	* Lang/Greek.lng: no message

2003-01-12 17:10  claplace

	* Dev-C++_Map.DevPak, NEWS.txt, devcpp.exe, devcpp.map,
	  Lang/Czech.lng, Lang/English.lng, Lang/French.lng,
	  Lang/German.lng, Lang/Slovak.lng, Lang/SpanishCastellano.lng,
	  Templates/Dll_cpp.txt, Templates/Dll_hpp.txt,
	  source/CompileProgressFm.dfm, source/Envirofrm.dfm,
	  source/Envirofrm.pas, source/LangIDs.inc, source/ToolFrm.dfm,
	  source/compiler.pas, source/devcfg.pas, source/devcpp.dof,
	  source/devcpp.res, source/helpfrm.dfm, source/main.dfm,
	  source/version.pas: * added 2 environments options : show
	  progress during compile & auto close progress window * bug fixes
	  * added lang id 606, 607, 608

2003-01-12 04:14  mandrav

	* NEWS.txt: no message

2003-01-12 04:08  mandrav

	* source/debugger.pas: When debugging symbols added on-request,
	  locate and remove linker's option "-s" (if set).

2003-01-12 03:51  mandrav

	* source/debugger.pas: Bug-fix

2003-01-12 03:51  mandrav

	* NEWS.txt, TODO.txt: no message

2003-01-12 03:47  mandrav

	* source/: main.pas, CompileProgressFm.dfm, CompileProgressFm.pas,
	  compiler.pas, devcpp.dpr: * Added compiler progress window

2003-01-12 03:29  mandrav

	* source/CompOptionsFrm.pas: Fixed bug #665650 [Add compiler sets
	  broken]

2003-01-10 05:27  mandrav

	* source/main.pas: Improved "Help on keyword" behaviour

2003-01-10 05:26  mandrav

	* source/project.pas: Bug-fix: don't save project file if not
	  modifed

2003-01-09 07:51  mandrav

	* source/: ProjectOptionsFrm.pas, compiler.pas: Bug-fix

2003-01-09 07:23  mandrav

	* source/compiler.pas: Bug-fix

2003-01-08 08:47  mandrav

	* source/EditorOptfrm.pas: Bug-fix

2003-01-08 07:46  mandrav

	* source/Vcl/Parser/CppParser.pas: Allow #include header files with
	  the C++ headers (no ".h" extension)

2003-01-08 07:39  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: * Amazing speed-up updating
	  class-browser when "Show inherited members" is **not** enabled.
	  * When "Show inherited members" is enabled, follow the
	  inheritance tree of the object, all the way up (it just displayed
	  the parent class's members). NOTE: it does not work with C++
	  polymorphic classes...

2003-01-08 07:16  claplace

	* source/: ProjectOptionsFrm.dfm, ProjectOptionsFrm.pas,
	  compiler.pas, utils.pas: * fixed bugs in compiler parameters
	  handling

2003-01-06 17:38  mandrav

	* source/editor.pas: Fix for bug #663245

2003-01-06 17:22  mandrav

	* source/project.pas: Fix for bug #663245

2003-01-04 04:51  mandrav

	* Lang/Greek.lng: no message

2003-01-03 20:24  claplace

	* Dev-C++ Map.DevPak, NEWS.txt: * added lang id 1022 * bug fixes

2003-01-03 20:20  claplace

	* devcpp.exe, devcpp.map, Lang/Chinese.lng, Lang/Chinese_TC.lng,
	  Lang/English.lng, Lang/French.lng, source/CompOptionsFrm.dfm,
	  source/EditorOptfrm.pas, source/LangIDs.inc,
	  source/ParamsFrm.dfm, source/ParamsFrm.pas,
	  source/Search_Center.pas, source/debugger.pas,
	  source/debugwait.pas, source/devcpp.dof, source/devcpp.res,
	  source/editor.pas, source/main.dfm, source/main.pas,
	  source/version.pas: * added lang id 1022 * bug fixes

2003-01-03 09:17  mandrav

	* source/editor.pas: Bug-fix

2003-01-03 06:39  mandrav

	* source/ProjectOptionsFrm.pas: Fixed bug #656653

2003-01-03 05:16  mandrav

	* source/Vcl/Parser/CppParser.pas: Fixed bug #642150

2003-01-03 04:43  mandrav

	* source/project.pas: Fix another filename-with-spaces bug

2003-01-03 03:27  mandrav

	* source/: WindowListFrm.dfm, WindowListFrm.pas: UI updates

2003-01-03 03:19  mandrav

	* source/editor.pas: Bug-fix

2003-01-02 06:02  claplace

	* Lang/: Korean.lng, Korean.tips, Romanian.lng, Romanian.tips: *
	  update

2002-12-29 07:27  claplace

	* Lang/: Bulgarian.lng, Latvian.lng, Polish.lng, Spanish.lng: *
	  lang update

2002-12-19 18:49  claplace

	* Dev-C++ Map.DevPak: * .map DevPak

2002-12-19 18:31  claplace

	* devcpp.exe, devcpp.map, Lang/English.lng, Lang/French.lng,
	  Lang/German.lng, Lang/Italian.lng, Lang/SpanishCastellano.lng,
	  Lang/SpanishCastellano.tips, source/MultiLangSupport.pas,
	  source/ProjectOptionsFrm.dfm, source/ProjectOptionsFrm.pas,
	  source/devcpp.dof, source/devcpp.res, source/main.dfm,
	  source/main.pas, source/version.pas: * bug fixes

2002-12-19 08:56  mandrav

	* source/: compiler.pas, ProjectOptionsFrm.pas: Bug-fix

2002-12-19 03:59  mandrav

	* source/CompOptionsFrm.pas: Bug-fix for bug #654737

2002-12-19 03:20  mandrav

	* source/: ImportMSVCFm.pas, ProjectOptionsFrm.pas, compiler.pas,
	  project.pas: Bug-fix

2002-12-18 16:30  mandrav

	* NEWS.txt: no message

2002-12-18 16:29  mandrav

	* source/: LangIDs.inc, ProjectOptionsFrm.dfm,
	  ProjectOptionsFrm.pas, project.pas: Added new per-unit option:
	  Build Priority

2002-12-18 16:26  mandrav

	* Lang/: English.lng, Greek.lng: Added LangID 3222

2002-12-18 07:59  mandrav

	* source/: CVSFm.pas, main.pas: Bug-fix for "CVS Import"

2002-12-18 07:28  mandrav

	* NEWS.txt: no message

2002-12-18 07:27  mandrav

	* source/: LangIDs.inc, ProjectOptionsFrm.dfm,
	  ProjectOptionsFrm.pas, compiler.pas, devcfg.pas, project.pas: *
	  Added "include in linking" per-unit option in project options *
	  Fixed bug #650796

2002-12-18 07:25  mandrav

	* Lang/: English.lng, Greek.lng: Added LangID 3221

2002-12-17 08:35  claplace

	* Lang/: Polish.lng, Portuguese.lng: * update

2002-12-17 06:41  mandrav

	* Lang/: English.lng, Greek.lng: Added LangID 2901

2002-12-17 06:41  mandrav

	* NEWS.txt: no message

2002-12-17 06:40  mandrav

	* source/: LangIDs.inc, compiler.pas, main.dfm, main.pas: * New
	  feature: compile current file only

2002-12-17 05:56  mandrav

	* NEWS.txt: no message

2002-12-17 05:54  mandrav

	* source/datamod.dfm: Removed ofNoReadOnlyReturn option from
	  OpenDialog options (bug-fix #655107)

2002-12-17 05:05  mandrav

	* source/compiler.pas: Bug-fix

2002-12-17 04:55  mandrav

	* source/project.pas: Bug-fix

2002-12-17 04:19  mandrav

	* Lang/: English.lng, Greek.lng: Added LangID 3220

2002-12-17 04:18  mandrav

	* source/: LangIDs.inc, ProjectOptionsFrm.dfm,
	  ProjectOptionsFrm.pas, project.pas: Fixed bug #654734

2002-12-17 04:04  mandrav

	* Lang/: English.lng, Greek.lng: Changed LangID 928...

2002-12-17 03:55  mandrav

	* Lang/: English.lng, Greek.lng: Added LangIDs 928 and 3219

2002-12-17 03:55  mandrav

	* source/: LangIDs.inc, compiler.pas, main.dfm, main.pas,
	  ProjectOptionsFrm.dfm, ProjectOptionsFrm.pas, prjtypes.pas,
	  project.pas: * Separated C++ compiler options from C compiler
	  options in Makefile (see bug report #654744) * Separated C++
	  include dirs from C include dirs in Makefile (see bug report
	  #654744) * Necessary UI changes in Project Options * Added
	  display of project filename and a summary of the project files in
	  Project Options.

2002-12-16 04:38  mandrav

	* source/project.pas: Fixed a terrible bug introduced in my last
	  commit :(

2002-12-16 02:50  mandrav

	* NEWS.txt: no message

2002-12-16 02:49  mandrav

	* source/compiler.pas: More "dirs-with-spaces" bug fixing

2002-12-16 02:16  mandrav

	* source/devcfg.pas: Fixed the "compiler-dirs-with-spaces" bug that
	  crept-in in 4.9.7.0

2002-12-16 01:48  mandrav

	* NEWS.txt: no message

2002-12-15 05:11  mandrav

	* NEWS.txt: no message

2002-12-15 05:09  mandrav

	* source/: ProjectOptionsFrm.dfm, ProjectOptionsFrm.pas,
	  Templates.pas, project.pas, ImportMSVCFm.pas, compiler.pas,
	  main.dfm, main.pas, prjtypes.pas: * Resource files are treated as
	  ordinary files now - GetFileTyp() is your friend ;) * Updates in
	  "Project Options/Files" code * MSVC import now creates the
	  folders structure of the original VC project

2002-12-11 12:57  hongli

	* Lang/Dutch.lng: [no log message]

2002-12-09 17:21  claplace

	* Lang/: Chinese.lng, Italian.lng: * update

2002-12-04 15:03  claplace

	* Lang/SpanishCastellano.lng, Lang/SpanishCastellano.tips,
	  source/ToolFrm.dfm, source/main.pas: * version 4.9.7.0 release

2002-12-04 15:00  claplace

	* devcpp.exe, devcpp.map: * version 4.9.7.0 release

2002-12-04 01:22  mandrav

	* source/: debugger.pas, main.pas: Bug-fix

2002-12-03 15:33  claplace

	* source/: ToolEditFrm.dfm, ToolEditFrm.pas, ToolFrm.dfm,
	  devcpp.cfg, devcpp.dof: * bug fixes

2002-12-03 13:27  claplace

	* source/: CVSFm.dfm, compiler.pas: * bug fix

2002-12-03 13:19  claplace

	* Lang/Chinese.lng: * update

2002-12-03 08:47  mandrav

	* NEWS.txt: no message

2002-12-03 08:46  mandrav

	* source/: ProjectOptionsFrm.dfm, ProjectOptionsFrm.pas,
	  compiler.pas, project.pas: Allow customizing of per-unit compile
	  command in projects

2002-12-03 04:15  mandrav

	* source/CompilerOptionsFrame.pas: Bug-fix

2002-12-02 04:10  mandrav

	* source/: CompOptionsFrm.pas, CompilerOptionsFrame.pas,
	  compiler.pas, devcfg.pas, ProjectOptionsFrm.pas, prjtypes.pas:
	  Added filters in compiler settings to hide specific settings when
	  the project is of a specified type.

2002-12-01 16:56  claplace

	* source/: devcpp.dpr, main.pas, utils.pas, version.pas: * update

2002-12-01 16:50  claplace

	* FEATURES.txt, NEWS.txt, Lang/German.lng, Lang/Spanish.lng,
	  Lang/SpanishCastellano.lng: * update

2002-12-01 08:09  mandrav

	* Lang/Greek.lng: LangID 927

2002-11-29 18:26  claplace

	* Lang/: Bulgarian.lng, Chinese_TC.lng, English.lng, French.lng,
	  German.lng: * updates

2002-11-29 18:11  claplace

	* source/: CompOptionsFrm.dfm, CompOptionsFrm.pas,
	  EditorOptfrm.pas, Envirofrm.dfm, LangFrm.pas, LangIDs.inc,
	  ProjectOptionsFrm.dfm, ProjectOptionsFrm.pas, devcfg.pas,
	  devcpp.cfg, devcpp.dof, main.dfm, main.pas, project.pas: * added
	  "Add Library" button in Project Options * added lang id 927 * bug
	  fixes

2002-11-28 01:31  mandrav

	* source/: CompilerOptionsFrame.dfm, CompilerOptionsFrame.pas: no
	  message

2002-11-27 07:10  mandrav

	* NEWS.txt: no message

2002-11-27 07:06  mandrav

	* Lang/: English.lng, Greek.lng: * Added LangIDs 778, 992.  *
	  ***changed*** LangIDs 703, 720, 721, 740, 741, 753, 761.

2002-11-27 07:03  mandrav

	* source/: CompOptionsFrm.dfm, CompOptionsFrm.pas, compiler.pas,
	  debugger.pas, devcfg.pas, devcpp.cfg, devcpp.dof, devcpp.dpr,
	  LangIDs.inc, ProjectOptionsFrm.dfm, ProjectOptionsFrm.pas,
	  main.pas, prjtypes.pas, project.pas: * Implemented new compiler
	  settings framework.  * Per-project compiler settings.

2002-11-26 17:40  claplace

	* source/: FilePropertiesFm.dfm, devcpp.dpr, editor.pas,
	  project.pas, utils.pas, version.pas: * bug fixes

2002-11-25 17:45  claplace

	* Lang/Polish.lng: * update

2002-11-25 01:55  mandrav

	* source/main.dfm: Somehow, ProjectView's DragMode was set to
	  manual. Reverted it to Automatic.

2002-11-24 19:10  claplace

	* source/: main.dfm, main.pas, project.pas,
	  Vertigo/vUpdate/src/Makefile.win, Vertigo/vUpdate/src/misc.c,
	  Vertigo/vUpdate/src/vUpdate.dev, install/devcpp.nsi: * bug fixes

2002-11-24 16:20  claplace

	* source/Vertigo/vUpdate/src/resources/swap.exe: * update

2002-11-24 15:55  claplace

	* Lang/French.lng: * update

2002-11-24 15:50  claplace

	* Lang/: Bulgarian.lng, German.lng: * update

2002-11-23 18:43  mandrav

	* Lang/: English.lng, Greek.lng: Added LangID 975

2002-11-23 18:42  mandrav

	* source/: NewMemberFm.pas, NewVarFm.dfm, NewVarFm.pas,
	  LangIDs.inc, NewMemberFm.dfm: Updates in "New Class Variable" and
	  "New Class Member" forms...

2002-11-23 06:13  mandrav

	* Lang/: English.lng, Greek.lng: Added LangID 318

2002-11-23 06:12  mandrav

	* source/LangIDs.inc: LangID 318

2002-11-23 06:12  mandrav

	* source/ProjectOptionsFrm.pas: Disable XPStyle checkbox when the
	  project is a lib...

2002-11-23 06:11  mandrav

	* source/: debugwait.pas, main.dfm, main.pas, version.pas: Debugger
	  updates

2002-11-22 22:33  claplace

	* source/Vertigo/vUpdate/: devupdate/update.ini, doc/Thumbs.db,
	  doc/checked.png, doc/done.png, doc/download.png, doc/install.png,
	  doc/list.png, doc/logo.png, doc/main.png, doc/new.gif,
	  doc/parent.png, doc/preview.png, doc/ready.png, doc/upgrade.png,
	  doc/upgrade2.png, doc/upgrade3.png, src/DebugOut.c,
	  src/DialogProc.c, src/DisplayUpdates.c, src/DownloadFile.c,
	  src/DownloadUpdatesThread.c, src/FlushBuffer.c, src/GetOptions.c,
	  src/ImplementOptions.c, src/ResetState.c, src/SaveOptions.c,
	  src/WndProc.c, src/fillHeader.c, src/ini_io.c, src/install.c,
	  src/main.c, src/misc.c, src/prototypes.h, src/start.c,
	  src/vUpdate.dev, src/resources/resources.h,
	  src/resources/resources.rc: * update

2002-11-22 22:18  claplace

	* source/: AboutFrm.dfm, AboutFrm.pas, EditorOptfrm.pas,
	  NewProjectFrm.dfm, debugwait.pas, devcpp.dpr, editor.pas,
	  main.dfm, main.pas, Vcl/synedit/Source/SynEdit.pas: * many bug
	  fixes

2002-11-22 22:13  claplace

	* Lang/: French.lng, German.lng: * update

2002-11-22 12:35  hongli

	* Lang/: English.lng, Dutch.lng: [no log message]

2002-11-22 12:34  hongli

	* source/NewProjectFrm.dfm: Minor UI fixes

2002-11-22 01:42  mandrav

	* source/main.pas: Bug-fix

2002-11-22 01:41  mandrav

	* source/Vcl/Parser/CppParser.pas: Updates

2002-11-22 01:39  mandrav

	* Lang/Greek.lng: LangIDs 182, 2520

2002-11-21 18:50  claplace

	* Lang/: German.lng, SpanishCastellano.lng, SpanishCastellano.tips:
	  * lang update

2002-11-21 18:34  claplace

	* NEWS.txt: * update

2002-11-21 18:33  claplace

	* Lang/: English.lng, French.lng: * added lang id 182 and 2520

2002-11-21 18:32  claplace

	* source/: EditorOptfrm.dfm, LangIDs.inc, datamod.dfm, main.dfm,
	  main.pas, Vcl/synedit/Packages/SynEdit_D6_PE.cfg: * added lang id
	  182 and 2520 * really working floating windows ;)

2002-11-21 11:55  mandrav

	* Lang/Greek.lng: LangIDs 344, 345 and 453

2002-11-21 08:09  claplace

	* NEWS.txt, TODO.txt: * update

2002-11-21 08:07  claplace

	* Lang/: English.lng, French.lng: * lang update

2002-11-21 08:03  claplace

	* source/: LangIDs.inc, devcpp.cfg, devcpp.dof, devcpp.res,
	  main.dfm, main.pas, version.pas: * project manager and debugging
	  window (in Debug tab) are now dockable, drag it to get a floating
	  window.  * added option to enable/disable braces matching * added
	  lang ids : 343, 344, 453 * bug fixes

2002-11-21 04:46  claplace

	* Lang/: English.lng, French.lng: * lang update

2002-11-21 04:45  claplace

	* source/: EditorOptfrm.dfm, EditorOptfrm.pas, LangIDs.inc,
	  devcfg.pas, editor.pas, main.dfm, main.pas: * debugging window
	  (in Debug tab) is now dockable, drag it onto the editor to get a
	  floating window.  * added option to enable/disable braces
	  matching * added lang ids : 453 * bug fixes

2002-11-20 18:04  claplace

	* Lang/: Danish.lng, English.lng, French.lng, German.lng,
	  Italian.lng, Polish.lng, Spanish.lng, SpanishCastellano.lng,
	  SpanishCastellano.tips: * lang update

2002-11-20 08:20  mandrav

	* source/: debugwait.pas, main.pas: * Bug-fix in debugger * Removed
	  two unused vars from main.pas

2002-11-20 05:33  mandrav

	* source/Vcl/Parser/CppParser.pas: General parser improvements

2002-11-20 05:06  mandrav

	* source/Vcl/synedit/Source/SynEditPrint.pas: Fixed bug #619607

2002-11-20 04:25  mandrav

	* source/: editor.pas, main.pas: Fixed bug #640933

2002-11-20 04:11  mandrav

	* source/NewProjectFrm.pas: Fixed bug #639440

2002-11-20 03:50  mandrav

	* source/Vcl/Parser/CppTokenizer.pas: Bug-fix

2002-11-20 03:42  mandrav

	* source/Vcl/Parser/CppTokenizer.pas: Bug-fix

2002-11-20 03:41  mandrav

	* source/Vcl/Parser/CppParser.pas: Let global variables to appear
	  in the classbrowser

2002-11-19 02:26  mandrav

	* source/Vcl/Parser/CppParser.pas: Bug fix

2002-11-18 09:26  mandrav

	* source/Vcl/Parser/CppParser.pas: Bug-fix

2002-11-18 07:52  mandrav

	* source/project.pas: Bug fix

2002-11-18 04:24  mandrav

	* NEWS.txt: no message

2002-11-18 04:23  mandrav

	* source/Macros.pas: Added two new macros: <DATE> and <DATETIME>

2002-11-18 04:22  mandrav

	* source/editor.pas: Support macros in "default code"

2002-11-18 04:07  mandrav

	* NEWS.txt: no message

2002-11-18 04:05  mandrav

	* source/: compiler.pas, CVSFm.dfm, CVSFm.pas, CVSThread.pas,
	  devcfg.pas, devcpp.dof, LangIDs.inc, main.dfm, main.pas,
	  prjtypes.pas, project.pas, ProjectOptionsFrm.dfm,
	  ProjectOptionsFrm.pas: * Separated layout info from project file.
	  It is now kept in a different file   (the same filename as the
	  project's but with extension ".layout"). If you   have your
	  project under CVS control, you ''ll know why this had to
	  happen...  * Compiler set per-project * Debugging info
	  per-project * Profiling info per-project * "Compile as C++"
	  per-unit * "Include file in compilation process" per-unit *
	  Project version info (creates the relevant VERSIONINFO struct in
	  the private resource) * Support XP Themes (creates the
	  CommonControls 6.0 manifest file and includes  it in the private
	  resource) * Added CVS "login" and "logout" commands * Bug fixes

2002-11-18 04:01  mandrav

	* Lang/: English.lng, Greek.lng: Added LangIDs 3200-3218

2002-11-17 05:00  mandrav

	* source/helpfrm.dfm: Fixed some control anchors because it didn't
	  resize well

2002-11-17 04:59  mandrav

	* source/: ToolFrm.dfm, ToolFrm.pas: UI update

2002-11-17 04:39  mandrav

	* source/: Findfrm.dfm, Findfrm.pas, main.pas: Fix for bug #639442

2002-11-17 04:11  mandrav

	* source/editor.pas: Fix for bug #639441

2002-11-17 04:04  mandrav

	* source/: editor.pas, Vcl/Parser/CodeCompletion.pas: Fix for bug
	  #639461

2002-11-16 07:47  mandrav

	* Lang/Greek.lng: Added LangIDs 790-791

2002-11-16 03:32  mandrav

	* source/main.pas: Bug-fix

2002-11-16 00:58  claplace

	* TODO.txt: update

2002-11-16 00:55  claplace

	* Dev-C++_Map.DevPak, NEWS.txt, devcpp.exe, devcpp.map,
	  Lang/English.lng, Lang/French.lng, Lang/German.lng,
	  Lang/Polish.lng, Lang/Portuguese.lng, Lang/SpanishCastellano.lng,
	  source/CompOptionsFrm.dfm, source/CompOptionsFrm.pas,
	  source/LangIDs.inc, source/devcfg.pas, source/devcpp.dof,
	  source/devcpp.res, source/editor.pas, source/helpfrm.dfm,
	  source/helpfrm.pas, source/main.dfm, source/main.pas,
	  source/version.pas: * implemented search in help files for the
	  word at cursor (context sensitive help) * added lang ids : 790,
	  791 * bug fixes

2002-11-14 11:55  mandrav

	* source/project.pas: Removed an unused variable

2002-11-14 11:52  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: Bug fix

2002-11-14 09:00  mandrav

	* source/CVSFm.pas: Cosmetic change

2002-11-14 08:57  mandrav

	* source/: CVSFm.pas, CVSFm.dfm: Bug fixes.

2002-11-14 08:40  mandrav

	* NEWS.txt: no message

2002-11-14 08:37  mandrav

	* Lang/: English.lng, Greek.lng: Added LangIDs 771-777

2002-11-14 08:36  mandrav

	* source/: CompOptionsFrm.dfm, CompOptionsFrm.pas, LangIDs.inc,
	  compiler.pas, version.pas, devcfg.pas: Implemented "compiler
	  sets" infrastructure.\nKeeps separate configuration for each
	  compiler: \n\n* The executable names (gcc.exe, make.exe, etc)\n*
	  The compiler dirs (includes, bins, libs)\n\nYou configure it
	  once, then switching compilers is just a click away
	  ;)\nDevelopers: you still use devCompiler to access its settings;
	  no need to change anything in the code...\n

2002-11-14 06:19  mandrav

	* source/: compiler.pas, project.pas: Fix to run windres.exe if the
	  private resource has changed (e.g. changed app icon)

2002-11-11 05:20  mandrav

	* source/CVSFm.pas: The file list does not show if the cvs action
	  refers to a directory.

2002-11-10 07:32  mandrav

	* NEWS.txt: no message

2002-11-10 07:30  mandrav

	* source/: main.pas, CVSFm.dfm, CVSFm.pas: Added Files tab in CVS
	  form to select more than one file for the requested action

2002-11-09 12:48  mandrav

	* Lang/Greek.lng: no message

2002-11-08 18:38  claplace

	* Dev-C++_Map.DevPak, devcpp.exe, devcpp.map, Lang/English.lng,
	  Lang/French.lng, Lang/Italian.lng, source/LangIDs.inc,
	  source/ParamsFrm.dfm, source/ParamsFrm.pas,
	  source/ProjectOptionsFrm.dfm, source/compiler.pas,
	  source/devcfg.pas, source/devcpp.dpr, source/main.dfm,
	  source/main.pas, source/prjtypes.pas, source/project.pas,
	  source/version.pas, NEWS.txt: * support for DLL application
	  hosting, for debugging and executing DLLs under Dev-C++.  * added
	  lang ids : 1514, 1515, 3100, 3101, 3102 * bug fix

2002-11-07 03:55  mandrav

	* source/project.pas: Finally (?) fixed the "Clock skew detected"
	  warning...

2002-11-06 16:26  claplace

	* Lang/: French.lng, German.lng, Italian.lng, Polish.lng,
	  Portuguese.lng, Spanish.lng, Spanish.tips, SpanishCastellano.lng:
	  * lang update

2002-11-06 16:23  claplace

	* source/: DevThemes.pas, Envirofrm.pas, LangFrm.pas, Themes.pas,
	  devcpp.dof, devcpp.dpr, devcpp.res, helpfrm.pas, main.pas,
	  project.pas, version.pas: * bug fix * renamed themes.pas to
	  DevThemes.pas because Theme.pas exists in Delphi 7 * lang update

2002-11-06 09:00  mandrav

	* NEWS.txt: no message

2002-11-06 08:59  mandrav

	* Lang/: English.lng, Greek.lng: Added LangID 294

2002-11-06 08:58  mandrav

	* source/: EditorOptfrm.dfm, EditorOptfrm.pas, LangIDs.inc,
	  datamod.dfm, devcfg.pas, main.dfm, main.pas,
	  Vcl/Parser/ClassBrowser.pas: New class browser option: "Show
	  inherited members"

2002-11-06 06:14  mandrav

	* NEWS.txt: no message

2002-11-06 06:13  mandrav

	* source/editor.pas: Added support for the '::' member access
	  operator (code-completion)

2002-11-06 06:12  mandrav

	* source/Vcl/Parser/: CodeCompletion.pas, CodeCompletionForm.dfm:
	  Added support for the '::' member access operator

2002-11-06 05:25  mandrav

	* source/main.pas: Bug-fix

2002-11-06 04:40  mandrav

	* source/Vcl/Parser/CppParser.pas: Added helper function
	  FillListOf()

2002-11-06 04:38  mandrav

	* NEWS.txt: no message

2002-11-06 04:37  mandrav

	* source/editor.pas: Added *working* function arguments hint

2002-11-06 04:36  mandrav

	* source/Vcl/synedit/Source/SynCompletionProposal.pas: Completion
	  proposal fixes

2002-11-06 02:23  mandrav

	* NEWS.txt: no message

2002-11-06 02:21  mandrav

	* source/CVSFm.dfm: Enlarged the CVS window

2002-11-06 02:20  mandrav

	* source/editor.pas: Added bracket highlighting. When the caret is
	  on a bracket, that bracket and its counterpart are highlighted.

2002-11-04 09:33  mandrav

	* source/Vcl/Parser/: CodeCompletion.pas, CppParser.pas: Fixed
	  templates support

2002-11-04 04:55  mandrav

	* source/main.pas: Bug-fix for bug #631620

2002-11-04 04:46  mandrav

	* source/: CVSFm.dfm, CVSFm.pas, main.pas: Fixed bug when invoking
	  CVS command on a ProjectView folder.

2002-11-04 04:19  mandrav

	* NEWS.txt: no message

2002-11-04 04:17  mandrav

	* source/: main.pas, project.pas: Nested folders in project view ;)

2002-11-04 01:43  mandrav

	* Lang/Greek.lng: LangIDs 183-184

2002-11-03 16:23  mandrav

	* Lang/Greek.lng: LangID 2809

2002-11-03 07:00  claplace

	* NEWS.txt, devcpp.exe, devcpp.map, Lang/English.lng,
	  Lang/French.lng, source/AboutFrm.dfm, source/AboutFrm.pas,
	  source/AddToDoFm.dfm, source/AddToDoFm.pas, source/CPUFrm.dfm,
	  source/CPUFrm.pas, source/CVSFm.dfm, source/CVSFm.pas,
	  source/CVSPasswdFm.dfm, source/CVSPasswdFm.pas,
	  source/CodeIns.dfm, source/CodeIns.pas,
	  source/CompOptionsFrm.dfm, source/CompOptionsFrm.pas,
	  source/EditorOptfrm.dfm, source/EditorOptfrm.pas,
	  source/Envirofrm.dfm, source/Envirofrm.pas,
	  source/ExceptionsAnalyzer.dfm, source/ExceptionsAnalyzer.pas,
	  source/FilePropertiesFm.dfm, source/FilePropertiesFm.pas,
	  source/Findfrm.dfm, source/Findfrm.pas,
	  source/FunctionSearchFm.dfm, source/FunctionSearchFm.pas,
	  source/GotoLineFrm.dfm, source/GotoLineFrm.pas,
	  source/IconFrm.dfm, source/IconFrm.pas, source/ImportMSVCFm.dfm,
	  source/ImportMSVCFm.pas, source/LangFrm.dfm, source/LangFrm.pas,
	  source/LangIDs.inc, source/NewClassFm.dfm, source/NewClassFm.pas,
	  source/NewMemberFm.dfm, source/NewMemberFm.pas,
	  source/NewProjectFrm.dfm, source/NewProjectFrm.pas,
	  source/NewTemplateFm.dfm, source/NewTemplateFm.pas,
	  source/NewVarFm.dfm, source/NewVarFm.pas, source/PrintFrm.dfm,
	  source/PrintFrm.pas, source/ProfileAnalysisFm.dfm,
	  source/ProfileAnalysisFm.pas, source/ProjectOptionsFrm.dfm,
	  source/ProjectOptionsFrm.pas, source/RemoveUnitFrm.dfm,
	  source/RemoveUnitFrm.pas, source/Replacefrm.dfm,
	  source/Replacefrm.pas, source/TipOfTheDayFm.dfm,
	  source/TipOfTheDayFm.pas, source/ToolEditFrm.dfm,
	  source/ToolEditFrm.pas, source/ToolFrm.dfm, source/ToolFrm.pas,
	  source/ViewToDoFm.dfm, source/ViewToDoFm.pas,
	  source/WindowListFrm.dfm, source/WindowListFrm.pas,
	  source/devcfg.pas, source/helpfrm.dfm, source/helpfrm.pas,
	  source/main.dfm, source/main.pas, source/Vcl/DevCpp.dpk,
	  source/Vcl/TXPMENU.bmp, source/Vcl/XPMenu.dcr,
	  source/Vcl/XPMenu.pas, source/Vcl/XPMenu_ReadMe.html,
	  source/Vcl/devMonitorThread.pas: * added XP Theme support * added
	  lang id 2809

2002-11-03 05:45  claplace

	* Dev-C++_Map.DevPak: * Map file DevPak

2002-11-03 05:37  claplace

	* NEWS.txt, devcpp.exe, devcpp.map, Lang/Croatian.lng,
	  Lang/German.lng, Lang/Portuguese.lng, Lang/Russian.lng,
	  Lang/Spanish.lng, source/main.pas, source/Vcl/devFileMonitor.pas:
	  * bug fixes

2002-11-02 12:50  mandrav

	* source/utils.pas: Someone put the code to get the exit code of a
	  spawned process, after the code that returns it :)))

2002-11-02 12:48  mandrav

	* source/: CVSFm.dfm, CVSFm.pas, CVSPasswdFm.dfm, CVSPasswdFm.pas,
	  CVSThread.pas, devcpp.dpr: Added password support for cvs to
	  :ext: protocol

2002-11-01 07:59  claplace

	* source/: FilePropertiesFm.pas, debugfrm.pas, main.pas,
	  Vcl/devFileMonitor.pas, Vcl/devMonitorThread.pas,
	  install/devcpp.nsi: * bug fixes

2002-11-01 07:58  claplace

	* Lang/Polish.lng: * lang update

2002-10-30 20:05  claplace

	* source/: LangIDs.inc, devcpp.dof, devcpp.res, main.dfm, main.pas,
	  version.pas: * added lang id 183 and 184 * bug fixes

2002-10-30 20:03  claplace

	* Lang/: English.lng, French.lng, German.lng, Latvian.lng,
	  Polish.lng, SpanishCastellano.lng, Turkish.lng: * added lang id
	  183 and 184

2002-10-30 03:29  mandrav

	* NEWS.txt: no message

2002-10-30 03:28  mandrav

	* source/: NewProjectFrm.pas, NewTemplateFm.pas, project.pas:
	  Changed some unprotected calls to chdir(), to the new
	  CheckChangeDir()

2002-10-30 03:27  mandrav

	* source/utils.pas: Added new function CheckChangeDir(). You should
	  use this instead of a simple chdir() to avoid exceptions...

2002-10-30 03:26  mandrav

	* source/: Envirofrm.dfm, Envirofrm.pas: Added configuration option
	  for "Templates Directory"

2002-10-30 03:25  mandrav

	* Lang/English.lng, Lang/Greek.lng, source/LangIDs.inc: Added
	  LangIDs 2807, 2808

2002-10-30 03:24  mandrav

	* NEWS.txt: no message

2002-10-30 02:49  mandrav

	* NEWS.txt: no message

2002-10-30 02:48  mandrav

	* source/: main.pas, project.pas: When closing a project, close all
	  open project resources too

2002-10-30 02:32  mandrav

	* source/: CVSFm.dfm, CVSFm.pas, LangIDs.inc, main.dfm, main.pas:
	  Added CVS commands "Add" and "Remove"

2002-10-30 02:30  mandrav

	* Lang/: English.lng, Greek.lng: Added LangIDs 3051-3055

2002-10-29 09:11  mandrav

	* source/Vcl/Parser/: CppParser.pas, CppTokenizer.pas: Bug-fix

2002-10-29 09:08  mandrav

	* source/: main.dfm, main.pas: Bug-fix

2002-10-28 13:15  mandrav

	* source/: main.pas, main.dfm, FilePropertiesFm.pas: Added "File
	  properties" entry in UnitPopup context menu

2002-10-27 10:36  claplace

	* NEWS.txt, devcpp.exe, devcpp.map, Icons/Crazy.ico,
	  Icons/Grazy.ico, Lang/Chinese_TC.lng, Lang/English.lng,
	  Lang/French.lng, Lang/German.lng, Lang/Italian.lng,
	  Lang/Polish.lng, Lang/SpanishCastellano.lng,
	  Lang/SpanishCastellano.tips, Lang/Swedish.lng,
	  source/Findfrm.dfm, source/LangFrm.pas, source/Replacefrm.dfm,
	  source/Replacefrm.pas, source/devcpp.dof, source/devcpp.res,
	  source/editor.pas, source/helpfrm.dfm, source/main.dfm,
	  source/main.pas, source/project.pas, source/version.pas,
	  source/Vcl/DevCpp.dof, source/Vcl/devShortcuts.pas,
	  source/Vcl/devShortcutsEditorForm.pas, source/install/devcpp.nsi:
	  * [fsm] current windows listing in Window menu * [fsm] folder
	  handling improved * (fsm] bug fix on devshortcut * [fsm] fixed
	  unindent behavior when using mixed tabs and spaces * some bug
	  fixes

2002-10-25 06:38  mandrav

	* NEWS.txt: no message

2002-10-25 06:38  mandrav

	* source/: FilePropertiesFm.dfm, FilePropertiesFm.pas, LangIDs.inc,
	  main.dfm, main.pas: * Added file's date/time stamp in
	  FileProperties window * Added menu "File Properties" in editor's
	  popup menu

2002-10-25 06:36  mandrav

	* Lang/: English.lng, Greek.lng: Added LangID 991

2002-10-25 06:05  mandrav

	* NEWS.txt: no message

2002-10-25 05:58  mandrav

	* source/: datamod.pas, devcfg.pas, main.pas: When devcpp first
	  runs (no devcpp.ini yet), the default editor color settings are
	  not initialized. Now they do ;)

2002-10-25 04:37  mandrav

	* source/: NewClassFm.dfm, NewClassFm.pas, NewMemberFm.dfm,
	  NewMemberFm.pas, NewVarFm.dfm, NewVarFm.pas: Added doxygen-style
	  comments in list

2002-10-23 09:10  mandrav

	* source/CVSFm.pas: Fixed wrong cvs command exit code display
	  (almost always = -1)

2002-10-23 04:27  mandrav

	* source/TipOfTheDayFm.dfm: Fixed font charset in components

2002-10-23 04:24  mandrav

	* Lang/Greek.lng: Added LangIDs 237, 2910-2911

2002-10-21 11:36  claplace

	* FEATURES.txt, NEWS.txt, devcpp.exe, devcpp.map, Lang/English.lng,
	  Lang/French.lng, Lang/Italian.lng, Lang/Italian.tips,
	  Lang/Polish.lng, Lang/Turkish.lng, source/ExceptionsAnalyzer.pas,
	  source/LangIDs.inc, source/WindowListFrm.dfm,
	  source/WindowListFrm.pas, source/devcpp.dof, source/devcpp.dpr,
	  source/devcpp.res, source/main.dfm, source/main.pas,
	  source/version.pas, source/Vcl/devFileMonitor.pas,
	  source/Vcl/devMonitorThread.pas: * window list in Window menu.  *
	  added lang ids 237, 2910, 2911 * new dev file changes monitoring
	  (by fsm).

2002-10-21 08:28  mandrav

	* source/: CVSFm.dfm, CVSFm.pas, Envirofrm.dfm, Envirofrm.pas,
	  LangIDs.inc, main.dfm, main.pas: * Finishing touches for CVS
	  support * Multilanguage for CVS

2002-10-21 08:26  mandrav

	* Lang/: English.lng, Greek.lng: Added LangIDs 2803-2806, 2990-2992
	  and 3000-3050 (for CVS support)

2002-10-21 06:47  mandrav

	* source/: CVSFm.dfm, CVSFm.pas: Revisions/Branches/Tags support in
	  cvs [update | log | diff]

2002-10-21 04:37  mandrav

	* source/main.pas: Reload open files after a CVS update

2002-10-21 04:25  mandrav

	* NEWS.txt: no message

2002-10-20 14:27  mandrav

	* source/: main.dfm, main.pas, CVSFm.dfm, CVSFm.pas, Envirofrm.dfm,
	  Envirofrm.pas, devcfg.pas, devcpp.dpr: CVS support :))) - About
	  80% complete

2002-10-19 05:46  mandrav

	* source/main.pas: Bug-fix for bug #624553

2002-10-19 05:38  mandrav

	* source/editor.pas: Bug-fix for bug #625084

2002-10-17 17:03  claplace

	* NEWS.txt, devcpp.exe, devcpp.map, Lang/German.lng,
	  Lang/Spanish.lng, source/datamod.pas, source/devcpp.dof,
	  source/devcpp.res, source/main.dfm, source/main.pas,
	  source/version.pas: * added ENTER key for opening file in project
	  browser, DEL to delete from the project.  * bug fixes

2002-10-15 03:26  mandrav

	* source/editor.pas: Bug-fix for code-completion

2002-10-13 15:44  claplace

	* NEWS.txt, devcpp.exe, devcpp.map, Lang/English.lng,
	  source/ProjectOptionsFrm.dfm, source/ProjectOptionsFrm.pas,
	  source/devcpp.dof, source/devcpp.dpr, source/devcpp.res,
	  source/version.pas: * bug fixes

2002-10-13 14:40  claplace

	* Lang/: Bulgarian.lng, Polish.lng, SpanishCastellano.lng: * lang
	  update

2002-10-09 20:19  claplace

	* NEWS.txt, devcpp.exe, devcpp.map, Lang/Croatian.lng,
	  Lang/Czech.lng, Lang/Danish.tips, Lang/French.lng,
	  Lang/German.lng, Lang/Portuguese.lng,
	  source/ExceptionsAnalyzer.pas, source/RemoveUnitFrm.dfm,
	  source/ResourceSelector.dfm, source/ResourceSelector.pas,
	  source/devcpp.dof, source/devcpp.res, source/main.dfm,
	  source/main.pas, source/version.pas,
	  source/Vertigo/vRoach/src/DialogProc.c,
	  source/Vertigo/vRoach/src/ini_io.c,
	  source/Vertigo/vRoach/src/misc.c,
	  source/Vertigo/vRoach/src/prototypes.h,
	  source/Vertigo/vRoach/src/vRoach.dev,
	  source/Vertigo/vRoach/src/resources/devcpp.bmp: * bug fixes

2002-10-09 01:43  mandrav

	* source/main.pas: Small bug-fix

2002-10-07 11:58  mandrav

	* source/main.pas: Update

2002-10-07 05:23  mandrav

	* source/FileAssocs.pas: Changed icon index for .dev file
	  association (from 2 to 1)

2002-10-07 05:23  mandrav

	* source/editor.pas: Minor adjustment to a change in the
	  class-parser

2002-10-07 05:22  mandrav

	* source/Vcl/Parser/: CodeCompletion.pas, CppParser.pas: * Rewrite
	  of code-completion logic.  * Class-parsing updates.

2002-10-04 13:00  claplace

	* Lang/: German.lng, Latvian.lng, Polish.lng, Spanish.lng,
	  SpanishCastellano.lng, SpanishCastellano.tips: * update lang
	  files

2002-10-03 07:54  mandrav

	* source/: LangIDs.inc, main.pas: Added LangID 2900 for
	  Execute/Parameters

2002-10-03 07:53  mandrav

	* source/FilePropertiesFm.pas: Fixed bug with yet-unsaved source
	  file

2002-10-03 07:53  mandrav

	* Lang/: English.lng, Greek.lng: Added LangID 2900

2002-10-01 17:03  claplace

	* Lang/French.lng, source/ExceptionsAnalyzer.dfm,
	  source/ExceptionsAnalyzer.pas, source/compiler.pas,
	  source/datamod.dfm, source/devcpp.dof, source/devcpp.res,
	  source/main.dfm, source/main.pas, source/version.pas: * fixed
	  "Cannot focus a disabled or invisible window" bug * resource
	  files are now correctly checked for recompilation or not (bug
	  number 597062) * now checks for vRoach existance when sending a
	  crash report * fixed bug number 613226

2002-10-01 17:00  claplace

	* NEWS.txt, devcpp.exe, devcpp.map: * fixed "Cannot focus a
	  disabled or invisible window" bug * resource files are now
	  correctly checked for recompilation or not (bug number 597062) *
	  now checks for vRoach existance when sending a crash report *
	  fixed bug number 613226

2002-10-01 16:50  claplace

	* source/devtools/StackTracer/: Main.dfm, Main.pas, MapReader.pas,
	  StackTracer.cfg, StackTracer.dof, StackTracer.dpr,
	  StackTracer.res: Initial revision

2002-10-01 16:50  claplace

	* source/devtools/StackTracer/: Main.dfm, Main.pas, MapReader.pas,
	  StackTracer.cfg, StackTracer.dof, StackTracer.dpr,
	  StackTracer.res: imported Yiannis' StackTracer tool

2002-10-01 10:56  mandrav

	* Lang/: English.lng, Greek.lng: Added LangIDs 219, 988, 990 and
	  2017

2002-10-01 06:08  mandrav

	* source/: main.dfm, main.pas, project.pas: * Implemented feature
	  request #616921

2002-10-01 05:35  mandrav

	* source/: FilePropertiesFm.dfm, FilePropertiesFm.pas, LangIDs.inc:
	  * Added relative and absolute filename in File Properties
	  (Feat.Req #616918) * Added LangIDs 988 and 990

2002-10-01 05:15  mandrav

	* source/LangIDs.inc: * Added LangIDs 219 and 2017

2002-10-01 05:14  mandrav

	* source/: compiler.pas, devrun.pas, main.dfm,
	  ProfileAnalysisFm.pas, main.pas, utils.pas: * Added "Abort
	  compiling" action to stop, well, the compiler from compiling! *
	  Also adjusted some action updates, and * Added LangIDs 219 and
	  2017

2002-10-01 01:54  mandrav

	* source/main.pas: Added check if already compiling before
	  executing the Clean action.

2002-10-01 01:53  mandrav

	* source/compiler.pas: Moved the fix for the "Clock skew detected"
	  warning, into BuildMakeFile so that it applies to Compile,
	  Rebuild and Clean actions.

2002-09-29 16:37  claplace

	* Lang/Slovak.lng: * lang update

2002-09-29 16:33  claplace

	* devcpp.exe, devcpp.map: * removed debug messages

2002-09-29 16:27  claplace

	* Lang/: German.lng, Italian.lng, Russian.lng, Spanish.lng,
	  SpanishCastellano.lng, SpanishCastellano.tips: * lang updates

2002-09-28 17:19  hongli

	* source/compiler.pas: Fix windres input filename

2002-09-28 16:44  hongli

	* Examples/WinAnim/: Anim.dev, Makefile.win: [no log message]

2002-09-28 16:40  hongli

	* Templates/OpenGL.template: [no log message]

2002-09-27 14:19  claplace

	* devcpp.exe, devcpp.map, Lang/French.lng, Lang/French.tips,
	  Lang/German.lng, Lang/Latvian.lng, Lang/Polish.lng,
	  source/LangFrm.pas, source/TipOfTheDayFm.pas, source/devcpp.dof,
	  source/devcpp.res, source/main.dfm, source/main.pas,
	  source/version.pas, source/install/devcpp-no_mingw.nsi,
	  source/install/devcpp.nsi: * fixed a bug * prepared for version
	  4.9.6.0 release

2002-09-25 19:23  claplace

	* Lang/: German.lng, Polish.lng, Spanish.lng: * update lang files

2002-09-25 04:20  mandrav

	* source/compiler.pas: Fixed a bug with relative paths in Include
	  Dirs using '\' instead of '/'

2002-09-25 03:32  mandrav

	* NEWS.txt: no message

2002-09-25 03:29  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: Fixed some bugs with class
	  folders + speed up of operations

2002-09-25 02:18  mandrav

	* Lang/English.lng, Lang/Greek.lng, source/EditorOptfrm.dfm,
	  source/EditorOptfrm.pas, source/Envirofrm.pas,
	  source/LangIDs.inc, source/main.pas: Added LangIDs: 2800, 2801,
	  2802, 485, 486 (changed), 452

2002-09-25 01:45  mandrav

	* NEWS.txt: Updated

2002-09-24 20:41  kiplingw

	* source/Vertigo/vRoach/: src/resources/tentnology.bmp,
	  src/resources/tentnology.psp, src/resources/tentnology.wav,
	  bin/vRoach.ini: [no log message]

2002-09-24 20:16  kiplingw

	* source/Vertigo/: vUpdate/devupdate/update.ini,
	  vUpdate/doc/preview.png, vUpdate/doc/checked.png,
	  vUpdate/doc/done.png, vUpdate/doc/download.png,
	  vUpdate/doc/list.png, vUpdate/doc/logo.png, vUpdate/doc/main.png,
	  vUpdate/doc/new.gif, vUpdate/doc/ready.png,
	  vUpdate/doc/upgrade.png, vUpdate/doc/upgrade2.png,
	  vUpdate/doc/upgrade3.png, vUpdate/doc/install.png,
	  vUpdate/doc/parent.png, vUpdate/doc/Thumbs.db, vUpdate/Demo
	  Server/devfiles/3.bmp, vUpdate/doc/UserManual.html, vUpdate/Demo
	  Server/devfiles/1.bmp, vUpdate/Demo Server/devfiles/2.bmp,
	  vUpdate/Demo Server/devfiles/SDL-dev-1.2.4.DevPak, vUpdate/Demo
	  Server/devfiles/help.bmp, vUpdate/Demo
	  Server/devfiles/index.html, vUpdate/Demo
	  Server/devfiles/update.ini, vUpdate/bin/compress.bat,
	  vUpdate/bin/devcpp.cfg, vUpdate/src/GetOptions.c,
	  vUpdate/src/ini_io.c, vUpdate/src/vUpdate.rc,
	  vUpdate/src/Makefile.win, vUpdate/src/install.c,
	  vUpdate/src/main.c, vUpdate/src/misc.c, vUpdate/src/vUpdate.dev,
	  vUpdate/src/DownloadUpdatesThread.c, vUpdate/src/prototypes.h,
	  vUpdate/src/DialogProc.c, vUpdate/src/start.c,
	  vUpdate/src/DebugOut.c, vUpdate/src/DisplayUpdates.c,
	  vUpdate/src/DownloadFile.c, vUpdate/src/FlushBuffer.c,
	  vUpdate/src/ResetState.c, vUpdate/src/delshit.bat,
	  vUpdate/src/fillHeader.c, vUpdate/src/vUpdate_private.rc,
	  vUpdate/src/ImplementOptions.c, vUpdate/src/InsertMacros.c,
	  vUpdate/src/SaveOptions.c, vUpdate/src/WndProc.c,
	  vUpdate/src/resources/resources.rc, vRoach/bin/compress.bat,
	  vRoach/bin/vRoach.ini, vRoach/doc/logo.png,
	  vUpdate/src/resources/icon.ico, vUpdate/src/resources/logo.bmp,
	  vUpdate/src/resources/resources.h, vRoach/doc/vRoach.png,
	  vRoach/doc/UserManual.html, vRoach/doc/vRoachOptions.png,
	  vRoach/src/Makefile.win, vRoach/src/compress.bat,
	  vRoach/src/delshit.bat, vRoach/src/vRoach.ini,
	  vRoach/src/vRoach.rc, vRoach/src/DialogProc.c,
	  vRoach/src/ini_io.c, vRoach/src/main.c, vRoach/src/misc.c,
	  vRoach/src/prototypes.h, vRoach/src/vRoach.dev,
	  vRoach/src/SocketThread.c, vRoach/src/resources/resources.h,
	  vRoach/src/resources/resources.rc,
	  vRoach/src/resources/devcpp.psp, vRoach/src/resources/icon.ico,
	  vRoach/src/resources/devcpp.wav,
	  vRoach/src/resources/tentnology.psp,
	  vRoach/src/resources/tentnology.wav,
	  vRoach/src/resources/devcpp.bmp,
	  vRoach/src/resources/tentnology.bmp: Initial revision

2002-09-24 20:16  kiplingw

	* source/Vertigo/: vUpdate/devupdate/update.ini,
	  vUpdate/doc/preview.png, vUpdate/doc/checked.png,
	  vUpdate/doc/done.png, vUpdate/doc/download.png,
	  vUpdate/doc/list.png, vUpdate/doc/logo.png, vUpdate/doc/main.png,
	  vUpdate/doc/new.gif, vUpdate/doc/ready.png,
	  vUpdate/doc/upgrade.png, vUpdate/doc/upgrade2.png,
	  vUpdate/doc/upgrade3.png, vUpdate/doc/install.png,
	  vUpdate/doc/parent.png, vUpdate/doc/Thumbs.db, vUpdate/Demo
	  Server/devfiles/3.bmp, vUpdate/doc/UserManual.html, vUpdate/Demo
	  Server/devfiles/1.bmp, vUpdate/Demo Server/devfiles/2.bmp,
	  vUpdate/Demo Server/devfiles/SDL-dev-1.2.4.DevPak, vUpdate/Demo
	  Server/devfiles/help.bmp, vUpdate/Demo
	  Server/devfiles/index.html, vUpdate/Demo
	  Server/devfiles/update.ini, vUpdate/bin/compress.bat,
	  vUpdate/bin/devcpp.cfg, vUpdate/src/GetOptions.c,
	  vUpdate/src/ini_io.c, vUpdate/src/vUpdate.rc,
	  vUpdate/src/Makefile.win, vUpdate/src/install.c,
	  vUpdate/src/main.c, vUpdate/src/misc.c, vUpdate/src/vUpdate.dev,
	  vUpdate/src/DownloadUpdatesThread.c, vUpdate/src/prototypes.h,
	  vUpdate/src/DialogProc.c, vUpdate/src/start.c,
	  vUpdate/src/DebugOut.c, vUpdate/src/DisplayUpdates.c,
	  vUpdate/src/DownloadFile.c, vUpdate/src/FlushBuffer.c,
	  vUpdate/src/ResetState.c, vUpdate/src/delshit.bat,
	  vUpdate/src/fillHeader.c, vUpdate/src/vUpdate_private.rc,
	  vUpdate/src/ImplementOptions.c, vUpdate/src/InsertMacros.c,
	  vUpdate/src/SaveOptions.c, vUpdate/src/WndProc.c,
	  vUpdate/src/resources/resources.rc, vRoach/bin/compress.bat,
	  vRoach/bin/vRoach.ini, vRoach/doc/logo.png,
	  vUpdate/src/resources/icon.ico, vUpdate/src/resources/logo.bmp,
	  vUpdate/src/resources/resources.h, vRoach/doc/vRoach.png,
	  vRoach/doc/UserManual.html, vRoach/doc/vRoachOptions.png,
	  vRoach/src/Makefile.win, vRoach/src/compress.bat,
	  vRoach/src/delshit.bat, vRoach/src/vRoach.ini,
	  vRoach/src/vRoach.rc, vRoach/src/DialogProc.c,
	  vRoach/src/ini_io.c, vRoach/src/main.c, vRoach/src/misc.c,
	  vRoach/src/prototypes.h, vRoach/src/vRoach.dev,
	  vRoach/src/SocketThread.c, vRoach/src/resources/resources.h,
	  vRoach/src/resources/resources.rc,
	  vRoach/src/resources/devcpp.psp, vRoach/src/resources/icon.ico,
	  vRoach/src/resources/devcpp.wav,
	  vRoach/src/resources/tentnology.psp,
	  vRoach/src/resources/tentnology.wav,
	  vRoach/src/resources/devcpp.bmp,
	  vRoach/src/resources/tentnology.bmp: [no log message]

2002-09-24 17:41  mandrav

	* source/compiler.pas: Fixed the "Clock skew detected" warning ;)

2002-09-24 04:38  mandrav

	* source/Vcl/Parser/CppParser.pas: Update

2002-09-24 03:45  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: Bug-fix

2002-09-24 03:35  mandrav

	* Lang/: English.lng, Greek.lng: Added LangID 926

2002-09-24 03:34  mandrav

	* source/: LangIDs.inc, ProjectOptionsFrm.dfm,
	  ProjectOptionsFrm.pas, prjtypes.pas, project.pas: Added "Override
	  output filename" in project options.

2002-09-23 08:40  mandrav

	* source/: WebThread.pas, WebUpdate.dfm, WebUpdate.pas, devcpp.dpr,
	  main.pas, selfupdater.RES: Removed WebUpdate module

2002-09-23 08:40  claplace

	* Lang/: Chinese.lng, Danish.lng, Dutch.lng, French.lng,
	  German.lng, Italian.lng, Polish.lng: * lang files update

2002-09-23 02:09  mandrav

	* source/Vcl/Parser/: ClassBrowser.pas, CppParser.pas: Added class
	  browser filter for project files classes.

2002-09-22 05:56  mandrav

	* source/EditorOptfrm.dfm: Enlarged the width of checkbox
	  ClassBrowser/UseColors

2002-09-22 05:55  mandrav

	* Lang/: English.lng, Greek.lng: Added LangID 293 and *removed*
	  LangID 497

2002-09-22 05:53  mandrav

	* source/: EditorOptfrm.dfm, EditorOptfrm.pas, LangIDs.inc,
	  devcfg.pas, main.dfm, main.pas: Added class browser view option
	  "Project files"

2002-09-22 04:52  mandrav

	* source/: compiler.pas, utils.pas: * Bug-fix in Utils.ExpandFileTo
	  * Compiler updates. It now works with filenames with spaces
	  everywhere: in source files, in object files, the executable
	  output...

2002-09-22 04:40  mandrav

	* source/ToolFrm.pas: Bug-fix in ToolForm.BuildMenu. Added check if
	  the tool file exists.

2002-09-21 08:11  mandrav

	* source/Vcl/Parser/: ClassBrowser.pas, CppParser.pas: Bug-fix

2002-09-21 07:42  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: Removed OnMouseUp property
	  from TClassBrowser

2002-09-21 07:41  mandrav

	* source/: main.dfm, main.pas: Removed OnMouseUp property from
	  ClassBrowser1

2002-09-21 07:04  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: Class browser colored output
	  updates

2002-09-21 06:47  mandrav

	* source/Vcl/Parser/: ClassBrowser.pas, CppParser.pas: Class
	  browser speed-up update

2002-09-21 06:42  mandrav

	* source/Vcl/Parser/CppParser.pas: Bug-fix

2002-09-21 05:16  mandrav

	* source/Vcl/Parser/CppParser.pas: Bug-fix

2002-09-21 05:11  mandrav

	* source/ProjectOptionsFrm.pas: Start SelectDirectory() in
	  project's dir if not defined exe and object output dirs before.

2002-09-20 17:36  mandrav

	* source/Vcl/Parser/CodeCompletion.pas: Bug-fix

2002-09-20 02:31  mandrav

	* source/Vcl/Parser/: CodeCompletionForm.dfm,
	  CodeCompletionForm.pas: Double-click in code-completion list,
	  same as "Enter"

2002-09-20 02:25  mandrav

	* source/Vcl/Parser/: CodeCompletion.pas, CodeCompletionForm.pas:
	  UI updates: try to remove flickering in code-completion box

2002-09-20 02:17  mandrav

	* source/editor.pas: Code completion bug-fix

2002-09-20 02:15  mandrav

	* source/Vcl/Parser/CppParser.pas: Updates

2002-09-20 02:09  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: Added OnMouseUp in class
	  browser

2002-09-20 02:07  mandrav

	* source/: main.dfm, main.pas: * Some breakpoints refreshing
	  updates.  * Added OnMouseUp in class browser to give focus to the
	  editor after selection.

2002-09-19 14:04  mandrav

	* source/Vcl/Parser/CppTokenizer.pas: Bug-fix for bug #611495

2002-09-19 01:41  mandrav

	* source/Vcl/Parser/CppParser.pas: Bug fix for bug #611302

2002-09-18 08:17  mandrav

	* source/Vcl/Parser/CppTokenizer.pas: Bug-fix (C++ style comments
	  in function arguments)

2002-09-18 07:49  mandrav

	* source/main.pas: Bug-fix

2002-09-18 07:40  mandrav

	* source/: EditorOptfrm.dfm, EditorOptfrm.pas, main.pas: * Enabled
	  code-completion caching

2002-09-18 05:30  mandrav

	* source/: WebUpdate.dfm, WebUpdate.pas: Added mirrors handling

2002-09-18 05:28  mandrav

	* source/version.pas: Added DEV_WEBMIRRORS_FILE const for WebUpdate

2002-09-18 05:27  mandrav

	* source/ExceptionsAnalyzer.pas: Update

2002-09-18 05:26  mandrav

	* source/devcpp.dpr: Added WebThread to project

2002-09-18 05:24  mandrav

	* source/devcfg.pas: Moved devDirs.Exec and devDirs.Config to
	  published scope. Need to access them through RTTI

2002-09-18 03:45  mandrav

	* source/Vcl/Parser/: ClassBrowser.pas, CodeCompletion.pas,
	  CppParser.pas: Bug-fixes and updates

2002-09-18 02:00  mandrav

	* source/Vcl/Parser/: ClassBrowser.pas, CodeCompletion.pas,
	  CppParser.pas: Updates

2002-09-17 16:11  claplace

	* NEWS.txt, devcpp.exe, devcpp.map, source/CodeIns.pas,
	  source/EditorOptfrm.dfm, source/EditorOptfrm.pas,
	  source/Envirofrm.dfm, source/ToolFrm.pas, source/devcfg.pas,
	  source/devcpp.dof, source/devcpp.dpr, source/devcpp.res,
	  source/editor.pas, source/main.pas, source/utils.pas,
	  source/version.pas: * Under NT, 2000 and XP, user application
	  data directory will be used to store config files (i.e :
	  C:\Documents and Settings\Username\Local Settings\Application
	  Data)

2002-09-17 15:16  claplace

	* Lang/: Latvian.lng, Latvian.tips, Polish.lng: * lang update

2002-09-17 09:41  mandrav

	* source/: EditorOptfrm.dfm, EditorOptfrm.pas,
	  ExceptionsAnalyzer.pas: * New editor option "Show editor hints" *
	  Exception handler now sends the stack addresses, no matter if it
	  the devcpp.map file exists or not

2002-09-17 09:35  mandrav

	* source/: devcfg.pas, editor.pas, project.pas, version.pas: *
	  Added new devEditor property ParserHints to disable hints on
	  mouse over * Project.SaveLayout() bug-fix * Added new constant in
	  version.pas

2002-09-16 08:56  mandrav

	* source/Vcl/Parser/CppParser.pas: Bug-fix

2002-09-16 05:21  mandrav

	* DEBUGGING.txt: Text with debugging info

2002-09-16 04:59  mandrav

	* devcpp.exe, NEWS.txt, devcpp.map: * Added Exception handling and
	  bug-report generation with all the necessary info * Added new
	  WebUpdate module (inactive temporarily) * Added new code for
	  code-completion caching of files (disabled - work in progress) *
	  Increased version to 4.9.5.3

2002-09-16 04:51  mandrav

	* source/: EditorOptfrm.dfm, EditorOptfrm.pas, devcpp.cfg,
	  devcpp.dpr, devcpp.res, ExceptionsAnalyzer.dfm,
	  ExceptionsAnalyzer.pas, WebThread.pas, WebUpdate.dfm,
	  WebUpdate.pas, main.dfm, main.pas, selfupdater.RES, version.pas:
	  * Added ExceptionsAnalyzer unit * Added new WebUpdate module
	  (inactive temporarily) * Added new code for code-completion
	  caching of files (disabled - work in progress) * Increased
	  version to 4.9.5.3

2002-09-16 04:20  mandrav

	* source/Vcl/Parser/: CodeCompletion.pas, CodeCompletionForm.pas,
	  CppParser.pas: Updates for code completion + a bug fix in parsing

2002-09-16 04:11  mandrav

	* source/editor.pas: Updates for code completion

2002-09-16 04:10  mandrav

	* source/devcfg.pas: Added UseCacheFiles and CacheFiles properties
	  in devCodeCompletion.

2002-09-16 04:09  mandrav

	* source/CFGINI.pas: Updated ClearSection() to use the
	  IniFiles.EraseSection() call to do the job...  I did not remove
	  the old code in case there was a special reason to do it the way
	  it was, that I don't know of. I just commented it out (for
	  now)...

2002-09-16 03:51  mandrav

	* source/ImportMSVCFm.pas: Bug-fix: ignore .ico files (don't add to
	  project)

2002-09-16 03:36  mandrav

	* source/project.pas: Changed private resource filename from
	  <project_name>.rc to <project_name>_private.rc (was causing many
	  problems when adapting foreign projects or importing MSVC
	  projects).

2002-09-15 19:57  claplace

	* TODO.txt, devcpp.exe, Help/Topics.txt, source/main.dfm,
	  source/main.pas: * small bugfix

2002-09-15 19:21  claplace

	* Lang/: Latvian.lng, SpanishCastellano.lng,
	  SpanishCastellano.tips, SpanishSpain.lng, SpanishSpain.tips,
	  Swedish.lng: * new languages

2002-09-13 01:45  mandrav

	* source/utils.pas: Added a new helper function GetFileVersion()

2002-09-12 12:57  mandrav

	* source/compiler.pas: Bug-fix #608324.

2002-09-12 12:46  mandrav

	* source/Vcl/Parser/CppTokenizer.pas: Bug-fix #608241.

2002-09-12 12:22  hongli

	* source/devtools/PackMaker/: PackMaker.dof, PackMaker.dpr,
	  PackMaker.res, actionfrm.dfm, actionfrm.pas, main.dfm, main.pas:
	  Modifications

2002-09-12 07:35  claplace

	* Lang/: Portuguese.lng, Portuguese.tips, Spanish.lng,
	  Spanish.tips, SpanishSpain.lng, SpanishSpain.tips: * lang files
	  update + new spanish (for ppl from Spain) lang files

2002-09-11 17:10  claplace

	* source/devtools/PackMaker/: PackMaker.dpr, buildfrm.dfm,
	  buildfrm.pas: * update

2002-09-11 15:21  hongli

	* source/devtools/PackMaker/: filefrm.dfm, main.dfm, menufrm.dfm:
	  UI improvements

2002-09-10 19:37  claplace

	* source/devtools/PackMaker/main.pas: * update

2002-09-10 19:33  claplace

	* source/packman/: Main.dfm, Packman.dof, Packman.res: * increased
	  build number

2002-09-10 19:06  claplace

	* source/devtools/PackMaker/: main.dfm, main.pas: * now generates
	  correct .DevPak :)

2002-09-10 19:05  claplace

	* source/packman/InstallWizards.pas: * corrected a bug

2002-09-10 19:02  claplace

	* source/packman/InstallWizards.pas: * now generates correct
	  .DevPak :)

2002-09-10 16:02  claplace

	* source/devtools/PackMaker/: PackMaker.dof, PackMaker.dpr,
	  PackMaker.res, main.dfm, main.pas: * progress bar

2002-09-10 15:33  mandrav

	* source/Vcl/devShortcuts.pas: Bug-fix. Now, if you disable a
	  shortcut, it stops working.

2002-09-10 14:43  claplace

	* source/devtools/PackMaker/: filefrm.pas, main.dfm, main.pas: *
	  done tar and bz2

2002-09-10 10:16  claplace

	* source/devtools/PackMaker/: filefrm.dfm, filefrm.pas, main.dfm,
	  main.pas: * saving, etc...

2002-09-10 09:31  claplace

	* source/devtools/PackMaker/: PackMaker.dpr, filefrm.dfm,
	  filefrm.pas, main.dfm, main.pas, menufrm.dfm, menufrm.pas: *
	  file/dir/icon view done

2002-09-10 04:52  mandrav

	* source/main.pas: Bug-fix in building help menu. It would delete
	  the "Help on Dev-C++" entry...

2002-09-10 04:51  mandrav

	* source/editor.pas: Bug-fix in editor hints

2002-09-09 21:58  claplace

	* source/devtools/PackMaker/: Blocks.obj, BzLib.obj, bzip2.pas,
	  Compress.obj, Decompress.obj, Huffman.obj, LibTar.pas,
	  PackMaker.cfg, PackMaker.dof, PackMaker.dpr, main.dfm, main.pas,
	  PackMaker.res: First import of Dev-C++ Package Maker.

2002-09-09 21:58  claplace

	* source/devtools/PackMaker/: Blocks.obj, BzLib.obj, bzip2.pas,
	  Compress.obj, Decompress.obj, Huffman.obj, LibTar.pas,
	  PackMaker.cfg, PackMaker.dof, PackMaker.dpr, main.dfm, main.pas,
	  PackMaker.res: Initial revision

2002-09-09 19:31  claplace

	* Lang/: Italian.lng, Italian.tips, Portuguese.lng,
	  Portuguese.tips: * lang update

2002-09-08 11:43  mandrav

	* source/Vcl/Parser/CppTokenizer.pas: Bug-fix

2002-09-06 12:35  claplace

	* devcpp.exe, source/CPUFrm.dfm, source/CPUFrm.pas,
	  source/compiler.pas, source/debugger.pas, source/debugwait.pas,
	  source/main.pas: * couple of bug fixes * CPU window problems
	  should now be corrected

2002-09-06 07:46  claplace

	* Lang/: German.lng, Polish.lng, Spanish.lng, Spanish.tips: * lang
	  updates

2002-09-06 01:30  mandrav

	* source/Envirofrm.pas: Bug-fix #602815.

2002-09-05 02:55  mandrav

	* Lang/Greek.lng: Added LangIDs 243 and 1021.

2002-09-05 02:53  mandrav

	* source/utils.pas: Fixed %PATH% setting bug...

2002-09-04 19:55  claplace

	* source/LangFrm.pas: * modified beta notice

2002-09-04 19:48  claplace

	* Help/: devcpp.CNT, devcpp.HLP, devcpp.RTF: * updated help file

2002-09-04 17:44  claplace

	* NEWS.txt, devcpp.exe, Lang/English.lng, Lang/French.lng,
	  Lang/Spanish.lng, source/LangIDs.inc,
	  source/ProjectOptionsFrm.dfm, source/ProjectOptionsFrm.pas,
	  source/debugger.pas, source/debugwait.pas, source/devcpp.dpr,
	  source/main.dfm, source/main.pas, source/version.pas: * trapping
	  of access violation for executed programs * when dev-c++ crashes
	  it will now ask the user if he wants to send a bug report * Help
	  file is now linked in Dev-C++ in several places (more to come) *
	  added lang ID 243 and 1021

2002-09-03 21:10  claplace

	* Help/: Topics.txt, devcpp.CNT, devcpp.HLP, devcpp.RTF,
	  devcpp.hpj: * help file update

2002-09-03 20:49  claplace

	* Help/bmp/: projopt_build.bmp, projopt_dirs.bmp,
	  projopt_general.bmp, projopt_make.bmp: Initial revision

2002-09-03 20:49  claplace

	* Help/bmp/: projopt_build.bmp, projopt_dirs.bmp,
	  projopt_general.bmp, projopt_make.bmp: help file bitmap's

2002-09-03 17:31  claplace

	* source/FilePropertiesFm.dfm: * minor bug fix

2002-09-03 17:05  claplace

	* Lang/: German.lng, German.tips, Polish.lng: lang file update

2002-09-03 13:54  mandrav

	* source/main.pas: Compiler warning fix

2002-09-03 09:57  mandrav

	* source/ImportMSVCFm.pas: Bug-fix

2002-09-03 04:40  claplace

	* devcpp.exe, Lang/French.lng, source/main.dfm, source/main.pas: *
	  bug fix + lang file update

2002-09-03 03:52  claplace

	* Lang/German.lng: * lang update

2002-09-03 03:38  mandrav

	* source/EditorOptfrm.pas, source/LangIDs.inc, source/main.pas,
	  Lang/English.lng, Lang/Greek.lng: Added LangID 292.

2002-09-03 03:34  mandrav

	* source/: EditorOptfrm.dfm, EditorOptfrm.pas: Added the new
	  class-browser option "UseColors".

2002-09-03 03:33  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: Updated ShowSampleData()
	  because it wouldn't display anything with UseColors=True

2002-09-03 03:04  mandrav

	* source/FileAssocs.pas: Call ShChangeNotify() only one time, not
	  after every association changing.

2002-09-03 02:50  mandrav

	* source/debugwait.pas: Fixed bug #603833

2002-09-03 02:50  mandrav

	* source/editor.pas: Undoing previous commit ("Fixed bug #603833").
	  The problem lurked in the debugger...

2002-09-03 02:35  mandrav

	* source/editor.pas: Fixed bug #603833

2002-09-03 02:01  mandrav

	* Lang/Turkish.lng: Added Turkish translation. Maintainer
	  raistlinthewiz@hotmail.com

2002-09-02 05:13  mandrav

	* source/: NewMemberFm.dfm, NewMemberFm.pas: Added "Add ToDo item"
	  option to automatically insert a new ToDo item for the new member
	  function.

2002-09-01 15:30  claplace

	* Lang/: Polish.lng, Polish.tips: * update polish files

2002-09-01 13:25  mandrav

	* source/main.pas: Bug-fix

2002-09-01 13:18  mandrav

	* source/main.pas: Removed a redundant file-parsing happening on
	  file-save

2002-09-01 13:14  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: Bug-fix for colored list when
	  using custom class-folders.

2002-09-01 13:12  mandrav

	* source/Vcl/Parser/CppParser.pas: Parser behaviour updates

2002-08-31 10:44  mandrav

	* NEWS.txt: no message

2002-08-31 10:43  mandrav

	* source/: devcfg.pas, main.dfm, main.pas: Added "View mode/Use
	  colors" entry under class-browser's context menu

2002-08-31 10:24  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: Added custom draw and added a
	  new property UseColors

2002-08-31 07:14  mandrav

	* source/: CompOptionsFrm.pas, ProjectOptionsFrm.pas,
	  ToolEditFrm.pas: Before every SelectDirectory() call, I 've set
	  the initial dir to point to the already preset dir...

2002-08-30 16:59  claplace

	* NEWS.txt, devcpp.exe, Lang/French.lng, Lang/French.tips,
	  source/compiler.pas, source/devcpp.dof, source/devcpp.res,
	  source/main.dfm, source/version.pas: * bug fix + French tips file

2002-08-30 10:24  claplace

	* Lang/: Polish.lng, Polish.tips: * polish file update

2002-08-30 09:17  mandrav

	* source/compiler.pas: Bug-fix

2002-08-30 07:46  mandrav

	* Lang/English.tips: Added vUpdate tip

2002-08-30 07:36  mandrav

	* devcpp.exe: Fixed bug #601876.  Fixed bug #598348.

2002-08-30 07:26  mandrav

	* source/Vcl/Parser/: CodeCompletion.pas, CppParser.pas: Fixed bug
	  #601876 (bug 2 - missed it before)

2002-08-30 06:48  mandrav

	* source/editor.pas: Fixed bug #601876 plus some more relevant
	  improvements.

2002-08-30 06:05  mandrav

	* source/NewClassFm.pas: Fixed bug #598348.

2002-08-30 05:20  mandrav

	* devcpp.exe: * Implemented the "Export project to HTML" function.
	  * Bug-fix for bug #602159.  * Bug-fix for bug #600748.

2002-08-30 05:18  mandrav

	* NEWS.txt: no message

2002-08-30 05:15  mandrav

	* source/: datamod.pas, editor.pas, project.pas: Implemented the
	  "Export project to HTML" function. Also created two helper procs
	  in datamod.pas to simplify code.

2002-08-30 03:53  mandrav

	* source/Vcl/Parser/CppTokenizer.pas: Bug-fix for bug #602159.

2002-08-30 03:30  mandrav

	* source/editor.pas: Bug-fix for bug #600748

2002-08-30 03:18  mandrav

	* devcpp.exe: * Added URL in TipOfTheDay (see macros description in
	  .tips file) * Bug fix in the file associations code that wouldn't
	  open a .dev file from command line...

2002-08-30 03:12  mandrav

	* Lang/: English.lng, Greek.lng: Added LangIDs for TipOfTheDay form
	  (2700 - 2705)

2002-08-30 03:10  mandrav

	* source/: LangIDs.inc, main.pas, TipOfTheDayFm.dfm,
	  TipOfTheDayFm.pas: * Added URL in TipOfTheDay (see macros
	  description in .tips file) * Added LangIDs for TipOfTheDay form

2002-08-29 09:09  mandrav

	* source/: editor.pas, main.pas: Bug fix for bug #601784.

2002-08-29 08:54  mandrav

	* devcpp.exe: Bug fix in the file associations code that wouldn't
	  open a .dev file from command line...

2002-08-29 08:51  mandrav

	* source/FileAssocs.pas: Fixed a small bug

2002-08-29 07:08  mandrav

	* devcpp.exe: Added "Tip of the day" system.

2002-08-29 07:02  mandrav

	* Lang/English.tips: no message

2002-08-29 07:00  mandrav

	* source/devcfg.pas, source/devcpp.dpr,
	  source/MultiLangSupport.pas, source/TipOfTheDayFm.dfm,
	  source/TipOfTheDayFm.pas, source/main.dfm, source/main.pas,
	  NEWS.txt: Added "Tip of the day" system.

2002-08-29 05:50  mandrav

	* NEWS.txt: Update

2002-08-29 05:05  mandrav

	* devcpp.exe: * New "Environment Options" tab: File Associations.
	  On startup the associations defined are enforced.  * DDE server:
	  When running a source file from explorer, it now doesn't spawn
	  new DevCpp instance for each file. Instead it opens it in an
	  existing one...

2002-08-29 04:52  mandrav

	* source/: Envirofrm.dfm, Envirofrm.pas, FileAssocs.pas,
	  devcfg.pas, devcpp.dpr, main.dfm, main.pas: * New "Environment
	  Options" tab: File Associations. On startup the associations
	  defined are enforced.  * DDE server: When running a source file
	  from explorer, it now doesn't spawn new DevCpp for each file.
	  Instead it opens it in an existing one...

2002-08-28 18:52  claplace

	* devcpp.exe, Lang/French.lng, source/compiler.pas,
	  source/devcpp.dof, source/devcpp.res, source/main.dfm,
	  source/main.pas, source/version.pas: * corrected some bugs

2002-08-28 17:03  claplace

	* Lang/: Chinese.lng, Danish.lng, German.lng, Polish.lng,
	  Slovak.lng, Spanish.lng: * new Slovak lang file, update of others

2002-08-28 07:52  mandrav

	* source/Vcl/Parser/CodeCompletion.pas: Bug-fix

2002-08-28 01:12  mandrav

	* source/editor.pas: Bug-fix

2002-08-27 13:57  mandrav

	* source/Vcl/Parser/CodeCompletion.pas: Updates in ShowArgsHint()
	  and ShowMsgHint()

2002-08-27 13:54  mandrav

	* source/editor.pas: Bug fix in GetFuncForArgs()

2002-08-27 09:16  mandrav

	* source/Vcl/Parser/CppParser.pas: Fixed a recursion bug in
	  GetFileIncludes() affecting code-completion

2002-08-27 09:14  mandrav

	* devcpp.exe: Fixed a bug in code-completion

2002-08-27 07:47  mandrav

	* devcpp.exe: * The editor option "Keep trailing spaces" had the
	  inverse meaning "Trim trailing spaces". Instead of changing the
	  text (and all translations), I inverted the result of the user
	  selection...	* Bug fix for bug #593657.  * Bug fix for bug
	  #593946.

2002-08-27 07:43  mandrav

	* source/AddToDoFm.pas: Bug fix for bug #593657.

2002-08-27 07:15  mandrav

	* source/ImportMSVCFm.pas: Bug fix for bug #593946.

2002-08-27 06:55  mandrav

	* source/EditorOptfrm.pas: The editor option "Keep trailing spaces"
	  had the inverse meaning "Trim trailing spaces". Instead of
	  changing the text (and all translations), I inverted the result
	  of the user selection...

2002-08-27 06:01  mandrav

	* devcpp.exe: * Class parsing and code completion bug-fixes.  *
	  Fixed a couple of other program bugs

2002-08-27 04:56  mandrav

	* source/Vcl/Parser/: CodeCompletion.pas, CppParser.pas: Class
	  parsing and code completion bug-fixes

2002-08-26 04:12  hongli

	* Lang/Italian.lng: Update

2002-08-26 03:31  mandrav

	* source/main.pas: Fixed bug #596575. Discovered another similar
	  bug. Will close the bug report when fix it too.

2002-08-26 03:04  mandrav

	* source/Vcl/Parser/CppParser.pas: Does not parse file if not a
	  known C/C++ file (*.c, *.cpp, *.h, *.hpp). Also fixes bug
	  #593379.

2002-08-25 07:31  claplace

	* Lang/Portuguese.lng: * lang file update

2002-08-09 08:43  mandrav

	* source/Vcl/Parser/: CodeCompletion.pas, CppParser.pas,
	  CppTokenizer.pas: Tokenizer, parser and code-completion update.

2002-08-09 08:41  mandrav

	* devcpp.exe: Minor bug fixes

2002-08-09 07:51  mandrav

	* devcpp.exe: Horrible bug fixed. It caused stack overflow and was
	  introduced in my last commit :( Thankfully it's only 2-3 hours
	  old...

2002-08-09 07:43  mandrav

	* source/Vcl/Parser/CppParser.pas: Horrible bug fixed...

2002-08-09 04:08  mandrav

	* devcpp.exe: * Major speed improvement in tokenizer (typically
	  60%!!!) * Code completion re-design (keeps cache) and works great
	  (until a bug appear!) * Fixed bug #592028.  * When a declared
	  struct has many names assigned, it only displays the first (to
	  un-clutter the display) * Minor bug-fixes

2002-08-09 04:06  mandrav

	* source/main.pas: Bug-fix

2002-08-09 03:37  mandrav

	* source/Vcl/Parser/: CodeCompletion.pas, CppParser.pas,
	  CppTokenizer.pas, U_IntList.pas: * Major speed improvement in
	  tokenizer (typically 60%!!!) * Code completion re-design (keeps
	  cache) and works great (until a bug appear!) * Minor bug-fixes

2002-08-08 06:33  mandrav

	* source/Vcl/Parser/CppParser.pas: * Fixed bug #592028.  * When a
	  declared struct has many names assigned, it only displays the
	  first (to un-clutter the display)

2002-08-08 06:28  mandrav

	* source/main.pas: Bug-fix

2002-08-08 05:25  mandrav

	* Lang/: English.lng, Greek.lng: Added LangIDs 839-845.

2002-08-08 05:24  mandrav

	* source/: LangIDs.inc, ViewToDoFm.dfm, ViewToDoFm.pas: * Added
	  preset filters for the todo list (feature request #591949).  *
	  Added LangIDs 839-845.

2002-08-08 03:56  mandrav

	* source/ViewToDoFm.pas: Fixed bug that wouldn't load todos of a
	  project if no file was open...

2002-08-07 04:34  mandrav

	* devcpp.exe: Fixed a bug in the code-completion code

2002-08-07 04:32  mandrav

	* source/Vcl/Parser/: CodeCompletion.pas, CppParser.pas: Bug-fix

2002-08-06 14:04  mandrav

	* devcpp.exe: Fixed bug #591546.

2002-08-06 13:21  mandrav

	* source/main.pas: Fixed bug #591546.

2002-08-06 09:24  mandrav

	* devcpp.exe: Bug-fixes and updates

2002-08-06 09:20  mandrav

	* source/Vcl/Parser/: CodeCompletion.pas, CppParser.pas: Bug-fix
	  (there are still some checks to do)

2002-08-06 08:21  mandrav

	* source/Vcl/Parser/CppParser.pas: Amongst other things, it now
	  recognizes the current function's arguments!

2002-08-06 08:20  mandrav

	* source/Vcl/Parser/CppTokenizer.pas: Speed-up of tokenizing (had
	  introduced a major slow-down with the "operator functions"
	  check).

2002-08-06 08:19  mandrav

	* source/Vcl/Parser/CodeCompletion.pas: * Added caching of list to
	  speed-up searches.

2002-08-06 08:05  mandrav

	* source/main.pas: Opening a source file (no project) doesn't hide
	  the class browser anymore.

2002-08-06 06:51  mandrav

	* source/project.pas: Added LeftChar in layout save/load code.

2002-08-06 06:50  mandrav

	* source/editor.pas: Code-completion update

2002-08-06 02:21  mandrav

	* devcpp.exe: * Fixed the "No search engine has been assigned" bug
	  (#591389).  * Redesigned the appearence of the class-browsing and
	  code-completion tabs to make more obvious that if the user
	  disables class-browsing, he effectively disables code-completion
	  too (Editor options).  * Added support for many MSVC command line
	  options and conversion to gcc's ones (Import MSVC project).

2002-08-06 02:17  mandrav

	* source/Search_Center.pas: Workaround for the latest SynEdit
	  search facilities changes (see comment on top of file).

2002-08-05 09:14  mandrav

	* source/ImportMSVCFm.pas: Added support for many MSVC command line
	  options and conversion to gcc's ones.

2002-08-05 08:42  mandrav

	* source/: EditorOptfrm.dfm, EditorOptfrm.pas: Redesigned the
	  appearence of the class-browsing and code-completion tabs to make
	  more obvious that if the user disables class-browsing, he
	  effectively disables code-completion too.

2002-08-05 08:20  mandrav

	* Lang/: English.lng, Greek.lng: Added LangIDs 1019 and 1020.

2002-08-05 04:28  mandrav

	* devcpp.exe: * Added expression evaluation on mouse over (while
	  debugging).  * Watched expressions now support multi-line values
	  (i.e. struct members).  * Update for bug #589114 (class-browser
	  not displaying class operators) * Added option to add
	  command-line arguments to pass on to the program executed (both
	  Run and Debug).

2002-08-05 04:20  mandrav

	* source/: debugger.pas, debugwait.pas, editor.pas, main.pas,
	  version.pas: * Added expression evaluation on mouse over (while
	  debugging).  * Watched expressions now support multi-line values
	  (i.e. struct members).

2002-08-02 09:29  mandrav

	* source/: main.dfm, main.pas, project.pas, version.pas: Added
	  command-line arguments to pass on to the program executed (both
	  Run and Debug).

2002-08-02 07:00  mandrav

	* devcpp.exe: * Update for bug #589114 (class-browser not
	  displaying class operators)

2002-08-02 06:51  mandrav

	* source/project.pas: Change to correctly set the cursor's position
	  when loading a project's unit (required for correct behaviour
	  with the latest synedit).

2002-08-02 06:33  mandrav

	* source/CPUFrm.dfm: UI adjustments

2002-08-02 06:29  mandrav

	* source/Vcl/Parser/: CodeCompletion.pas, CppParser.pas,
	  CppTokenizer.pas: Bug-fix for operator functions

2002-08-02 02:04  mandrav

	* Lang/Greek.lng: Added LangID 2604.

2002-08-01 19:41  claplace

	* Lang/: German.lng, Portuguese.lng: * lang update

2002-08-01 08:49  claplace

	* source/install/devcpp-no_mingw.nsi: * install script for
	  executable package only

2002-08-01 08:42  claplace

	* NEWS.txt, source/install/devcpp.nsi: * modified NSIS script to
	  allow users to install what he/she prefers

2002-08-01 06:41  claplace

	* devcpp.exe, source/devcpp.dof, source/devcpp.res,
	  source/version.pas: * 4.9.5.0 tag

2002-07-31 16:17  claplace

	* NEWS.txt, devcpp.exe, Lang/English.lng, Lang/French.lng,
	  source/CPUFrm.dfm, source/CPUFrm.pas, source/LangIDs.inc,
	  source/debugger.pas, source/debugreader.pas,
	  source/debugwait.pas, source/main.pas, source/version.pas: * CPU
	  windows now shows registers and current instruction (still a
	  small bug with gdb communication when launching the CPU window) *
	  added lang ID 2604 * vUpdate script url changed

2002-07-31 08:51  mandrav

	* source/main.pas: Added check for "DLL and profiling" issue.

2002-07-31 07:03  mandrav

	* source/Vcl/Parser/CodeCompletion.pas: Bug-fix

2002-07-31 04:57  mandrav

	* source/main.pas: Added some checks to make more consistent the
	  behaviour of the class browser depending if it gets enabled or
	  disabled...

2002-07-31 04:43  mandrav

	* source/: EditorOptfrm.dfm, EditorOptfrm.pas: Somehow the
	  chkEnableClassBrowser OnClick() event was not associated with the
	  control (???). I just set the association again...

2002-07-31 04:39  mandrav

	* source/main.pas: On SaveAll, class-parse entire project only if
	  it has not already been scanned...

2002-07-31 04:19  mandrav

	* source/Vcl/Parser/CppParser.pas: Fixed a problem with filenames
	  with spaces...

2002-07-31 04:05  mandrav

	* source/Vcl/Parser/: CodeCompletion.pas, CodeCompletionForm.dfm,
	  CodeCompletionForm.pas: Changed main code-completion component to
	  TListBox.

2002-07-31 04:04  mandrav

	* source/editor.pas: Code-completion updates.

2002-07-31 03:20  mandrav

	* source/: Findfrm.pas, Incrementalfrm.pas, Replacefrm.pas,
	  Search_Center.pas, editor.pas: Added "SynEditTypes" in the uses
	  clause, for easy transition to the latest SynEdit.

2002-07-31 03:16  mandrav

	* source/editor.pas: Bug-fix

2002-07-31 02:02  mandrav

	* source/Vcl/Parser/CppParser.pas: Bug-fix

2002-07-31 01:46  mandrav

	* Lang/Greek.lng: Added LangIDs 255-256, 333-334, 609 and 2600-2603

2002-07-30 20:11  claplace

	* FEATURES.txt, NEWS.txt, devcpp.exe, Lang/English.lng,
	  Lang/French.lng, Lang/German.lng, Lang/Korean.lng,
	  Lang/Portuguese.lng, source/CPUFrm.dfm, source/CPUFrm.pas,
	  source/Envirofrm.pas, source/LangIDs.inc, source/debugfrm.pas,
	  source/debugger.pas, source/debugwait.pas, source/devcpp.dof,
	  source/devcpp.dpr, source/main.dfm, source/main.pas,
	  source/version.pas: * start of the CPU window * modified the
	  behaviour of the -c param : -c <config file directory> * added
	  possibility to send commands to GDB * added lang ids 256, 333,
	  334 and 2600 -> 2603 * corrected a couple of bugs

2002-07-30 15:09  mandrav

	* source/main.pas: Some class parsing updates...

2002-07-30 13:38  mandrav

	* source/Vcl/Parser/: CodeCompletion.pas, CppParser.pas: Bug fix
	  for code-completion

2002-07-30 08:14  mandrav

	* devcpp.exe: * Many enhancements in code-completion. Mainly: scope
	  recognition and class inheritance ;) * Minor bug fixes.

2002-07-30 08:12  mandrav

	* source/main.pas: Bug-fix for bug #587521

2002-07-30 07:52  mandrav

	* source/Vcl/Parser/CppParser.pas: Fixed bug with code-completion
	  when invoked and the cursor was not in a function...

2002-07-30 07:40  mandrav

	* source/Vcl/Parser/CppParser.pas: Fixed bug with the "this"
	  pointer in code-completion. It is now added only if we 're in a
	  class function...

2002-07-30 07:29  mandrav

	* source/project.pas: Added quotes around each project's source
	  filename for obvious reasons in ListUnitStr() ;)

2002-07-30 07:27  mandrav

	* source/utils.pas: Bug-fix for bug #588405 ("<SOURCESPCLIST>
	  garbling command line").  The ExecuteFile used to have a fixed
	  PChar length of 80 chars. I don't know why... I just removed this
	  limitation...

2002-07-30 02:23  mandrav

	* source/editor.pas: When code-completion is invoked, a memory
	  stream is sent to the Parser so that it parses the current
	  contents of the file without it being saved ;)

2002-07-30 02:21  mandrav

	* source/Vcl/Parser/: CppParser.pas, CppTokenizer.pas: Added
	  streaming capabilities so that we don't have to save the file
	  every time.

2002-07-30 01:56  mandrav

	* source/Vcl/Parser/CppParser.pas: Bug-fix

2002-07-30 01:54  mandrav

	* source/Vcl/Parser/CppParser.pas: One more scope enhancement:
	  everything beyond the line the cursor is in, is considered to be
	  out-of-scope :)

2002-07-30 01:47  mandrav

	* source/Vcl/Parser/CppParser.pas: Added the all-important "this"
	  pointer as a local variable

2002-07-30 01:37  mandrav

	* source/Vcl/Parser/CodeCompletion.pas: Updates on code-completion

2002-07-30 01:33  mandrav

	* source/Vcl/Parser/CppParser.pas: Fixed a bug "Out of index" and
	  updated the scope checking code. Still needs checking...

2002-07-29 16:30  mandrav

	* source/Vcl/devFileMonitor.pas: Added time-out on deactivating
	  monitoring to avoid lock-ups

2002-07-29 09:25  mandrav

	* source/editor.pas: Updates on code-completion

2002-07-29 09:24  mandrav

	* source/Vcl/Parser/CodeCompletion.pas: Many enhancements. The list
	  contains now more appropriate entries depending on the current
	  scope (at least it tries to!).

2002-07-29 09:22  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: * Added skDestructor and
	  skConstructor kinds

2002-07-29 08:26  mandrav

	* source/Vcl/Parser/CppParser.pas: Updates on late-scanning

2002-07-29 08:05  mandrav

	* source/Vcl/Parser/CppParser.pas: * Added skDestructor and
	  skConstructor kinds * Added ssClassLocal scope

2002-07-29 02:32  mandrav

	* source/Vcl/Parser/CppParser.pas: Changes in the save-load code

2002-07-28 14:28  mandrav

	* source/main.pas: Fixed bug #587705 (watched variables)

2002-07-28 14:08  mandrav

	* source/: Vcl/Parser/CppParser.pas, editor.pas: Added late-parsing
	  for function bodies

2002-07-25 18:27  claplace

	* devcpp.exe, Help/Topics.txt, Lang/English.lng, Lang/French.lng,
	  Lang/German.lng, source/Envirofrm.dfm, source/Envirofrm.pas,
	  source/LangIDs.inc, source/ProjectOptionsFrm.dfm,
	  source/debugger.pas, source/devcfg.pas, source/devcpp.dof,
	  source/devcpp.dpr, source/devcpp.res, source/editor.pas,
	  source/main.dfm, source/main.pas, source/version.pas: * added "No
	  splash screen on startup" in Environment options * added "Run to
	  cursor" in integrated debugging * added "Toggle Breakpoint", "Add
	  watch" and "Run to cursor" in editor popup menu * corrected a
	  couple of bugs * add lang id number 255 and 609

2002-07-22 20:06  claplace

	* Lang/: German.lng, Korean.lng: * updated lang files

2002-07-22 13:33  mandrav

	* source/Vcl/: devMonitorThread.pas, devFileMonitor.pas: Bug-fix

2002-07-22 03:07  mandrav

	* devcpp.exe: * Added "Save syntax settings" in Editor Options :) *
	  Added "Import MS Visual C++ project" option * Minor bug-fixes

2002-07-22 02:39  mandrav

	* source/Vcl/devFileMonitor.pas: Removed the loop until the thread
	  terminates. It was slowing down the program...

2002-07-22 02:38  mandrav

	* source/EditorOptfrm.pas: Fixed a bug on "save syntax"

2002-07-21 05:52  mandrav

	* source/MultiLangSupport.pas: Fixed a bug that sometimes dev would
	  "forget" the current language setting...

2002-07-21 05:18  mandrav

	* source/: EditorOptfrm.dfm, EditorOptfrm.pas, LangIDs.inc,
	  datamod.pas, editor.pas, version.pas: * Fixed the bug that
	  wouldn't let Dev work with the latest SynEdit :) * Added "Save
	  syntax settings" in Editor Options :) * Added LangIDs 419 and 479

2002-07-21 05:16  mandrav

	* Lang/: English.lng, Greek.lng: Added LangIDs 419 and 479

2002-07-20 13:48  mandrav

	* Lang/Greek.lng: Added LangIDs 705 and 770

2002-07-20 09:25  claplace

	* devcpp.exe, Lang/Czech.lng, Lang/English.lng, Lang/French.lng,
	  Lang/Korean.lng, source/CompOptionsFrm.dfm,
	  source/CompOptionsFrm.pas, source/LangIDs.inc,
	  source/ProfileAnalysisFm.pas, source/compiler.pas,
	  source/debugger.pas, source/devcfg.pas, source/devcpp.dof,
	  source/devcpp.res, source/main.dfm, source/main.pas,
	  source/version.pas: * added in compiler options the possibility
	  for changing programs filenames (for use with cross-compilers) *
	  added lang ids 705 and 770

2002-07-20 07:31  mandrav

	* source/: ToolFrm.pas, main.pas: Bug-fix

2002-07-20 07:06  mandrav

	* source/: ToolFrm.pas, main.pas: Added application icons in Custom
	  Tools ;)

2002-07-20 06:29  mandrav

	* source/ImportMSVCFm.pas: Bug-fix

2002-07-20 05:18  mandrav

	* source/ImportMSVCFm.dfm: Changed the form style to Dialog

2002-07-20 04:54  mandrav

	* Lang/: English.lng, Greek.lng: Added LangIDs 149, 850-855 and
	  2519

2002-07-19 18:35  mandrav

	* source/: ProjectOptionsFrm.pas, version.pas, ImportMSVCFm.dfm,
	  ImportMSVCFm.pas, LangIDs.inc, devcpp.dpr, main.dfm, main.pas: *
	  Added "import MS Visual C++ project" menu entry ;) * Added
	  LangIDs 149, 850-855 and 2519

2002-07-18 17:12  claplace

	* Lang/Danish.lng: new danish lang file

2002-07-18 11:43  mandrav

	* source/main.pas: Fixed bug that wouldn't execute some
	  user-tools...

2002-07-18 04:59  mandrav

	* source/ViewToDoFm.pas: Added my own routine for mask-matching
	  strings (removed the dependency on masks.pas).

2002-07-18 04:57  mandrav

	* source/EditorOptfrm.pas: Bug-fix

2002-07-17 06:55  mandrav

	* devcpp.exe, FEATURES.txt: * File properties update.  * Fixed a
	  visual bug in ViewToDoForm

2002-07-17 06:41  mandrav

	* source/: FilePropertiesFm.dfm, FilePropertiesFm.pas: Added a
	  ComboBox to select which file properties to show. It contains all
	  the project files plus any non-project files currently open...

2002-07-17 05:40  mandrav

	* source/ViewToDoFm.dfm: Fixed an alignment bug (visual)

2002-07-17 01:51  mandrav

	* devcpp.exe: * To-Do list * Debugger works under Win98 * File
	  properties * Many bug-fixes and more

2002-07-16 14:38  mandrav

	* source/debugger.pas: Fixed bug with GetStdHandle under Win98
	  (debugging).

2002-07-16 14:36  mandrav

	* source/Envirofrm.pas: Changed default dir to be saved as an
	  absolute path.

2002-07-16 09:13  mandrav

	* source/main.pas: Bug-fix

2002-07-16 09:09  mandrav

	* source/: datamod.dfm, main.dfm, main.pas, project.pas: Added
	  preliminary support for custom folders in file view.

2002-07-16 07:17  mandrav

	* source/: ProfileAnalysisFm.dfm, ProfileAnalysisFm.pas, main.pas:
	  Turned the profile analysis form to StayOnTop.

2002-07-16 06:55  mandrav

	* Lang/: English.lng, Greek.lng: Added LangIDs 830-833 and 835-838

2002-07-16 06:52  mandrav

	* source/helpfrm.pas: Minor bug-fix

2002-07-16 06:51  mandrav

	* source/: AddToDoFm.dfm, AddToDoFm.pas, LangIDs.inc,
	  ViewToDoFm.dfm, ViewToDoFm.pas, devcpp.dpr, main.dfm, main.pas: *
	  Added ToDo handling ( two forms: Add and View ) * Fixed a minor
	  file-monitoring bug * Added LangIDs 830-833 and 835-838

2002-07-16 06:35  hongli

	* source/packman/VerifyForms.pas: Fixed the progress bar bug

2002-07-16 06:28  hongli

	* source/packman/Main.dfm: Increase version number

2002-07-16 06:24  hongli

	* source/packman/InstallFiles.pas: Support for package version 2

2002-07-16 06:10  hongli

	* source/packman/InstallFiles.pas: Fix dependency handling

2002-07-16 05:21  hongli

	* Lang/English.lng: [no log message]

2002-07-14 16:02  mandrav

	* source/: LangIDs.inc, main.pas, project.pas: * Added handling of
	  read-only files just before saving...  * Added LangIDs 1019 and
	  1020

2002-07-14 14:33  mandrav

	* source/main.pas: Deactivate devFileMonitor when SaveAll

2002-07-14 14:26  mandrav

	* source/Vcl/Parser/CodeCompletion.pas: Bug-fix

2002-07-13 18:17  claplace

	* devcpp.exe, Lang/French.lng, source/Vcl/DevCpp.dof: *french lang
	  file updated

2002-07-13 07:05  mandrav

	* source/main.pas: Added OnBreakpointToggle event in editor.pas to
	  call the MainForm when a breakpoint toggles by clicking on the
	  gutter. The way it was the breakpoint was toggled *only* if using
	  the "Toggle breakpoint" action...

2002-07-13 07:03  mandrav

	* source/editor.pas: Added OnBreakpointToggle event to be called
	  when a breakpoint toggles.

2002-07-13 07:02  mandrav

	* source/debugger.pas: Added RemoveBreakPoint() procedure to
	  debugger

2002-07-13 05:39  mandrav

	* Lang/: English.lng, Greek.lng: Added LangIDs 138, 330-332 and
	  980-987

2002-07-13 05:37  mandrav

	* source/: FilePropertiesFm.dfm, FilePropertiesFm.pas, LangIDs.inc,
	  devcpp.dpr, main.dfm, main.pas: * Added File/Properties menu
	  entry displaying file statistics * Added LangIDs 138 and 980-987

2002-07-12 11:53  hongli

	* NEWS.txt, TODO.txt: Updates

2002-07-12 11:53  hongli

	* source/compiler.pas: Implemented Makefile customization

2002-07-12 11:49  hongli

	* source/: LangIDs.inc, ProjectOptionsFrm.dfm,
	  ProjectOptionsFrm.pas, prjtypes.pas, project.pas: Implemented
	  Makefile customization

2002-07-12 09:30  mandrav

	* source/CFGINI.pas: Bug fix for CommaTexts with spaces in
	  filenames saved as string

2002-07-12 09:29  mandrav

	* source/: editor.pas, main.dfm, main.pas: Added component
	  TdevFileMonitor to monitor for file changes outside the
	  application.

2002-07-12 09:24  mandrav

	* source/Vcl/: DevCpp.dpk, devFileMonitor.pas,
	  devMonitorThread.pas, devMonitorTypes.pas, devReg.dcr,
	  devReg.pas: Created new component TdevFileMonitor to monitor for
	  file changes outside the application.

2002-07-11 13:44  claplace

	* Lang/Chinese.lng: chinese lang updated

2002-07-10 09:46  claplace

	* Lang/: Danish.lng, German.lng, Italian.lng, Korean.lng: *lang
	  files updated

2002-07-09 12:26  mandrav

	* Lang/Greek.lng: Added LangIDs 330-332

2002-07-09 10:40  claplace

	* devcpp.exe, Lang/English.lng, Lang/German.lng, source/main.dfm,
	  source/main.pas: * added add watch and remove watch in Watch
	  tabsheet * fixed vUpdate things

2002-07-09 08:41  mandrav

	* source/: main.dfm, main.pas: Bug fixing and debugger
	  improvements.

2002-07-09 08:38  mandrav

	* source/editor.pas: Bug-fix

2002-07-09 08:38  mandrav

	* source/debugger.pas: Added functions to specify the include
	  directories for the debugger. Now the debugger steps into other
	  files, out of project ;)

2002-07-09 08:15  mandrav

	* source/editor.pas: Removed the automatic addition to watched vars
	  on MouseOver (it all the time added vars to watch when I didn't
	  want to...) Also replaced the CodeCompletion's GetTextFor() with
	  CppParser's Locate().

2002-07-09 08:12  mandrav

	* source/Vcl/Parser/CodeCompletion.pas: Removed function
	  GetTextFor(). It's of no use...

2002-07-09 07:15  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: Bug-fix

2002-07-09 04:50  mandrav

	* source/: main.dfm, main.pas: Changed layout of debugger tabsheet
	  to acommodate more features.

2002-07-09 04:48  mandrav

	* source/LangIDs.inc: Added LangIDs 254 and 330-332.

2002-07-09 04:12  mandrav

	* source/devcfg.pas: Added property in devData to keep the
	  MessageControl's height

2002-07-09 04:06  mandrav

	* source/debugwait.pas: Fixed a bug with the display of watched
	  variables

2002-07-08 10:03  mandrav

	* source/: debugger.pas, debugwait.pas, version.pas, main.pas:
	  Added capturing of call-stack (backtrace in gdb terms) in
	  debugger...

2002-07-08 06:55  mandrav

	* devcpp.exe: * Added "Step into" debugger instruction.  * Fixed
	  debugging problem with spaces in filenames (needs testing).

2002-07-08 06:52  mandrav

	* Lang/: English.lng, Greek.lng: Added LangID 254

2002-07-08 06:51  mandrav

	* source/: LangIDs.inc, main.dfm, main.pas, version.pas: Added
	  "Step into" debugger instruction + LangID 254

2002-07-08 06:10  mandrav

	* source/debugwait.pas: Fixed debugging problem with spaces in
	  filenames (needs testing).

2002-07-08 03:54  mandrav

	* devcpp.exe: * Enabled the "Object output dir" option in Project
	  Options. Now the Makefile is generated accordingly...  * Added
	  "Selected Text" option for syntax highlighting.  * MRU updates *
	  New "Close all except this" option added * Few bug-fixes

2002-07-08 03:19  mandrav

	* source/: ProfileAnalysisFm.pas, ProjectOptionsFrm.dfm,
	  compiler.pas, main.pas: Enabled the "Object output dir" option in
	  Project Options. Now the Makefile is generated accordingly...

2002-07-08 02:13  mandrav

	* source/: DefaultFiles.rc, EditorOptfrm.pas, editor.pas, main.pas,
	  version.pas: Added "Selected Text" option for syntax highlighting

2002-07-07 13:07  mandrav

	* source/datamod.pas: Fixed a bug with the MRU

2002-07-07 12:24  mandrav

	* source/: Findfrm.pas, Search_Center.pas, editor.pas, main.pas:
	  Fixed bug #578021 (with Find form)

2002-07-05 09:21  mandrav

	* Lang/: English.lng, Greek.lng: Added LangID 236

2002-07-05 09:20  mandrav

	* source/: LangIDs.inc, main.dfm, main.pas: New "Close all except
	  this" option added

2002-07-05 08:31  mandrav

	* source/Vcl/synedit/Source/SynEdit.pas: Fixed bug #577690

2002-07-05 08:30  mandrav

	* source/: editor.pas, Vcl/synedit/Source/SynExportHTML.pas: Fixed
	  bug #560314

2002-07-05 07:50  mandrav

	* source/datamod.pas: After each MRU rebuild, the list contains
	  only the latest fMRUMax+4 elements. All the elements not
	  displayed in the Recent menu, are discarded. The way it was
	  before, the [History] section in the ini would grow indefinitely.

2002-07-05 05:44  mandrav

	* source/NewClassFm.pas: Two changes for code-reuse ;)

2002-07-05 03:54  mandrav

	* source/: CompOptionsFrm.dfm, CompOptionsFrm.pas, Envirofrm.pas,
	  LangIDs.inc, ProjectOptionsFrm.dfm, ProjectOptionsFrm.pas,
	  main.pas: Translation updates

2002-07-05 03:53  mandrav

	* Lang/: English.lng, Greek.lng: Added LangIDs: 252-253, 639,
	  760-761 and 922-925.

2002-07-05 03:15  mandrav

	* Lang/: English.lng, Greek.lng: Added LangIDs 508 and 695-698

2002-07-05 03:12  mandrav

	* source/: FunctionSearchFm.dfm, FunctionSearchFm.pas, LangIDs.inc:
	  Added LangIDs 695-698 for FunctionSearch form (goto function).

2002-07-05 02:51  mandrav

	* source/: LangIDs.inc, NewProjectFrm.pas: Added LangID 508 for
	  NewProject form

2002-07-05 02:43  mandrav

	* source/: ProfileAnalysisFm.dfm, ProfileAnalysisFm.pas: UI updates

2002-07-05 02:36  mandrav

	* source/NewClassFm.pas: Added translation for the form's caption.

2002-07-05 02:35  mandrav

	* source/: devcfg.pas, main.pas: Added configuration in devcfg that
	  remembers if the file view or the class view (in the project
	  explorer) is active and restores it to last state each time dev
	  is started.

2002-07-04 16:38  mandrav

	* devcpp.exe: * Fixed a bug introduced in the last commit :( * More
	  updates on the class browser's custom folders.

2002-07-04 16:34  mandrav

	* Lang/: English.lng, Greek.lng: Added LangID 291

2002-07-04 16:33  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: Bug-fix

2002-07-04 16:33  mandrav

	* source/: main.pas, LangIDs.inc: Update for class browser's custom
	  folders

2002-07-04 14:47  mandrav

	* source/Vcl/Parser/ClassBrowser.pas, devcpp.exe: Bug-fix for bug
	  #577518

2002-07-04 13:59  mandrav

	* devcpp.exe: * New class browser support for custom folders.  *
	  Improvements in Profile Analysis.  * Updated Customize Help form.
	  * Many minor bug-fixes and improvements...

2002-07-04 13:56  mandrav

	* source/main.pas: Bug-fix

2002-07-04 13:55  mandrav

	* source/version.pas: Added new constant for the custom class
	  browser folders file

2002-07-04 13:54  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: Small improvements

2002-07-04 13:01  mandrav

	* Lang/: English.lng, Greek.lng: Changed LangID 789 and added 2518

2002-07-04 13:00  mandrav

	* source/: helpfrm.dfm, helpfrm.pas: Added buttons for all actions
	  (Add, Browse, Rename, Delete)

2002-07-04 12:59  mandrav

	* source/LangIDs.inc: Changed ID 789 and added 2518

2002-07-04 12:04  mandrav

	* source/Vcl/Parser/CppParser.pas: Added new function Locate()

2002-07-04 12:02  mandrav

	* Lang/: Greek.lng, English.lng: Added LangIDs 288-290 and
	  1016-1018

2002-07-04 11:58  mandrav

	* source/: main.pas, LangIDs.inc: Added translation strings for
	  class browser folders

2002-07-04 11:46  mandrav

	* source/: ProfileAnalysisFm.dfm, ProfileAnalysisFm.pas: Added
	  capability to click on a function's name and go directly to the
	  function's implementation :)

2002-07-04 11:44  mandrav

	* source/main.pas: Bug-fix

2002-07-04 11:00  mandrav

	* source/ProfileAnalysisFm.dfm: Forgot to align the pagecontrol
	  alClient :(

2002-07-04 11:00  mandrav

	* source/project.pas: Added editor's top visible line in project's
	  layout information. On project open, the state is *exactly* as it
	  was when closed!

2002-07-04 10:58  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: Update speed-up fix.

2002-07-04 09:08  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: After each update, it
	  remembers the selected item (at last!)

2002-07-04 09:05  mandrav

	* source/Vcl/Parser/CppParser.pas: Bug-fix

2002-07-04 08:13  mandrav

	* source/main.pas: Enabled custom class browser folders. Seems this
	  feature is working now...

2002-07-04 08:11  mandrav

	* source/Vcl/Parser/: ClassBrowser.pas, CppParser.pas: Re-enabled
	  folders. Seems the feature is working nicely...

2002-07-04 07:45  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: Disabled folders until it's
	  bug-free ;)

2002-07-04 07:19  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: Started implementing custom
	  folders in class browser.

2002-07-04 07:17  mandrav

	* source/main.dfm: Corrected erroneous update event of
	  actBrowserRenameFolder...

2002-07-04 07:04  mandrav

	* source/: main.dfm, main.pas: Oops, forgot the RenameFolder
	  action... Sorry...

2002-07-04 07:01  mandrav

	* source/: main.dfm, main.pas: * Added actions for
	  Add/Remove/Rename folder in class browser.  * Fixed recently
	  introduced bug that would throw an AV when saving a file not
	  belonging to a project...

2002-07-04 06:59  mandrav

	* source/editor.pas: Bug-fix

2002-07-04 05:09  mandrav

	* source/datamod.dfm: Changed the folder icon in ClassImages

2002-07-04 02:44  mandrav

	* Lang/Greek.lng: no message

2002-07-04 02:42  mandrav

	* source/Envirofrm.dfm: Put a limit of 12 recent files max. 12
	  files + 4 .dev files = 16 to get numbered with one digit
	  (shortcut key) from 0 to F (hex)...

2002-07-04 02:37  mandrav

	* source/datamod.pas: Changed history behaviour: it now keeps .dev
	  files on top ;)

2002-07-03 21:41  claplace

	* NEWS.txt, devcpp.exe, Lang/Chinese_TC.lng, Lang/English.lng,
	  Lang/French.lng, Lang/German.lng, Lang/Italian.lng,
	  Lang/Portuguese.lng, source/AboutFrm.pas, source/CFGData.pas,
	  source/CFGINI.pas, source/CFGReg.pas, source/Findfrm.pas,
	  source/ProfileAnalysisFm.dfm, source/compiler.pas,
	  source/devcfg.pas, source/main.dfm, source/main.pas,
	  source/utils.pas, source/version.pas, source/install/devcpp.nsi:
	  * lots of bug fixes * updated French.lng * vUpdate (made by Kip)
	  now integrated into Dev-C++ * prepared for 4.9.4.1 release

2002-07-03 09:50  mandrav

	* source/LangIDs.inc, Lang/English.lng, Lang/Greek.lng: Added new
	  LangIDs 218, 1014, 1015, 751-754, 995-997

2002-07-03 09:49  mandrav

	* source/: CompOptionsFrm.dfm, CompOptionsFrm.pas, compiler.pas,
	  devcfg.pas, devcpp.dpr, main.dfm, main.pas,
	  ProfileAnalysisFm.dfm, ProfileAnalysisFm.pas, version.pas: Added
	  the new ProfileAnalysis option ;)

2002-07-02 09:58  mandrav

	* source/NewClassFm.pas: Fixed a small bug when creating the
	  destructor of the class.

2002-07-02 09:07  mandrav

	* source/main.dfm: actProjectEditRes wasn't updating its caption
	  from Lang...

2002-07-02 08:48  mandrav

	* source/main.pas: Bug-fix

2002-07-02 08:05  mandrav

	* source/LangIDs.inc, source/main.pas, Lang/English.lng,
	  Lang/Greek.lng: Added new LangIDs 384, 181, 206, 207, 235 and
	  251.

2002-07-02 07:33  mandrav

	* source/LangIDs.inc: Changed LangID 363 to 355 because it was 355
	  in the language files. So instead of updating all language
	  files...

2002-07-02 07:22  mandrav

	* source/helpfrm.pas: When writing ini, it checks the devDirs.Help
	  directory for existence. If it does not exist, it creates it. But
	  should really be created on installation.

2002-07-02 07:15  mandrav

	* source/project.pas: When creating a new unit in project, the save
	  location defaults now to the project dir, instead of
	  devDirs.Default...

2002-07-02 06:45  mandrav

	* source/main.pas: Fixed a bug with menus in FullScreen mode.

2002-07-02 02:44  mandrav

	* Lang/Greek.lng: Translation

2002-07-01 19:45  claplace

	* devcpp.exe, Lang/English.lng, Lang/French.lng,
	  source/LangIDs.inc, source/NewClassFm.dfm, source/ToolFrm.dfm,
	  source/debugger.pas, source/debugwait.pas, source/icons.rc,
	  source/main.dfm, source/images/associations/c.ico,
	  source/images/associations/dev.ico,
	  source/images/associations/devpackage.ico,
	  source/images/associations/h.ico,
	  source/images/associations/hpp.ico,
	  source/images/associations/rc.ico, source/install/devcpp.nsi: *
	  better handling when there is no debugging symbols in a project *
	  corrected icon associations * updated French.lng and English.lng

2002-07-01 08:44  mandrav

	* source/project.pas: Bug-fix

2002-07-01 08:43  mandrav

	* source/LangIDs.inc, Lang/English.lng, Lang/Greek.lng: Added
	  LangIDs 967-974

2002-07-01 08:43  mandrav

	* source/: NewClassFm.dfm, NewClassFm.pas, devcpp.dpr, main.pas:
	  Added NewClassForm

2002-07-01 04:41  mandrav

	* source/: NewMemberFm.pas, NewVarFm.pas: Added form's caption in
	  LoadText

2002-07-01 04:39  mandrav

	* Lang/: English.lng, Greek.lng: Added LangIDs 280-287 and 950-966.

2002-07-01 04:36  mandrav

	* source/: LangIDs.inc, NewMemberFm.pas, NewVarFm.dfm,
	  NewVarFm.pas, main.pas: Added translations to NewMemberForm,
	  NewVarForm and class-browser popup.

2002-07-01 03:46  mandrav

	* source/: NewMemberFm.dfm, NewMemberFm.pas, NewVarFm.dfm,
	  NewVarFm.pas, main.pas: Changes to NewVarForm and NewMemberForm

2002-07-01 03:44  mandrav

	* source/Vcl/Parser/CppParser.pas: New support function
	  GetClassesList

2002-06-30 05:08  hongli

	* Lang/: Dutch.lng: [no log message]

2002-06-30 04:56  hongli

	* source/packman/File Format.txt: Added Dependencies

2002-06-30 04:56  hongli

	* source/packman/: InstallFiles.pas, InstallWizards.pas,
	  Installers.pas, Main.pas: Implemented auto mode and better error
	  detection

2002-06-29 12:51  mandrav

	* source/: NewMemberFm.dfm, NewMemberFm.pas, NewVarFm.dfm,
	  NewVarFm.pas: New class-browser functionality forms

2002-06-29 12:49  mandrav

	* source/Vcl/Parser/: ClassBrowser.pas, CppParser.pas: Added some
	  support functions

2002-06-29 12:48  mandrav

	* source/: devcpp.dpr, main.dfm, main.pas: * Added popup menu to
	  class-browser * Added two new forms needed for the functions of
	  the aforementioned menu

2002-06-29 09:15  claplace

	* devcpp.exe, source/compiler.pas, source/devcpp.dof,
	  source/devcpp.res, source/main.dfm, source/project.pas,
	  source/version.pas: * corrected a bug when opening an empty
	  project * resources files were linked twice, corrected

2002-06-28 20:46  claplace

	* Lang/Italian.lng: italian file updated

2002-06-28 13:05  mandrav

	* source/editor.pas: * Some code clean-up for the latest feature of
	  ctrl+click * Fixed a bug that would AV if closing an editor and
	  happened that the fHintTimer triggered at exactly the same time
	  (rare, but did happen).

2002-06-28 13:01  mandrav

	* source/main.pas: When closing an editor, the new active editor
	  (if any) did not get focus... before ;)

2002-06-28 07:06  mandrav

	* source/editor.pas: Added more functionality. By pressing Ctrl and
	  left-clicking on a word, it takes you right to this word's
	  declaration (if it exists in code-completion).  Added bonus: if
	  you do this on a line with an #include statement, it opens the
	  included file in another editor ;) (Thanks to Odin Jensen for the
	  suggestion)

2002-06-28 07:02  mandrav

	* source/Vcl/Parser/CodeCompletionForm.pas: Added a color-code
	  (showing at left-most of window) to distinguish public/published
	  from private and protected class-members.

2002-06-28 06:59  mandrav

	* source/Vcl/Parser/CppParser.pas: Turned GetFullFilename() into a
	  public method...

2002-06-26 01:23  claplace

	* NEWS.txt, TODO.txt, devcpp.exe, Help/devcpp.HLP, Help/devcpp.RTF,
	  Lang/Chinese.lng, Lang/Chinese_TC.lng, source/AboutFrm.pas,
	  source/compiler.pas, source/main.dfm, source/main.pas,
	  source/install/devcpp.nsi: * corrected nsis install scripts (file
	  associations) * corrected a bug of "rebuild all" not doing
	  anything when in single source mode * wrote 2 topics on the new
	  help file * version 4.9.4.0 release

2002-06-25 13:41  claplace

	* devcpp.exe, Lang/Czech.lng, source/main.dfm, source/main.pas,
	  source/utils.pas, source/version.pas: * updated vUpdate part

2002-06-25 07:09  mandrav

	* source/Vcl/Parser/CppParser.pas: Operator overloading methods are
	  now completely ignored by the parser

2002-06-25 04:42  mandrav

	* source/project.pas: Fixed a bug in Open code. If the layout
	  information in the .dev file is somehow wrong, under some
	  circumstances, it would produce an AV :(

2002-06-25 04:28  mandrav

	* source/project.pas: Fixed a bug in SaveLayout code

2002-06-25 04:26  mandrav

	* source/compiler.pas: Fixed a compiler output parsing error...

2002-06-25 04:00  mandrav

	* source/: editor.pas, Vcl/Parser/CodeCompletion.pas: Fixed a
	  code-completion bug that would not recognize functions' result
	  types...

2002-06-25 03:32  mandrav

	* source/: main.dfm, main.pas: The project's include dirs are added
	  separately (to the class-parser) from the global include dirs.

2002-06-25 03:30  mandrav

	* source/Vcl/Parser/CppParser.pas: Added separate variable
	  (fProjectIncludeDirs) for the project's include dirs, so that
	  class-parsing code considers these dirs as local dirs...

2002-06-22 21:12  claplace

	* Help/: Topics.txt, devcpp.CNT, devcpp.HLP, devcpp.RTF: start of
	  feeding the help file

2002-06-22 19:20  claplace

	* devcpp.exe, Help/Topics.txt, Help/devcpp.CNT, source/devcpp.dof,
	  source/devcpp.res, source/main.pas, source/version.pas,
	  source/install/devcpp.nsi: * added paths generation for vUpdate
	  (future dev-c++ web updater) * start of preparation for version
	  4.9.4.0 release

2002-06-21 09:45  claplace

	* Lang/Chinese.lng: - update of chinese file

2002-06-17 04:41  mandrav

	* source/Vcl/Parser/CodeCompletion.pas: Don't show private members
	  from inheriting classes

2002-06-16 21:44  claplace

	* FEATURES.txt, TODO.txt, devcpp.exe, Lang/French.lng,
	  source/CheckForUpdate.pas, source/CheckFrm.dfm,
	  source/Search_Center.pas, source/devcfg.pas, source/devcpp.dof,
	  source/devcpp.res, source/main.dfm, source/version.pas,
	  source/install/devcpp.nsi: * corrected some bugs * updated some
	  doc files

2002-06-16 17:03  mandrav

	* source/Vcl/Parser/: CodeCompletion.pas, CppParser.pas: The
	  code-completion code, now takes class inheritance into account!

2002-06-16 17:02  mandrav

	* source/editor.pas: Corrected insertion of code-completion phrase
	  in editor

2002-06-15 14:14  claplace

	* Help/: Topics.txt, devcpp.RTF: * start of the new help file

2002-06-15 14:14  claplace

	* Help/: Topics.txt, devcpp.RTF: Initial revision

2002-06-15 14:11  claplace

	* Help/: devcpp.CNT, devcpp.HLP, devcpp.hpj: * start of the new
	  help file

2002-06-15 14:11  claplace

	* Help/: devcpp.CNT, devcpp.HLP, devcpp.hpj: Initial revision

2002-06-15 13:27  claplace

	* Lang/: Chinese.lng, Chinese_TC.lng, Czech.lng, French.lng,
	  German.lng, Portuguese.lng: updated language files

2002-06-15 04:45  mandrav

	* source/: FunctionSearchFm.dfm, FunctionSearchFm.pas, devcpp.dpr,
	  main.dfm, main.pas: New feature added: Goto Function

2002-06-13 08:42  mandrav

	* source/editor.pas: Marked the editor as modified after
	  commenting/uncommenting or indenting/unindenting...

2002-06-11 09:03  mandrav

	* source/main.pas: Fixed a bug with class-browser's updating

2002-06-11 03:32  mandrav

	* source/editor.pas: Fixed arguments hint with Ctrl+Shift+Space

2002-06-11 03:32  mandrav

	* source/Vcl/Parser/CppParser.pas: Added an update call for the
	  ClassBrowser

2002-06-11 03:31  mandrav

	* source/Vcl/Parser/CodeCompletion.pas: Fixed arguments hint

2002-06-11 02:44  mandrav

	* source/LangIDs.inc, source/main.dfm, source/main.pas,
	  Lang/English.lng, Lang/Greek.lng: Added translation IDs 380 to
	  383.

2002-06-11 02:30  mandrav

	* source/devcfg.pas: Changed default for "Environment Options/Auto
	  Open" from "All files" to "Last open files"

2002-06-11 02:22  mandrav

	* source/: editor.pas, main.pas: Moved new code for
	  comment/uncomment and indent/unindent from main.pas to editor.pas

2002-06-10 09:13  mandrav

	* source/Vcl/Parser/CodeCompletion.pas: Added default value for a
	  function's return value

2002-06-10 04:54  mandrav

	* source/: main.pas, project.pas: Added full layout support to
	  TProject. It now saves the order of open files, the top one and
	  the current column/row for each open file ;)

2002-06-10 03:57  mandrav

	* source/: main.dfm, main.pas: Added drag n drop functionality in
	  PageControl pages ;)

2002-06-09 02:11  claplace

	* Lang/Italian.lng: italian language file

2002-06-07 17:42  mandrav

	* source/Vcl/Parser/CodeCompletion.pas: Bug-fix

2002-06-07 17:07  mandrav

	* source/main.pas: Fixed a small bug in Edit/Comment and
	  Edit/Indent which occured when selecting text backwards...

2002-06-07 09:10  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: Added BeginUpdate and
	  EndUpdate methods to speed up the tree operations...

2002-06-07 08:19  mandrav

	* source/: main.dfm, main.pas: Added comment/uncomment and
	  indent/unindent features

2002-06-07 07:03  mandrav

	* source/main.pas: After changing pages in PageControl, always set
	  the focus to the current editor.

2002-06-06 12:08  claplace

	* devcpp.exe: build with old but working synedit

2002-06-06 11:54  claplace

	* source/Vcl/synedit/: Packages/SynEdit_D6_PE.dof,
	  Packages/SynEdit_D6_PE.dpk, Packages/SynEdit_D6_PE.res,
	  Source/Contributors.txt, Source/SynAutoCorrect.pas,
	  Source/SynAutoCorrectEditor.dfm, Source/SynAutoCorrectEditor.pas,
	  Source/SynCompletionProposal.pas, Source/SynDBEdit.pas,
	  Source/SynEdit.inc, Source/SynEdit.pas,
	  Source/SynEditAutoComplete.pas, Source/SynEditExport.pas,
	  Source/SynEditHighlighter.pas, Source/SynEditKbdHandler.pas,
	  Source/SynEditKeyCmdEditor.dfm, Source/SynEditKeyCmdEditor.pas,
	  Source/SynEditKeyCmds.pas, Source/SynEditKeyCmdsEditor.dfm,
	  Source/SynEditKeyCmdsEditor.pas, Source/SynEditKeyConst.pas,
	  Source/SynEditMiscClasses.pas, Source/SynEditMiscProcs.pas,
	  Source/SynEditOptionsDialog.dfm, Source/SynEditOptionsDialog.pas,
	  Source/SynEditPlugins.pas, Source/SynEditPrint.pas,
	  Source/SynEditPrintHeaderFooter.pas,
	  Source/SynEditPrintMargins.pas,
	  Source/SynEditPrintMarginsDialog.pas,
	  Source/SynEditPrintPreview.pas, Source/SynEditPrintTypes.pas,
	  Source/SynEditPrint_Old.pas, Source/SynEditPrinterInfo.pas,
	  Source/SynEditPropertyReg.pas, Source/SynEditPythonBehaviour.pas,
	  Source/SynEditReg.dcr, Source/SynEditReg.pas,
	  Source/SynEditSearch.pas, Source/SynEditStrConst.pas,
	  Source/SynEditTextBuffer.pas, Source/SynEditTypes.pas,
	  Source/SynExportHTML.pas, Source/SynExportRTF.pas,
	  Source/SynHighlighterCpp.pas, Source/SynMacroRecorder.pas,
	  Source/SynMemo.pas, Source/SynRegExpr.pas,
	  Source/SynTextDrawer.pas, Source/kTextDrawer.pas: * reuploaded
	  old version

2002-06-06 03:28  mandrav

	* source/main.pas: * Re-display the form's and application's
	  captions after showing project options, because the project's
	  name might have changed...

2002-06-04 18:50  claplace

	* devcpp.exe, source/EditorOptfrm.dfm, source/EditorOptfrm.pas,
	  source/main.dfm,
	  source/Vcl/synedit/Source/SynHighlighterManager.pas: corrected a
	  small bug on editor syntax options. Still need to work on it

2002-06-04 16:45  claplace

	* Lang/: German.lng, Portuguese.lng: new portuguese lang file
	  german file upated

2002-06-03 10:45  hongli

	* Examples/WinTest/: Rsrc.rc, WinTest.dev, WinTest.ico, WinTest.rc:
	  [no log message]

2002-06-03 10:41  hongli

	* Examples/Simpwin/: Simple.ico, Simple.rc, rsrc.rc, Main.cpp,
	  Simple.dev, new.cpp: [no log message]

2002-06-03 10:35  hongli

	* Examples/MDIApp/: MdiApp.dev, Rsrc.rc, mdi_res.rc, mdi_unit.c,
	  MdiApp.rc, mdi_unit.h: [no log message]

2002-06-03 10:23  hongli

	* Examples/: Hello/Hello.cpp, Hello/Hello.dev, Hello/rsrc.rc,
	  Jackpot/main.cpp, MDIApp/mdi_unit.rh: [no log message]

2002-06-03 10:22  hongli

	* source/compiler.pas: Ignore make clock skew warnings

2002-06-03 10:18  hongli

	* source/main.pas: Make dropping project files work

2002-06-03 10:10  hongli

	* source/compiler.pas: When executing the executable, change it's
	  workdir to the dir it's located in, not the project dir

2002-06-02 06:23  mandrav

	* source/compiler.pas: Fixed bug #553655

2002-06-01 19:36  claplace

	* devcpp.exe, Lang/English.lng, Templates/4-DLL.template,
	  source/CompOptionsFrm.dfm, source/DefaultFiles.rc,
	  source/compiler.pas, source/datamod.dfm, source/debugwait.pas,
	  source/editor.pas, source/main.dfm, source/main.pas,
	  source/utils.pas, source/version.pas,
	  source/Vcl/synedit/Packages/SynEdit_D6_PE.dof,
	  source/Vcl/synedit/Packages/SynEdit_D6_PE.res,
	  source/Vcl/synedit/Source/Contributors.txt,
	  source/Vcl/synedit/Source/SynAutoCorrect.pas,
	  source/Vcl/synedit/Source/SynAutoCorrectEditor.dfm,
	  source/Vcl/synedit/Source/SynAutoCorrectEditor.pas,
	  source/Vcl/synedit/Source/SynCompletionProposal.pas,
	  source/Vcl/synedit/Source/SynDBEdit.pas,
	  source/Vcl/synedit/Source/SynEdit.inc,
	  source/Vcl/synedit/Source/SynEdit.pas,
	  source/Vcl/synedit/Source/SynEditAutoComplete.pas,
	  source/Vcl/synedit/Source/SynEditExport.pas,
	  source/Vcl/synedit/Source/SynEditHighlighter.pas,
	  source/Vcl/synedit/Source/SynEditKbdHandler.pas,
	  source/Vcl/synedit/Source/SynEditKeyCmdEditor.dfm,
	  source/Vcl/synedit/Source/SynEditKeyCmdEditor.pas,
	  source/Vcl/synedit/Source/SynEditKeyCmds.pas,
	  source/Vcl/synedit/Source/SynEditKeyCmdsEditor.dfm,
	  source/Vcl/synedit/Source/SynEditKeyCmdsEditor.pas,
	  source/Vcl/synedit/Source/SynEditKeyConst.pas,
	  source/Vcl/synedit/Source/SynEditMiscClasses.pas,
	  source/Vcl/synedit/Source/SynEditMiscProcs.pas,
	  source/Vcl/synedit/Source/SynEditOptionsDialog.dfm,
	  source/Vcl/synedit/Source/SynEditOptionsDialog.pas,
	  source/Vcl/synedit/Source/SynEditPlugins.pas,
	  source/Vcl/synedit/Source/SynEditPrint.pas,
	  source/Vcl/synedit/Source/SynEditPrintHeaderFooter.pas,
	  source/Vcl/synedit/Source/SynEditPrintMargins.pas,
	  source/Vcl/synedit/Source/SynEditPrintMarginsDialog.pas,
	  source/Vcl/synedit/Source/SynEditPrintPreview.pas,
	  source/Vcl/synedit/Source/SynEditPrintTypes.pas,
	  source/Vcl/synedit/Source/SynEditPrint_Old.pas,
	  source/Vcl/synedit/Source/SynEditPrinterInfo.pas,
	  source/Vcl/synedit/Source/SynEditPropertyReg.pas,
	  source/Vcl/synedit/Source/SynEditPythonBehaviour.pas,
	  source/Vcl/synedit/Source/SynEditReg.dcr,
	  source/Vcl/synedit/Source/SynEditReg.pas,
	  source/Vcl/synedit/Source/SynEditSearch.pas,
	  source/Vcl/synedit/Source/SynEditStrConst.pas,
	  source/Vcl/synedit/Source/SynEditTextBuffer.pas,
	  source/Vcl/synedit/Source/SynEditTypes.pas,
	  source/Vcl/synedit/Source/SynExportHTML.pas,
	  source/Vcl/synedit/Source/SynExportRTF.pas,
	  source/Vcl/synedit/Source/SynHighlighterCpp.pas,
	  source/Vcl/synedit/Source/SynMacroRecorder.pas,
	  source/Vcl/synedit/Source/SynMemo.pas,
	  source/Vcl/synedit/Source/SynRegExpr.pas,
	  source/Vcl/synedit/Source/SynTextDrawer.pas,
	  source/Vcl/synedit/Source/kTextDrawer.pas: * corrected many small
	  bugs * updated synedit (latest cvs)

2002-06-01 11:42  claplace

	* devcpp.exe, source/editor.pas, source/main.pas,
	  source/Vcl/Parser/CodeCompletion.pas: *  "hint on mouse over"
	  continued

2002-05-31 23:56  claplace

	* devcpp.exe, source/NewTemplateFm.dfm, source/datamod.dfm,
	  source/datamod.pas, source/devcpp.dof, source/devcpp.res,
	  source/editor.pas, source/version.pas,
	  source/Vcl/Parser/CodeCompletion.pas: * beginning of "on mouse
	  over variable" hints (i will also do that for the integrated
	  debugging, to let the user quickly get the value of a variable)

2002-05-30 12:23  mandrav

	* source/datamod.pas: * Fixed the problem with the MRU list (bug
	  #562089).

2002-05-30 08:28  mandrav

	* source/: NewTemplateFm.dfm, NewTemplateFm.pas: Changed the Name
	  editor from TEdit to TComboBox

2002-05-30 03:20  mandrav

	* source/Vcl/Parser/: CodeCompletion.pas, CodeCompletionForm.dfm,
	  CppParser.pas: Updates in CppParser and CodeCompletion

2002-05-30 03:13  mandrav

	* source/editor.pas: Fixed a small bug

2002-05-29 10:01  claplace

	* devcpp.exe, Lang/French.lng, Lang/German.lng, Lang/Polish.lng,
	  source/NewTemplateFm.dfm, source/NewTemplateFm.pas,
	  source/main.dfm: * new polish language file * modified a little
	  new template form UI

2002-05-29 08:51  mandrav

	* source/project.pas: Another one of these AVs fixed...

2002-05-29 08:48  mandrav

	* source/: main.dfm, main.pas: The actual source of the
	  "toolbars-behaviour-bug" was the WMGetMinMaxInfo procedure. I
	  removed it, as well as the changes I did before and just used the
	  form's Constraints property ;)

2002-05-29 07:26  mandrav

	* source/: main.dfm, main.pas: Fixed bug that would make the
	  toolbars behave like crazy when dragging them. It was due to all
	  the action updates...

2002-05-29 07:01  mandrav

	* source/editor.pas: When the file is modified, it displays a [*]
	  in front of the filename on the tab caption.

2002-05-29 06:50  mandrav

	* source/main.pas: Fixed bug that the bottom splitter wouldn't move
	  in some circumstances.

2002-05-29 06:34  mandrav

	* source/devcfg.pas: Bug-fix for bug #560112

2002-05-29 06:29  mandrav

	* source/CompOptionsFrm.pas: Just corrected a mispelled phrase.

2002-05-29 04:50  mandrav

	* source/: main.dfm, main.pas: * Fixed the bug that the shortcuts
	  would not work in FullScreen mode.  * Added the
	  "File/New/Template" menu option

2002-05-29 04:48  mandrav

	* source/: NewTemplateFm.dfm, NewTemplateFm.pas: Added some sanity
	  checks

2002-05-28 08:20  mandrav

	* source/editor.pas: CodeCompletion update

2002-05-28 08:12  mandrav

	* source/Vcl/Parser/CodeCompletion.pas: CodeCompletion update

2002-05-28 06:59  mandrav

	* Lang/: English.lng, Greek.lng: Added new resource IDs 930 to 944

2002-05-28 06:57  mandrav

	* source/: LangIDs.inc, NewTemplateFm.dfm, NewTemplateFm.pas: Added
	  localization for the NewTemplateForm.  Resource IDs 930 to 944

2002-05-28 06:26  mandrav

	* source/: NewTemplateFm.dfm, NewTemplateFm.pas, devcpp.dpr,
	  devcpp.res, project.pas: Added NewTemplateForm to project

2002-05-28 04:23  mandrav

	* source/IconFrm.pas: Removed redundant "Close" statement.

2002-05-28 03:27  mandrav

	* source/IconFrm.dfm: Changed Position property to OwnerFormCenter

2002-05-28 02:44  mandrav

	* source/project.pas: In TProjUnit.Destroy fEditor and fNode were
	  freed without having being created by TProjUnit. I 've been
	  hunting this bug for over an hour >:(

2002-05-28 02:12  mandrav

	* source/: main.dfm, main.pas: Bug-fix for the problems with the
	  MessageControl (like bug #560972)

2002-05-28 01:57  mandrav

	* source/CodeIns.pas: Bug-fix for bug #560970.

2002-05-28 01:35  mandrav

	* source/editor.pas: * Changed CodeCompletion main view from
	  TListBox to TStringGrid.

2002-05-28 01:34  mandrav

	* source/Vcl/Parser/: CodeCompletion.pas, CodeCompletionForm.dfm,
	  CodeCompletionForm.pas: * Changed main view from TListBox to
	  TStringGrid.	* Utilized new UniqueStatementsList from CPPparser

2002-05-28 01:33  mandrav

	* source/Vcl/Parser/CppParser.pas: * Parsing improvements.  * Added
	  UniqueStatementsList for use by the CodeCompletion comp.

2002-05-26 15:49  mandrav

	* source/: main.pas, main.dfm: Bug fix for bug #560154

2002-05-26 15:31  mandrav

	* source/project.pas: Bug fix for bug #559694

2002-05-22 18:29  claplace

	* devcpp.exe, Lang/Chinese_TC.lng, Lang/French.lng,
	  source/compiler.pas, source/devcpp.cfg, source/devcpp.dof,
	  source/main.dfm: * corrected bugs when compiling when the project
	  filename contained spaces (cannot correct for default resource
	  files for now though) * modified "Search in all Files" default
	  shortcut, to permit people from using AltGr key for their special
	  char

2002-05-21 03:20  mandrav

	* source/Vcl/Parser/CppParser.pas: Bug-fix...

2002-05-20 03:57  mandrav

	* source/Vcl/Parser/: ClassBrowser.pas, CppParser.pas: Changes in
	  class-parsing and class-browsing: Now, it displays only one entry
	  for each function and the user can go to the implementation by
	  clicking on the browser with the left mouse button, and to the
	  declaration by shift-left clicking.  Previously, it used to
	  display one entry for the declaration and one for the
	  implementation...

2002-05-20 03:53  mandrav

	* source/main.pas: Cosmetic update for class-browser

2002-05-19 14:21  mandrav

	* source/main.pas: Corrected an error that slipped-through during
	  the previous commit... :(

2002-05-19 14:11  mandrav

	* Lang/: English.lng, Greek.lng: Added IDs 493, 494 and 497 and
	  removed 486 and 490

2002-05-19 14:09  mandrav

	* source/LangIDs.inc: IDs 493, 494 and 497

2002-05-19 14:08  mandrav

	* source/: EditorOptfrm.dfm, EditorOptfrm.pas, devcfg.pas,
	  Vcl/Parser/ClassBrowser.pas: New class browser option

2002-05-19 14:07  mandrav

	* source/main.pas: Class browser updates

2002-05-18 19:36  claplace

	* devcpp.exe, Examples/Jackpot/Jackpot.dev,
	  Examples/Jackpot/rsrc.rc, Lang/German.lng, source/ToolFrm.dfm,
	  source/main.dfm, source/main.pas: *compiler output resize fix *
	  corrected "big font" problem (wrong size of windows) * jackpot
	  example fixed * german file updated

2002-05-17 09:18  mandrav

	* source/Vcl/Parser/CppParser.pas: Bug fix.

2002-05-17 09:18  mandrav

	* source/devcfg.pas: Better fix for bug #556547.

2002-05-17 05:55  hongli

	* source/main.pas: [no log message]

2002-05-16 15:11  hongli

	* source/compiler.pas: Only syntax check changed files

2002-05-16 15:09  hongli

	* source/compiler.pas: Fixed dependency parsing

2002-05-16 03:53  mandrav

	* source/main.pas: Fixed bug #556093. I just commented-out one line
	  of code in main.pas. It seems it was not needed, plus it caused
	  this bug...

2002-05-16 03:52  mandrav

	* source/MultiLangSupport.pas: Fixed bug that would not change
	  language back to english, but only after program restart. This
	  code sets the default language *only* if there is no language
	  set...

2002-05-16 03:23  mandrav

	* source/Envirofrm.pas: Changed Icons and Lang assignment to fully
	  qualified path instead of relative. It turns to relative on
	  configuration save (on program exit).

2002-05-16 03:05  mandrav

	* source/Envirofrm.pas: Changed display of Icons path to be
	  relative to main Dev tree. Now it is consistent with the other
	  paths (lang, templates, themes, etc)

2002-05-16 03:03  mandrav

	* source/devcfg.pas: Fixed bug #556547.

2002-05-16 02:12  mandrav

	* source/main.pas, source/LangIDs.inc, Lang/English.lng,
	  Lang/Greek.lng: Added LangIDs 217, 224 and 550-556 for the
	  following new options: * Execute / Program Reset * Tools /
	  Configure Shortcuts

2002-05-15 21:43  claplace

	* devcpp.exe, Lang/English.lng, Lang/French.lng,
	  source/LangIDs.inc, source/NewProjectFrm.dfm,
	  source/compiler.pas, source/datamod.dfm, source/main.dfm,
	  source/main.pas: * added "Comment header" in Insert menu * New
	  lang ID 171, 172 and 2016 * Attempt to correct dialog bug when
	  user use large fonts (seems in XP only). Need a user report to
	  finalize this * added log entry "compilation successful" when
	  compile goes ok (some users did not understand if it was compiled
	  or not)

2002-05-15 11:27  mandrav

	* source/: compiler.pas, devExec.pas, devcpp.dpr, main.dfm,
	  main.pas: Added devExecutor for MinimizeOnRun, RestoreAfterRun
	  and ProgramReset features ;)

2002-05-14 05:59  mandrav

	* source/Vcl/Parser/CppParser.pas: Bug-fix

2002-05-13 19:12  claplace

	* NEWS.txt, devcpp.exe, Lang/French.lng, source/LangFrm.dfm,
	  source/LangFrm.pas, source/devcpp.cfg, source/devcpp.dof,
	  source/icons.rc, source/main.dfm, source/main.pas,
	  source/images/associations/devpak.ico, source/install/devcpp.nsi:
	  * Added Insert Date/Time * Corrected LangForm * updated install
	  scripts * cleaned for version 4.9.3.0 release =)

2002-05-13 15:54  claplace

	* source/Examples/OpenGL/: Main.cpp, OpenGL.dev, Rsrc.rc: Initial
	  revision

2002-05-13 15:54  claplace

	* source/Examples/OpenGL/: Main.cpp, OpenGL.dev, Rsrc.rc: opengl
	  test example

2002-05-13 08:22  mandrav

	* source/main.pas: Display project name in caption.

2002-05-13 08:04  mandrav

	* source/compiler.pas: Added the MinimizeOnRun feature. It existed
	  in Options but was not used (why?). It needs better
	  implementation though, because it now minimizes on run but does
	  not restore after execution...

2002-05-12 05:05  mandrav

	* source/editor.pas: Class-browsing improvement.

2002-05-12 04:56  mandrav

	* source/: main.pas, Vcl/Parser/CodeCompletion.pas,
	  Vcl/Parser/CppParser.pas: Class-browsing updates

2002-05-11 12:31  hongli

	* source/packman/: InstallFiles.pas, InstallWizards.pas,
	  Installers.pas, Main.pas: Dependency support

2002-05-11 04:11  mandrav

	* source/ToolFrm.dfm: Made the form close when pressing "escape"...

2002-05-11 04:07  mandrav

	* source/LangIDs.inc: Swapped IDs of POPT_RESFILES and POPT_RESDIRS
	  because its easier than updating *all* the language files ;)

2002-05-11 03:56  mandrav

	* source/Vcl/: DevCpp.dof, DevCpp.dpk, devShortcuts.dcr: Added
	  Shortcuts Configuration Editor.

2002-05-11 03:50  mandrav

	* source/Vcl/: devShortcuts.pas, devShortcutsEditorForm.dfm,
	  devShortcutsEditorForm.pas: Added Shortcuts Configuration Editor.

2002-05-11 03:37  mandrav

	* source/: main.dfm, main.pas, version.pas: Added Shortcuts
	  Configuration Editor.

2002-05-10 18:43  claplace

	* devcpp.exe, source/Envirofrm.dfm, source/Envirofrm.pas,
	  source/LangFrm.dfm, source/LangFrm.pas, source/Themes.pas,
	  source/devcpp.dof, source/icons.rc, source/version.pas,
	  source/install/devcpp.nsi: - theme management fixes

2002-05-10 17:26  hongli

	* TODO.txt: [no log message]

2002-05-10 17:26  hongli

	* source/packman/Main.dfm: Added version number

2002-05-10 17:16  hongli

	* source/compiler.pas: Fixes

2002-05-10 03:10  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: Fixed a bug that would cause
	  an AV in ClassBrowser after file saving.

2002-05-10 03:08  mandrav

	* source/Vcl/Parser/CodeCompletion.pas: Added new property
	  OnlyGlobals and a couple of bug-fixes

2002-05-09 04:51  hongli

	* devcpp.exe: [no log message]

2002-05-09 04:44  hongli

	* source/compiler.pas: Fix dependency handling

2002-05-07 10:39  mandrav

	* source/: devcfg.pas, main.pas: Added project manager's size in
	  configuration

2002-05-07 10:22  mandrav

	* source/: devcfg.pas, main.pas: Added toolbars positions in
	  configuration

2002-05-07 09:23  mandrav

	* source/: Themes.pas, version.pas: Fixed themes support ( it now
	  works :)

2002-05-07 08:29  hongli

	* TODO.txt, NEWS.txt: [no log message]

2002-05-07 08:20  hongli

	* source/: ProjectOptionsFrm.dfm, ProjectOptionsFrm.pas,
	  compiler.pas, main.dfm, prjtypes.pas, project.pas: Support for
	  output directories

2002-05-07 07:23  hongli

	* source/Macros.pas: Finished macro support

2002-05-07 07:19  mandrav

	* source/MultiLangSupport.pas: Made sure that that the current
	  language is always set.

2002-05-07 07:10  hongli

	* source/ToolEditFrm.dfm: Minor GUI adjustments

2002-05-07 07:05  mandrav

	* source/: main.pas, version.pas: - Added more file formats in
	  CustomizeHelp dialog.  - Fixed a bug in MainForm that wouldn't
	  load help when clicked the help button (not the menu).

2002-05-07 06:03  mandrav

	* source/: main.dfm, main.pas: Fixed reverting from FullScreen mode

2002-05-07 04:58  mandrav

	* devcpp.exe: Fixed some bugs having to do with the configuration
	  saving and restoring.

2002-05-07 04:25  mandrav

	* source/: devcfg.pas, main.pas: Fixed appearance issues. It now
	  remembers the toolbars, statusbar, compiler log and project
	  manager visibility each time it starts.

2002-05-06 10:16  hongli

	* devcpp.exe: [no log message]

2002-05-06 10:09  hongli

	* source/: datamod.dfm, main.dfm: [no log message]

2002-05-05 15:19  hongli

	* source/Macros.pas: [no log message]

2002-05-05 13:06  hongli

	* source/project.pas: [no log message]

2002-05-05 12:59  hongli

	* Examples/WinAnim/: rsrc.rc, Anim.dev, Main.c, Makefile.win,
	  Anim.rc, Images.rc, Anim.ico: [no log message]

2002-05-05 11:49  hongli

	* Examples/FileEditor/: FileEditor.dev, Main.c: [no log message]

2002-05-05 11:46  hongli

	* source/compiler.pas: Parser bug fixes

2002-05-05 11:35  hongli

	* source/main.pas: [no log message]

2002-05-04 07:07  hongli

	* Examples/OpenGL/: Main.c, OpenGL.dev: Example obsoleted by OpenGL
	  template

2002-05-04 07:00  hongli

	* Examples/FileEditor/Rsrc.rc: [no log message]

2002-05-04 06:57  hongli

	* Examples/FileEditor/: FileEditor.dev, FileEditor.rc, Main.c,
	  Main.h, Menu.rc, FileEditor.ico, Makefile.win: [no log message]

2002-05-04 06:48  hongli

	* Templates/: 1-WinApp.template, 2-ConsoleApp.template,
	  OpenGL.template: [no log message]

2002-05-03 10:00  mandrav

	* source/Vcl/Parser/CppParser.pas: Bug-fix

2002-05-03 09:35  mandrav

	* source/Vcl/Parser/CppTokenizer.pas: Bug-fixes

2002-05-03 09:33  mandrav

	* source/Vcl/Parser/: ClassBrowser.pas, CodeCompletion.pas,
	  CodeCompletionForm.pas, CppParser.pas: Many improvements

2002-05-03 04:14  mandrav

	* source/: NewProjectFrm.pas, utils.pas: Bug-fix: configuration
	  paths issue

2002-05-03 03:30  mandrav

	* source/helpfrm.pas: Bug-fix: the help file path was saved
	  relative to the exec dir, not the help dir as is expected in
	  MainForm when clicking on the menu entry.

2002-05-03 03:19  mandrav

	* source/helpfrm.pas: Fixed a bug by setting a default menu text if
	  none was entered

2002-05-03 02:47  mandrav

	* source/editor.pas: Added support for arguments hint with
	  Ctrl+Shift+Space.

2002-05-03 02:46  mandrav

	* source/: CodeIns.pas, EditorOptfrm.pas: Fixed two bugs with
	  code-insertion configuration.  The first would not save the
	  devcpp.ci file if it didn't previously exist.  The second
	  required the user to click the newly added item before writing
	  the text.

2002-05-03 02:33  mandrav

	* source/Vcl/Parser/CodeCompletion.pas: Added properties and
	  methods for displaying hints about expression arguments.

2002-05-02 09:24  mandrav

	* source/: main.dfm, main.pas: Improved class-browsing. Now, it
	  only shows the active editor's classes-methods-variables.  Maybe
	  make it an option?

2002-05-02 09:21  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: Added new property
	  CurrentFile

2002-05-02 09:20  mandrav

	* source/Vcl/Parser/CodeCompletionForm.pas: Added coloring for
	  enums

2002-05-02 09:18  mandrav

	* source/Vcl/Parser/CppParser.pas: Small improvements

2002-05-02 08:13  mandrav

	* source/Vcl/Parser/CppParser.pas: Bug-fixes

2002-05-02 07:06  mandrav

	* source/Vcl/Parser/CppParser.pas: Removed handling of forward
	  decls (estimated as un-needed).  Various improvements.

2002-05-02 03:31  mandrav

	* source/Vcl/Parser/CppParser.pas: Bug-fixes

2002-05-02 03:29  mandrav

	* source/Vcl/Parser/ClassBrowser.pas: Changed the component's
	  ancestor to TCustomTreeView because it had much too many
	  properties that were of no need...

2002-05-01 11:40  hongli

	* source/packman/: InstallFiles.pas, Installers.pas, Utils.pas:
	  Support for creating shortcuts

2002-05-01 10:12  claplace

	* source/main.pas: fix little bug on default theme

2002-05-01 09:56  hongli

	* source/: main.pas, project.pas: Bug fixes

2002-05-01 09:49  claplace

	* source/: Themes.pas, datamod.dfm, version.pas,
	  images/newlook/close.bmp, images/newlook/srcagain.bmp: mike's
	  update on themes support

2002-05-01 09:06  hongli

	* source/Vcl/DevCpp.dof: [no log message]

2002-05-01 09:05  hongli

	* source/: LangIDs.inc, NewProjectFrm.pas, ProjectOptionsFrm.pas,
	  main.pas, project.pas: More bug fixes

2002-05-01 09:00  mandrav

	* Lang/Greek.lng: Added missing resource 1012

2002-05-01 08:34  hongli

	* source/packman/: Main.dfm, Main.pas: Bugfixes

2002-05-01 08:31  hongli

	* Lang/: Dutch.lng, English.lng: [no log message]

2002-05-01 08:24  hongli

	* source/compiler.pas: Bugfix

2002-05-01 05:21  hongli

	* source/: main.dfm, compiler.pas, main.pas: Bug fixes

2002-05-01 04:51  mandrav

	* Lang/Greek.lng: Added resource ID 921

2002-05-01 04:23  mandrav

	* source/Vcl/Parser/CodeCompletion.pas: Added code to not display
	  duplicate entries...

2002-05-01 03:50  mandrav

	* source/main.dfm: Set a couple of new properties to
	  CodeCompletion1 component

2002-05-01 03:44  mandrav

	* source/Vcl/Parser/: ClassBrowser.pas, CodeCompletion.pas,
	  CodeCompletionForm.pas, CppParser.pas, CppTokenizer.pas:
	  Bug-fixes

2002-04-30 19:43  hongli

	* source/: datamod.dfm, main.dfm: Bugfixes

2002-04-30 18:50  hongli

	* source/main.pas: Fixed yet another editor bug

2002-04-30 18:34  hongli

	* source/packman/: InstallFiles.pas, InstallWizards.dfm,
	  InstallWizards.pas, Main.dfm, Main.pas: Bugfixes

2002-04-30 17:32  hongli

	* source/compiler.pas: Do not execute when compilation failed

2002-04-30 17:29  hongli

	* source/: ToolEditFrm.dfm, compiler.pas, Macros.pas, devcpp.dof,
	  devcpp.dpr, main.dfm: Support for macros in projects and bugfixes

2002-04-30 11:20  hongli

	* source/packman/: InstallWizards.pas, Main.pas: bug fixes

2002-04-30 10:49  hongli

	* devcpp.exe: [no log message]

2002-04-30 10:38  hongli

	* source/: ProjectOptionsFrm.dfm, ProjectOptionsFrm.pas,
	  ResourceSelector.dfm, ResourceSelector.pas, compiler.pas,
	  icons.rc, prjtypes.pas, project.pas, LangIDs.inc: More work on
	  resources

2002-04-30 10:32  hongli

	* Lang/: Dutch.lng, English.lng, French.lng, German.lng,
	  Spanish.lng: [no log message]

2002-04-30 03:20  mandrav

	* source/Vcl/Parser/CppTokenizer.pas: Added log output

2002-04-30 03:19  mandrav

	* source/Vcl/Parser/CppParser.pas: Fixed an endless-loop bug

2002-04-30 03:18  mandrav

	* source/Vcl/Parser/: CodeCompletion.pas, CodeCompletionForm.pas:
	  Bug fix

2002-04-29 22:19  claplace

	* source/: DefaultFiles.rc, devcpp.dof, devcpp.dpr, devcpp.res,
	  main.pas, images/devcppproject.ico, images/devcpptemplate.ico,
	  install/devcpp.nsi, icons.rc: file associations

2002-04-29 22:08  claplace

	* source/images/associations/: c.ico, cpp.ico, dev.ico,
	  devpackage.ico, devpak.ico, h.ico, hpp.ico, rc.ico, template.ico:
	  Initial revision

2002-04-29 22:08  claplace

	* source/images/associations/: c.ico, cpp.ico, dev.ico,
	  devpackage.ico, devpak.ico, h.ico, hpp.ico, rc.ico, template.ico:
	  assiocation icon files (will be replaced by good ones later)

2002-04-29 21:03  claplace

	* TODO.txt, devcpp.exe, source/compiler.pas, source/devcpp.dof,
	  source/devcpp.dpr, source/devcpp.res, source/main.pas,
	  source/version.pas: -c option can now be given at command line,
	  to specify a path for the dev-c++ inifile : usage: devcpp.exe [-c
	  file.ini] [source/project files...]

2002-04-29 20:07  hongli

	* source/utils.pas: Speedup

2002-04-29 20:03  hongli

	* NEWS.txt, TODO.txt: [no log message]

2002-04-29 19:54  hongli

	* source/: compiler.pas, utils.pas: Parser speedups

2002-04-29 19:32  claplace

	* Lang/French.lng: update

2002-04-29 19:02  hongli

	* source/packman/Main.pas: Bugfix

2002-04-29 18:59  hongli

	* source/packman/InstallFiles.pas: Bugfix

2002-04-29 18:49  claplace

	* source/devtools/Langcheck/: LangCheck.cfg, LangCheck.dof,
	  LangCheck.dpr, LangCheck.res, Main.dfm, Main.pas: Initial
	  revision

2002-04-29 18:49  claplace

	* source/devtools/Langcheck/: LangCheck.cfg, LangCheck.dof,
	  LangCheck.dpr, LangCheck.res, Main.dfm, Main.pas: Language file
	  validity test program

2002-04-29 18:22  hongli

	* source/packman/File Format.txt: New file format description

2002-04-29 18:21  hongli

	* source/packman/: InstallFiles.pas, Installers.pas,
	  RemoveForms.dfm, RemoveForms.pas, Utils.pas, VerifyForms.pas:
	  Support for upgrade and performance improvements

2002-04-29 17:37  hongli

	* source/: Templates.pas, prjtypes.pas, project.pas: Project icon
	  in templates support

2002-04-29 15:52  hongli

	* source/main.pas: Fix Compiler Log copy behavior

2002-04-29 15:29  hongli

	* source/: Findfrm.dfm, helpfrm.dfm, main.pas, project.pas: Bug
	  fixes

2002-04-29 12:04  hongli

	* NEWS.txt, TODO.txt: [no log message]

2002-04-29 08:29  hongli

	* source/main.pas: Editor bugfixes

2002-04-29 07:52  hongli

	* source/: IconFrm.dfm, IconFrm.pas, ProjectOptionsFrm.dfm,
	  ProjectOptionsFrm.pas, ResourceSelector.dfm,
	  ResourceSelector.pas, compiler.pas, datamod.dfm, datamod.pas,
	  main.dfm, main.pas, project.pas: More work on resources

2002-04-28 19:50  hongli

	* Lang/Dutch.lng: [no log message]

2002-04-28 18:44  hongli

	* source/: IconFrm.dfm, compiler.pas, datamod.dfm, main.dfm,
	  main.pas, project.pas: More work on icon support

2002-04-28 17:50  hongli

	* source/: IconFrm.dfm, IconFrm.pas, LangIDs.inc,
	  ProjectOptionsFrm.dfm, ProjectOptionsFrm.pas, compiler.pas,
	  project.pas: Fixed icon support

2002-04-28 17:47  mandrav

	* source/Vcl/Parser/CppParser.pas: Bug fix in HandleMethod()

2002-04-28 17:32  mandrav

	* Lang/Greek.lng: IDs 216 and 1513

2002-04-28 16:52  claplace

	* source/: compiler.pas, debugwait.pas, main.pas: improved
	  debugging, small bug fix

2002-04-28 16:46  hongli

	* source/: ProjectOptionsFrm.dfm, ProjectOptionsFrm.pas,
	  ResourceSelector.dfm, ResourceSelector.pas: More work regarding
	  resources

2002-04-28 16:29  hongli

	* source/: LangIDs.inc, compiler.pas, devcpp.dof, devcpp.dpr,
	  devcpp.res, main.dfm, main.pas, prjtypes.pas, project.pas: Better
	  resource handling

2002-04-28 15:59  hongli

	* Lang/: Dutch.lng, English.lng, French.lng, German.lng: [no log
	  message]

2002-04-28 15:56  claplace

	* source/debugwait.pas: debugging updated

2002-04-28 15:53  claplace

	* Lang/Spanish.lng: spanish lang file

2002-04-28 14:52  hongli

	* source/project.pas: Fixed OpenResourceFile

2002-04-28 14:47  claplace

	* source/main.pas: small update

2002-04-28 14:39  claplace

	* devcpp.exe, Examples/FileEditor/Main.c, Lang/Chinese.lng,
	  Lang/English.lng, Lang/French.lng, source/LangIDs.inc: small
	  update

2002-04-28 14:30  hongli

	* source/compiler.pas: Parser bugfixes

2002-04-28 14:29  claplace

	* Lang/French.lng: update

2002-04-28 13:42  hongli

	* source/: NewProjectFrm.pas, Templates.pas: Fixed template icon
	  support

2002-04-28 13:15  hongli

	* source/: compiler.pas, main.dfm, main.pas: Syntax checking
	  implemented

2002-04-28 12:23  hongli

	* Lang/: Dutch.lng, English.lng: [no log message]

2002-04-28 12:22  hongli

	* source/: LangIDs.inc, compiler.pas, main.pas, project.pas: Bug
	  fixes

2002-04-28 11:42  claplace

	* source/AboutFrm.dfm: little correction

2002-04-28 10:51  hongli

	* source/: compiler.pas, main.dfm, main.pas: Bug fixes

2002-04-28 10:35  hongli

	* source/: compiler.pas, main.dfm, main.pas, utils.pas: [no log
	  message]

2002-04-28 10:20  claplace

	* source/: debugwait.pas, main.pas: corrected bugs in integrated
	  debugging

2002-04-28 10:14  hongli

	* source/: compiler.pas, main.pas, utils.pas: [no log message]

2002-04-28 09:30  hongli

	* source/: compiler.pas, datamod.dfm, devrun.pas, main.dfm,
	  utils.pas: 'Incremental logging' or whatever it should be called

2002-04-28 09:05  hongli

	* source/: main.dfm, main.pas, compiler.pas: Fixed a compiler
	  output parser bug

2002-04-28 08:43  hongli

	* source/: CompOptionsFrm.dfm, CompOptionsFrm.pas: Removed compiler
	  option labels; use tooltips instead

2002-04-28 08:43  hongli

	* source/: main.dfm, main.pas: Editor bug fixes

2002-04-27 19:17  hongli

	* source/: main.pas, ProjectOptionsFrm.dfm, ProjectOptionsFrm.pas,
	  compiler.pas, version.pas: Yet more bugfixes

2002-04-27 17:12  hongli

	* source/: compiler.pas, datamod.dfm, main.dfm, main.pas: Rewritten
	  compiler output parsing

2002-04-27 15:37  hongli

	* source/: NewProjectFrm.dfm, NewProjectFrm.pas, compiler.pas,
	  datamod.pas, main.pas: Bug fixes

2002-04-27 15:07  hongli

	* source/: main.pas, project.pas: Bug fixes

2002-04-27 15:06  hongli

	* source/NewProjectFrm.dfm: Better looking icons

2002-04-27 14:12  hongli

	* Lang/: Dutch.lng, English.lng, French.lng, German.lng: Removed
	  502 (Filename)

2002-04-27 14:11  hongli

	* Templates/: 2-ConsoleApp.template, 4-DLL.template,
	  5-Empty.template, Hello.template, OpenGL.template: Fixes

2002-04-27 14:10  hongli

	* source/: LangIDs.inc, NewProjectFrm.dfm, NewProjectFrm.pas:
	  Removed filename entry

2002-04-27 14:09  hongli

	* source/: Templates.pas, main.pas, project.pas: Bug fixes and more
	  work on templates

2002-04-27 14:06  hongli

	* source/packman/InstallWizards.dfm: Bug fixes

2002-04-27 13:40  hongli

	* source/: compiler.pas, packman/InstallFiles.pas,
	  packman/InstallWizards.pas, packman/Main.dfm,
	  packman/Packman.res, packman/RemoveForms.pas: Bug fixes

2002-04-27 07:29  hongli

	* Templates/: Dll_c.txt, Dll_cpp.txt, Dll_hpp.txt: [no log message]

2002-04-27 07:16  hongli

	* source/main.pas: Even more bugfixes

2002-04-27 06:37  hongli

	* Templates/: 4-DLL.template, Dll_h.txt, Dll_c.txt, Dll_hpp.txt:
	  Fix DLL support

2002-04-27 06:36  hongli

	* source/compiler.pas: Fixed DLL generation

2002-04-27 06:36  hongli

	* source/: Templates.pas, datamod.dfm, main.dfm, main.pas,
	  project.pas: Fixes and new features in template support

2002-04-27 05:24  hongli

	* source/: compiler.pas, datamod.dfm, main.dfm: [no log message]

2002-04-26 15:36  hongli

	* source/: datamod.dfm, main.dfm, utils.pas: More bugfixes

2002-04-26 15:31  hongli

	* source/conio/: conio.c, conio.h: Implemented clreol() and
	  delline()

2002-04-26 14:59  hongli

	* source/: main.dfm, main.pas: [no log message]

2002-04-26 14:42  hongli

	* source/: EditorOptfrm.dfm, datamod.dfm, main.dfm: [no log
	  message]

2002-04-26 13:58  hongli

	* Lang/: Dutch.lng, English.lng, French.lng, German.lng: [no log
	  message]

2002-04-26 13:05  hongli

	* source/editor.pas: Fixed an AccessViolation bug

2002-04-26 12:56  hongli

	* source/: utils.pas, datamod.dfm: Small changes

2002-04-26 12:37  hongli

	* source/ProjectOptionsFrm.dfm: [no log message]

2002-04-26 12:35  hongli

	* source/: CompOptionsFrm.pas, utils.pas: bla bla

2002-04-26 12:34  hongli

	* source/: CompOptionsFrm.dfm, compiler.pas, devcfg.pas: Perfect
	  dependency handling

2002-04-26 12:33  hongli

	* source/: main.dfm, main.pas, project.pas: Bug fixes

2002-04-26 09:04  hongli

	* BUGS.txt: Use SF's bug tracker

2002-04-26 09:03  hongli

	* TODO.txt: Removed some TODOs

2002-04-26 09:00  hongli

	* source/conio/: conio.c, conio.h: Merged with Mingw's conio

2002-04-26 08:50  hongli

	* source/: main.pas, project.pas: Fixed a save bug

2002-04-26 08:50  hongli

	* BUGS.txt: Fixed 1 bug

2002-04-26 08:44  hongli

	* Templates/: 1-WinApp.template, WinApp_c.txt: Code cleanup

2002-04-26 08:16  hongli

	* Templates/WinApp_cpp.txt: Removed redundant file

2002-04-26 07:30  hongli

	* source/packman/: Main.dfm, Main.pas: Added help message

2002-04-26 07:15  hongli

	* source/packman/: InstallWizards.dfm, InstallWizards.pas: Support
	  for rebooting

2002-04-25 04:08  mandrav

	* source/editor.pas: Corrected a foolish little bug that caused an
	  AV in CodeCompletion routines... :(

2002-04-25 04:04  mandrav

	* Lang/: Dutch.lng, English.lng, French.lng, German.lng, Greek.lng:
	  Small changes in ClassBrowsing and CodeCompletion resources to
	  accomodate new features

2002-04-25 04:03  mandrav

	* source/: EditorOptfrm.dfm, EditorOptfrm.pas, LangIDs.inc,
	  devcfg.pas, devcpp.dpr, editor.pas, main.dfm, main.pas: Many
	  changes to remove the old ClassBrowser component and replace it
	  with the new components in ClassBrowsing.dpk

2002-04-25 04:01  mandrav

	* source/Vcl/DevCpp.dpk: Removed the old ClassBrowser component

2002-04-25 04:00  mandrav

	* source/Vcl/Parser/: ClassBrowser.pas, ClassBrowsing.dpk,
	  ClassBrowsing.res, ClassBrowsingReg.pas, CodeCompletion.dcr,
	  CodeCompletion.pas, CodeCompletionForm.dfm,
	  CodeCompletionForm.pas, CppParser.dcr, CppParser.pas,
	  CppTokenizer.dcr, CppTokenizer.pas, U_IntList.pas: This is the
	  new Class-parsing/Code-completion components

2002-04-25 03:57  mandrav

	* source/: CodeCompletion.dfm, CodeCompletion.pas,
	  Vcl/ClassBrowser.pas: Removed because of new
	  Class-parsing/Code-completion components

2002-04-24 11:12  claplace

	* source/: debugfrm.dfm, debugfrm.pas: debug form

2002-04-23 12:54  claplace

	* source/images/: first.bmp, NOIMG.bmp, packman.ico: images

2002-04-21 17:04  claplace

	* source/: Themes.pas, image map.txt: * corrected access violation
	  bug on compiling source files only * correct HTML/RTF export bug
	  * fixed "list index of of bounds" bug in tool edit form * mike's
	  changes : new theme system, bug fixes

2002-04-21 17:03  claplace

	* source/images/blue/: Cancel.bmp, OK.bmp: Initial revision

2002-04-21 17:03  claplace

	* source/images/blue/: Cancel.bmp, OK.bmp: blue theme

2002-04-21 17:00  claplace

	* devcpp.exe, source/DefaultFiles.rc, source/EditorOptfrm.dfm,
	  source/EditorOptfrm.pas, source/Envirofrm.dfm,
	  source/Envirofrm.pas, source/MultiLangSupport.pas,
	  source/NewProjectFrm.pas, source/ToolEditFrm.pas,
	  source/datamod.dfm, source/datamod.pas, source/devcfg.pas,
	  source/devcpp.dpr, source/editor.pas, source/helpfrm.dfm,
	  source/helpfrm.pas, source/main.dfm, source/main.pas,
	  source/project.pas, source/utils.pas, source/version.pas: *
	  corrected access violation bug on compiling source files only *
	  correct HTML/RTF export bug * fixed "list index of of bounds" bug
	  in tool edit form * mike's changes : new theme system, bug fixes

2002-04-15 16:49  hongli

	* Lang/German.lng: German translation

2002-04-15 05:53  mandrav

	* source/Vcl/ClassBrowser.pas: Added support for split-lines (those
	  that end with a "\")

2002-04-15 03:21  mandrav

	* source/CodeCompletion.pas: Fixed code-completion window
	  positioning.

2002-04-15 03:12  mandrav

	* source/CodeCompletion.pas: Made backspace key to work as expected
	  (instead of aborting code-completion).

2002-04-15 03:00  mandrav

	* source/Vcl/ClassBrowser.pas: Converted main variables from array
	  of strings to TList (more efficient).

2002-04-14 11:00  claplace

	* devcpp.exe, Examples/FileEditor/FileEditor.dev,
	  Examples/FileEditor/Main.c, source/AboutFrm.dfm,
	  source/EditorOptfrm.dfm, source/EditorOptfrm.pas,
	  source/LangFrm.dfm, source/LangFrm.pas, source/NewProjectFrm.dfm,
	  source/main.dfm, source/main.pas: * corrected many small bugs *
	  "size of ouput file" is now filled

2002-04-12 16:23  claplace

	* devcpp.exe, Lang/French.lng, source/LangFrm.pas,
	  source/NewProjectFrm.dfm, source/devcfg.pas, source/devcpp.dof,
	  source/devcpp.res, source/main.dfm, source/main.pas,
	  source/install/devcpp.nsi: * Corrected completion/class browser
	  options loading/saving * couple of small fixes * updated nsis
	  install files for beta 4.9.2.0 release

2002-04-09 15:03  hongli

	* Examples/OpenGL/: Main.c, OpenGL.dev: Fix compilation errors and
	  added code indentation

2002-04-09 15:01  hongli

	* Examples/OpenGL/: Rsrc.rc, Main.cpp: Obsolete

2002-04-09 14:58  hongli

	* Templates/OpenGL.txt: [no log message]

2002-04-09 14:56  hongli

	* Templates/OpenGL_cpp.txt: This file is now obsolete

2002-04-09 14:55  hongli

	* Templates/: Hello_c.txt, Hello_cpp.txt, OpenGL.template,
	  OpenGL.txt: [no log message]

2002-04-09 14:24  hongli

	* Lang/Dutch.lng: More translations

2002-04-09 14:15  hongli

	* source/packman/InstallWizards.pas: Delete temp files

2002-04-09 13:58  hongli

	* source/packman/: AboutForms.dfm, AboutForms.pas, bzip2.pas:
	  Updated credits

2002-04-09 13:38  hongli

	* source/packman/: InstallFiles.pas, InstallWizards.dfm, Main.dfm,
	  Main.pas, Packman.dpr: Bugfixes

2002-04-09 13:37  hongli

	* source/packman/: ExtractionProgressDialog.dfm,
	  ExtractionProgressDialog.pas, InstallWizards.pas: Support for
	  .DevPak files

2002-04-09 11:31  hongli

	* source/packman/LibTar.pas: Tar support

2002-04-09 11:30  hongli

	* source/packman/: Blocks.obj, BzLib.obj, Compress.obj,
	  Decompress.obj, Huffman.obj, bzip2.pas: Object files for Bzip2
	  support

2002-04-09 07:25  mandrav

	* source/CodeCompletion.pas: Bug-fix

2002-04-08 17:09  mandrav

	* source/main.pas: Removed a test-line forgotten in last commit,
	  sorry :(

2002-04-08 17:07  mandrav

	* source/main.pas: Moved class-browser init and scan code to
	  separate procs.

2002-04-08 17:05  mandrav

	* source/Vcl/ClassBrowser.pas: Added #define 's handling

2002-04-08 10:08  mandrav

	* source/Vcl/ClassBrowser.pas: * Continuous improvements.  * Added
	  Load and Save procedures.

2002-04-08 06:40  mandrav

	* source/: EditorOptfrm.dfm, EditorOptfrm.pas, devcfg.pas,
	  main.dfm, main.pas: New class-browser configuration option: "Scan
	  header files not belonging to project"

2002-04-08 06:37  mandrav

	* source/Vcl/ClassBrowser.pas: Many needed updates (especially for
	  speed increase)

2002-04-08 06:36  mandrav

	* Lang/Dutch.lng, Lang/English.lng, Lang/French.lng,
	  Lang/Greek.lng, source/LangIDs.inc: Added new resource ID 496

2002-04-08 05:59  mandrav

	* source/CodeCompletion.pas: Bug-fix

2002-04-07 13:52  mandrav

	* source/Vcl/ClassBrowser.pas: If it is not enabled, it doesn't
	  parse the files.

2002-04-07 13:50  mandrav

	* source/main.pas: Added Enable/Disable option in ClassBrowser
	  settings

2002-04-07 13:32  mandrav

	* source/: EditorOptfrm.dfm, EditorOptfrm.pas: Added Enable/Disable
	  option in ClassBrowser settings

2002-04-07 13:30  mandrav

	* source/devcfg.pas: Added Enabled property in TdevClassBrowser

2002-04-07 13:28  mandrav

	* Lang/Dutch.lng, Lang/English.lng, Lang/French.lng,
	  Lang/Greek.lng, source/LangIDs.inc: Added one more class-browser
	  language resource: ID 495

2002-04-07 13:05  mandrav

	* source/Vcl/ClassBrowser.pas: Fixed bug with typedefs.

2002-04-07 08:59  mandrav

	* source/Vcl/ClassBrowser.pas: Bug fixes

2002-04-07 08:46  mandrav

	* source/LangIDs.inc, Lang/Dutch.lng, Lang/English.lng,
	  Lang/French.lng, Lang/Greek.lng: Added class-browser language
	  resources.  Resource IDS are: 406, 490, 491, 492, 493 and 494

2002-04-07 08:45  mandrav

	* source/main.pas: Added update for class-browser viewstyle

2002-04-07 08:45  mandrav

	* source/devcfg.pas: Added configuration object for class-browser

2002-04-07 08:44  claplace

	* devcpp.exe, Lang/French.lng, source/main.dfm: french lang file
	  updated

2002-04-07 08:44  mandrav

	* source/: EditorOptfrm.dfm, EditorOptfrm.pas: Added configuration
	  tab for class-browser

2002-04-07 07:12  mandrav

	* source/: datamod.dfm, main.dfm: Added an icon for ClassBrowser

2002-04-07 06:55  mandrav

	* source/Vcl/ClassBrowser.pas: Small changes in code-completion
	  functions

2002-04-07 06:54  mandrav

	* source/: editor.pas, CodeCompletion.dfm, CodeCompletion.pas:
	  Re-structured code-completion. It now uses much less code and is
	  much smarter too ;)

2002-04-06 13:12  mandrav

	* source/devcfg.pas: * Added anable-disable for code-completion

2002-04-06 13:11  mandrav

	* source/: CodeCompletion.pas, editor.pas: Code-completion
	  improvements

2002-04-06 13:10  mandrav

	* source/: EditorOptfrm.dfm, EditorOptfrm.pas: Added
	  code-completion configuration tab

2002-04-06 13:09  hongli

	* Lang/: Dutch.lng: [no log message]

2002-04-06 13:08  mandrav

	* source/main.pas: Small change for code-completion

2002-04-06 13:04  hongli

	* source/version.pas: Jump version number

2002-04-06 13:03  mandrav

	* Lang/Dutch.lng, Lang/English.lng, Lang/French.lng,
	  Lang/Greek.lng, source/LangIDs.inc: Added language resources for
	  code-completion feature.  Resource IDs are: 405,485,486,487,488
	  and 489.

2002-04-06 13:03  hongli

	* source/: main.dfm, main.pas: Various bugfixes

2002-04-06 13:03  hongli

	* source/: compiler.pas, utils.pas: Makefiles now support filenames
	  with spaces

2002-04-06 10:49  mandrav

	* source/devcfg.pas: * Added delay for code-completion * Added
	  background color for code-completion

2002-04-06 10:48  mandrav

	* source/: CodeCompletion.pas, editor.pas: * More bug-fixes.  *
	  Added delay for code-completion

2002-04-06 10:46  mandrav

	* source/Vcl/ClassBrowser.pas: More bug-fixes

2002-04-06 08:43  hongli

	* TODO.txt: update TODO list

2002-04-06 08:43  hongli

	* source/compiler.pas: Finally fixed Makefile generation

2002-04-06 08:42  hongli

	* source/conio/: conio.c, conio.h: [no log message]

2002-04-06 08:42  mandrav

	* source/CodeCompletion.pas: Fixed the "List index out of bounds"
	  bug

2002-04-06 08:40  mandrav

	* source/devcpp.dpr: Removed CodeComplForm from being loaded on
	  start-up

2002-04-06 08:37  mandrav

	* source/Vcl/ClassBrowser.pas: The C-style comments /*...*/ were
	  not ignored after some older bug-fix commit. Fixed it now ;)

2002-04-06 08:27  hongli

	* source/conio/Makefile: [no log message]

2002-04-06 08:22  hongli

	* Lang/Dutch.lng: [no log message]

2002-04-06 08:17  hongli

	* source/conio/: Makefile, conio.c, conio.h: Initial import

2002-04-06 08:15  hongli

	* source/conio/: V5/source/packman/AboutForms.dcu,
	  V5/source/packman/AboutForms.dfm,
	  V5/source/packman/AboutForms.pas,
	  V5/source/packman/AboutForms.~dfm,
	  V5/source/packman/AboutForms.~pas,
	  V5/source/packman/DetailsForms.dcu,
	  V5/source/packman/DetailsForms.dfm,
	  V5/source/packman/DetailsForms.pas, V5/source/packman/File
	  Format.txt, V5/source/packman/InstallFiles.dcu,
	  V5/source/packman/InstallFiles.pas,
	  V5/source/packman/InstallWizards.dcu,
	  V5/source/packman/InstallWizards.dfm,
	  V5/source/packman/InstallWizards.pas,
	  V5/source/packman/InstallWizards.~dfm,
	  V5/source/packman/InstallWizards.~pas,
	  V5/source/packman/Installers.dcu,
	  V5/source/packman/Installers.pas, V5/source/packman/Main.dcu,
	  V5/source/packman/Main.dfm, V5/source/packman/Main.pas,
	  V5/source/packman/Main.~dfm, V5/source/packman/Main.~pas,
	  V5/source/packman/Packman.cfg, V5/source/packman/Packman.dof,
	  V5/source/packman/Packman.dpr, V5/source/packman/Packman.res,
	  V5/source/packman/RemoveForms.dcu,
	  V5/source/packman/RemoveForms.dfm,
	  V5/source/packman/RemoveForms.pas, V5/source/packman/Utils.dcu,
	  V5/source/packman/Utils.pas, V5/source/packman/VerifyForms.dcu,
	  V5/source/packman/VerifyForms.dfm,
	  V5/source/packman/VerifyForms.pas,
	  V5/source/packman/Standard/.ssh/known_hosts,
	  V5/source/units/AboutFrm.dcu, V5/source/units/CFGData.dcu,
	  V5/source/units/CFGINI.dcu, V5/source/units/CFGReg.dcu,
	  V5/source/units/CheckForUpdate.dcu, V5/source/units/CheckFrm.dcu,
	  V5/source/units/ClassBrowser.dcu,
	  V5/source/units/CodeCompletion.dcu, V5/source/units/CodeIns.dcu,
	  V5/source/units/ColorPickerButton.dcu,
	  V5/source/units/CompOptionsFrm.dcu,
	  V5/source/units/EditorOptfrm.dcu, V5/source/units/Envirofrm.dcu,
	  V5/source/units/Findfrm.dcu, V5/source/units/GotoLineFrm.dcu,
	  V5/source/units/IconFrm.dcu, V5/source/units/Incrementalfrm.dcu,
	  V5/source/units/LangFrm.dcu,
	  V5/source/units/MultiLangSupport.dcu,
	  V5/source/units/NewProjectFrm.dcu, V5/source/units/PrintFrm.dcu,
	  V5/source/units/ProjectOptionsFrm.dcu,
	  V5/source/units/RemoveUnitFrm.dcu,
	  V5/source/units/Replacefrm.dcu,
	  V5/source/units/Search_Center.dcu, V5/source/units/Splash.dcu,
	  V5/source/units/SynEdit.dcu, V5/source/units/SynEditExport.dcu,
	  V5/source/units/SynEditHighlighter.dcu,
	  V5/source/units/SynEditKbdHandler.dcu,
	  V5/source/units/SynEditKeyCmds.dcu,
	  V5/source/units/SynEditKeyConst.dcu,
	  V5/source/units/SynEditMiscClasses.dcu,
	  V5/source/units/SynEditMiscProcs.dcu,
	  V5/source/units/SynEditPrint.dcu,
	  V5/source/units/SynEditPrintHeaderFooter.dcu,
	  V5/source/units/SynEditPrintMargins.dcu,
	  V5/source/units/SynEditPrintTypes.dcu,
	  V5/source/units/SynEditPrinterInfo.dcu,
	  V5/source/units/SynEditSearch.dcu,
	  V5/source/units/SynEditStrConst.dcu,
	  V5/source/units/SynEditTextBuffer.dcu,
	  V5/source/units/SynEditTypes.dcu,
	  V5/source/units/SynExportHTML.dcu,
	  V5/source/units/SynExportRTF.dcu,
	  V5/source/units/SynHighlighterCpp.dcu,
	  V5/source/units/SynHighlighterRC.dcu,
	  V5/source/units/SynMemo.dcu, V5/source/units/SynTextDrawer.dcu,
	  V5/source/units/Templates.dcu, V5/source/units/ToolEditFrm.dcu,
	  V5/source/units/ToolFrm.dcu, V5/source/units/cfgTypes.dcu,
	  V5/source/units/compiler.dcu, V5/source/units/datamod.dcu,
	  V5/source/units/debugger.dcu, V5/source/units/debugreader.dcu,
	  V5/source/units/debugwait.dcu, V5/source/units/devTabs.dcu,
	  V5/source/units/devcfg.dcu, V5/source/units/devconnect.dcu,
	  V5/source/units/devrun.dcu, V5/source/units/editor.dcu,
	  V5/source/units/helpfrm.dcu, V5/source/units/main.dcu,
	  V5/source/units/oysUtils.dcu, V5/source/units/prjtypes.dcu,
	  V5/source/units/project.dcu, V5/source/units/utils.dcu,
	  V5/source/units/version.dcu, Makefile: [no log message]

2002-04-06 08:11  hongli

	* source/conio/: Standard/.ssh/known_hosts, .cvspass, V5/BUGS.txt,
	  V5/DEVCPP.ini, V5/FEATURES.txt, V5/TODO.txt, V5/TREE.txt,
	  V5/Untitled1.c, V5/copying.txt, V5/defaultcode.cfg,
	  V5/devcpp.cfg, V5/Examples/FileEditor/FileEditor.dev,
	  V5/Examples/FileEditor/Main.c, V5/Examples/FileEditor/Main.h,
	  V5/Examples/FileEditor/Rsrc.rc, V5/Examples/Hello/Hello.cpp,
	  V5/Examples/Hello/Hello.dev, V5/Examples/Hello/rsrc.rc,
